2004-12-29 00:32:08  Rev 8741   autocvs

	* ChangeLog:

	Automatic ChangeLog generation

2004-12-28 00:51:10  Rev 8740   handegar

	* src/nodes/SoExtSelection.cpp:

	Crop selection-area to viewport region.

2004-12-22 00:33:17  Rev 8739   autocvs

	* ChangeLog:

	Automatic ChangeLog generation

2004-12-21 14:58:02  Rev 8738   kyrah

	* src/glue/dl.c:

	Fix for static linking on Mac OS X: Don't use _mh_dylib_header,
	which is defined by the link editor only when building a MH_DYLIB
	binary. Problem reported by Rich Cook.

2004-12-21 12:29:31  Rev 8737   mortene

	* BUGS.txt:

	New item, updates.

2004-12-21 12:12:52  Rev 8736   mortene

	* include/Inventor/annex/HardCopy/SoVectorizeAction.h:

	Compatibility fix: for better compile-time compatibility with later TGS
	Inventor versions.

2004-12-21 00:34:28  Rev 8735   autocvs

	* ChangeLog:

	Automatic ChangeLog generation

2004-12-20 09:10:37  Rev 8734   mortene

	* BUGS.txt:

	New item, resource leak.

2004-12-18 00:33:39  Rev 8733   autocvs

	* ChangeLog:

	Automatic ChangeLog generation

2004-12-17 19:28:56  Rev 8732   larsa

	* include/Inventor/sensors/SoSensorManager.h:

	be more specific

2004-12-17 16:46:19  Rev 8731   pederb

	* src/fields/SoSFImage.cpp:

	Improve startEditing() doc. Problem reported by PC John.

2004-12-17 11:23:55  Rev 8730   mortene

	* BUGS.txt:

	New item: crash with VISIBLE_SHAPE selection in SoExtSelection.

2004-12-17 09:57:45  Rev 8729   mortene

	* BUGS.txt:

	New item.

2004-12-16 00:34:05  Rev 8728   autocvs

	* ChangeLog:

	Automatic ChangeLog generation

2004-12-15 17:22:13  Rev 8727   larsa

	* Makefile.am:

	additional files

2004-12-15 16:21:44  Rev 8726   larsa

	* build/msvc7, build/msvc7/coin3.dsp, build/msvc7/coin3.sln,
	build/msvc7/.cvsignore, build/msvc7/coin3.vcproj:

	update

2004-12-15 16:21:07  Rev 8725   larsa

	* cfg/gendsp.sh:

	post-build install command

2004-12-15 16:20:55  Rev 8724   larsa

	* README.WIN32:

	new build information

2004-12-15 14:13:58  Rev 8723   handegar

	* build/msvc6/coin3.dsp:

	postbuild step

2004-12-15 14:04:51  Rev 8722   handegar

	* build/msvc6/coin3.dsp:

	regeneration

2004-12-15 14:04:30  Rev 8721   handegar

	* build/msvc6/installcoinheaders.bat:

	header install script

2004-12-15 12:00:00  Rev 8720   larsa

	* build/msvc6/installcoinheaders.bat, build/msvc6/installcoin.bat:

	install scripts

2004-12-15 11:28:51  Rev 8719   pederb

	* src/io/SoWriterefCounter.h, src/misc/SoProtoInstance.cpp,
	src/misc/SoBase.cpp, src/io/SoOutput.cpp, src/threads/storage.c,
	src/io/SoWriterefCounter.cpp, src/nodes/SoExtSelection.cpp,
	src/actions/SoGLRenderAction.cpp, src/misc/SoGLFaceSetTemplate.icc:

	Reverse previous patch committed by mistake.

2004-12-15 11:18:36  Rev 8718   pederb

	* docs/driver-bugs/2004-08-02--nvidia-v61.77.cpp,
	src/sensors/SoSensorManager.cpp:

	Reverse stuff committed by mistake.

2004-12-15 11:10:58  Rev 8717   pederb

	* src/io/SoWriterefCounter.h, src/misc/SoProtoInstance.cpp, BUGS.txt,
	src/misc/SoBase.cpp, src/io/SoOutput.cpp, docs/driver-bugs/2004-08-02
	--nvidia-v61.77.cpp, src/threads/storage.c,
	src/io/SoWriterefCounter.cpp, src/nodes/SoExtSelection.cpp,
	src/actions/SoGLRenderAction.cpp, src/misc/SoGLFaceSetTemplate.icc,
	src/sensors/SoSensorManager.cpp, README.VRML97:

	now fixed.

2004-12-15 10:47:51  Rev 8716   larsa

	* build/msvc7/coin3.dsp, build/msvc7/installcoinheaders.bat,
	build/msvc7/generate.sh, build/msvc7/coin3.sln,
	build/msvc7/coin3.vcproj:

	install scripts

2004-12-15 10:47:11  Rev 8715   larsa

	* cfg/gendsp.sh:

	header-install-bat generation

2004-12-15 10:07:29  Rev 8714   pederb

	* src/misc/SoProto.cpp:

	PROTO export bugfix.

2004-12-15 00:34:13  Rev 8713   autocvs

	* ChangeLog:

	Automatic ChangeLog generation

2004-12-14 16:59:58  Rev 8712   pederb

	* src/fields/SoField.cpp:

	Fix for VRMLSwitch copyConnection bug (will probably fix copy for other nodes
	with dynamic fields as well). SoField::copyConnection() is now less hackish as
	well. Bug found by Si Quoc Tran.

2004-12-14 14:17:36  Rev 8711   larsa

	* build/msvc7/installcoinheaders.bat, build/msvc7/installcoin.bat:

	install scripts

2004-12-14 13:08:29  Rev 8710   kintel

	* BUGS.txt:

	Bug #171 was a duplicate. Merged and updated.

2004-12-14 13:00:01  Rev 8709   mortene

	* BUGS.txt:

	A couple of new items and updates.

2004-12-14 12:55:34  Rev 8708   larsa

	* Makefile.in, Makefile.am:

	dist new files

2004-12-14 11:40:04  Rev 8707   larsa

	* build/README:

	info

2004-12-14 11:38:28  Rev 8706   handegar

	* build/msvc6/include/Inventor/system/inttypes.h,
	build/msvc6/include/config.h:

	MSVC6 compile fix.

2004-12-14 11:26:41  Rev 8705   larsa

	* build/msvc7, build/msvc7/include/.cvsignore, build/msvc7/include,
	build/msvc7/include/Inventor/.cvsignore, build/msvc7/data/.cvsignore,
	build/msvc7/include/Inventor/C/.cvsignore,
	build/msvc7/include/Inventor,
	build/msvc7/include/Inventor/system/.cvsignore, build/msvc7/data,
	build/msvc7/data/draggerDefaults/.cvsignore,
	build/msvc7/include/Inventor/C, build/msvc7/include/Inventor/system,
	build/msvc7/data/draggerDefaults, build/msvc7/.cvsignore:

	cvsignore files

2004-12-14 11:26:18  Rev 8704   larsa

	* build/msvc7/generate.sh:

	the generation script

2004-12-14 11:19:08  Rev 8703   larsa

	* build/msvc7/data/draggerDefaults/rotateDiscDragger.h,
	build/msvc7/data/draggerDefaults/transformerDragger.h, build/msvc7,
	build/msvc7/data/draggerDefaults/scale1Dragger.h,
	build/msvc7/coin3.sln,
	build/msvc7/data/draggerDefaults/scale2UniformDragger.h,
	build/msvc7/include/Inventor/C,
	build/msvc7/data/draggerDefaults/rotateCylindricalDragger.h,
	build/msvc7/data/draggerDefaults/translate2Dragger.h,
	build/msvc7/data/draggerDefaults/tabBoxDragger.h,
	build/msvc7/include/Inventor/system/inttypes.h,
	build/msvc7/data/draggerDefaults/transformBoxDragger.h,
	build/msvc7/data/draggerDefaults/tabPlaneDragger.h,
	build/msvc7/data/draggerDefaults/scaleUniformDragger.h,
	build/msvc7/data/draggerDefaults/trackballDragger.h,
	build/msvc7/coin3.dsp,
	build/msvc7/data/draggerDefaults/handleBoxDragger.h,
	build/msvc7/include/Inventor/system/gl.h,
	build/msvc7/data/draggerDefaults/jackDragger.h,
	build/msvc7/coin3.dsw,
	build/msvc7/data/draggerDefaults/scale2Dragger.h,
	build/msvc7/data/draggerDefaults/centerballDragger.h,
	build/msvc7/data, build/msvc7/include/Inventor/system,
	build/msvc7/data/draggerDefaults/spotLightDragger.h,
	build/msvc7/data/draggerDefaults,
	build/msvc7/data/draggerDefaults/translate1Dragger.h,
	build/msvc7/coin3.vcproj, build/msvc7/include/config.h,
	build/msvc7/data/draggerDefaults/pointLightDragger.h,
	build/msvc7/include/Inventor/C/basic.h, build/msvc7/include,
	build/msvc7/data/draggerDefaults/directionalLightDragger.h,
	build/msvc7/data/draggerDefaults/dragPointDragger.h,
	build/msvc7/include/Inventor,
	build/msvc7/data/draggerDefaults/rotateSphericalDragger.h:

	autogenerated files

2004-12-14 10:48:21  Rev 8702   larsa

	* RELEASE.txt:

	generate build files step (during punting)

2004-12-14 10:39:20  Rev 8701   larsa

	* build/msvc6/include/Inventor/SbBasic.h, include/Inventor/Makefile.am,
	build/msvc6/include/Inventor/.cvsignore, Makefile.in,
	include/Inventor/SbBasic.h, build/msvc6/include/Inventor,
	include/Inventor/SbBasic.h.in, Makefile.am,
	include/Inventor/Makefile.in:

	don't autogenerate SbBasic.h any more

2004-12-14 10:00:53  Rev 8700   larsa

	* src/glue/freetype.c:

	void-functions do not return values

2004-12-14 09:57:45  Rev 8699   larsa

	* build/msvc6, build/msvc6/include/.cvsignore, build/msvc6/include,
	build/msvc6/include/Inventor/.cvsignore, build/msvc6/data/.cvsignore,
	build/msvc6/include/Inventor/C/.cvsignore,
	build/msvc6/include/Inventor,
	build/msvc6/include/Inventor/system/.cvsignore, build/msvc6/data,
	build/msvc6/data/draggerDefaults/.cvsignore,
	build/msvc6/include/Inventor/C, build/msvc6/include/Inventor/system,
	build/msvc6/data/draggerDefaults, build/msvc6/.cvsignore:

	cvsignore files

2004-12-14 09:53:33  Rev 8698   larsa

	* build/msvc6/include/Inventor/SbBasic.h:

	autogenerated file

2004-12-14 09:46:15  Rev 8697   larsa

	* build/msvc6/data/draggerDefaults/transformerDragger.h,
	build/msvc6/include/Inventor/system/gl.h,
	build/msvc6/data/draggerDefaults/jackDragger.h,
	build/msvc6/data/draggerDefaults/scale2Dragger.h,
	build/msvc6/data/draggerDefaults/scale2UniformDragger.h,
	build/msvc6/data,
	build/msvc6/data/draggerDefaults/centerballDragger.h,
	build/msvc6/data/draggerDefaults/rotateCylindricalDragger.h,
	build/msvc6/data/draggerDefaults/translate1Dragger.h,
	build/msvc6/data/draggerDefaults, build/msvc6/include/config.h,
	build/msvc6/data/draggerDefaults/pointLightDragger.h,
	build/msvc6/include/Inventor/C/basic.h,
	build/msvc6/data/draggerDefaults/directionalLightDragger.h,
	build/msvc6/include/Inventor,
	build/msvc6/data/draggerDefaults/trackballDragger.h,
	build/msvc6/data/draggerDefaults/rotateDiscDragger.h,
	build/msvc6/coin3.dsp,
	build/msvc6/data/draggerDefaults/handleBoxDragger.h,
	build/msvc6/data/draggerDefaults/scale1Dragger.h,
	build/msvc6/coin3.dsw, build/msvc6/include/Inventor/C,
	build/msvc6/data/draggerDefaults/spotLightDragger.h,
	build/msvc6/include/Inventor/system,
	build/msvc6/data/draggerDefaults/tabBoxDragger.h,
	build/msvc6/data/draggerDefaults/translate2Dragger.h,
	build/msvc6/include/Inventor/system/inttypes.h,
	build/msvc6/data/draggerDefaults/transformBoxDragger.h,
	build/msvc6/include,
	build/msvc6/data/draggerDefaults/tabPlaneDragger.h,
	build/msvc6/data/draggerDefaults/dragPointDragger.h,
	build/msvc6/data/draggerDefaults/scaleUniformDragger.h,
	build/msvc6/data/draggerDefaults/rotateSphericalDragger.h:

	autogenerated files

2004-12-14 09:44:19  Rev 8696   larsa

	* build/msvc6, build/msvc6/generate.sh:

	the generation script - now fixes paths

2004-12-14 09:41:15  Rev 8695   pederb

	* include/Inventor/fields/SoSubField.h:

	Fix SoMField::find bug (missing evaluate()). Bug reported by Gerhard Reitmayr.

2004-12-14 00:37:12  Rev 8694   autocvs

	* ChangeLog:

	Automatic ChangeLog generation

2004-12-13 15:35:25  Rev 8693   pederb

	* BUGS.txt:

	SoVRMLScript copy bug.

2004-12-13 15:14:23  Rev 8692   pederb

	* src/vrml97/Script.cpp:

	Copy bugfixes (but still not working properly).

2004-12-13 14:42:52  Rev 8691   larsa

	* src/shapenodes/soshape_bigtexture.cpp:

	unused variable

2004-12-13 14:20:04  Rev 8690   mortene

	* src/glue/gl.c:

	Minor fix: avoid excessive error reporting for problematic OpenGL environment.

2004-12-13 12:29:18  Rev 8689   pederb

	* src/fields/SoField.cpp:

	VRML97 copy bugfix. Copy all connections.

2004-12-13 08:41:49  Rev 8688   pederb

	* src/vrml97/Interpolator.cpp:

	UMR fix (harmless).

2004-12-10 17:26:49  Rev 8687   autocvs

	* ChangeLog:

	Automatic ChangeLog generation

2004-12-10 11:23:44  Rev 8686   mortene

	* src/glue/dl.c:

	Bugfix: need to check cc_dl_sym() with a function from the *public* API.

2004-12-10 11:06:50  Rev 8685   mortene

	* configure, include/config.h.in:

	Bootstrap.

2004-12-10 11:04:53  Rev 8684   mortene

	* src/glue/gl_wgl.c, src/glue/gl_glx.c, configure.ac, src/glue/dl.c:

	Bugfixes: dynamic fetching of OpenGL symbols had various problems. This fixes
	all known issues.

2004-12-09 19:03:59  Rev 8683   kyrah

	* src/glue/dl.c:

	Nitpicking. Success is not an error condition.

2004-12-09 18:42:23  Rev 8682   kyrah

	* aclocal.m4, configure:

	Bootstrap

2004-12-09 15:54:51  Rev 8681   mortene

	* src/glue/gl_agl.c:

	Compile fix.

2004-12-09 15:38:53  Rev 8680   mortene

	* aclocal.m4, configure:

	bootstrap

2004-12-09 13:20:30  Rev 8679   mortene

	* aclocal.m4, configure, include/config.h.in:

	Bootstrap.

2004-12-09 13:13:10  Rev 8678   mortene

	* configure.ac, src/glue/dl.c:

	Figure out and use system names on Coin and OpenGL dynamic libs.

2004-12-08 16:38:19  Rev 8677   mortene

	* src/glue/gl_wgl.c, src/glue/gl_glx.c, src/glue/dl.c, src/glue/gl.c,
	src/glue/gl_agl.c, include/Inventor/C/glue/dl.h,
	include/Inventor/C/glue/dlp.h:

	Bugfix: OpenGL symbols could not always be fetched from process image handle.
	This is an improvement because we now detect this and go on trying
	successively the Coin handle and the OpenGL handle.

2004-12-08 10:29:18  Rev 8676   mortene

	* BUGS.txt:

	New item, build-related.

2004-12-07 15:23:46  Rev 8675   mortene

	* BUGS.txt:

	New item.

2004-12-07 08:00:29  Rev 8674   mortene

	* include/Inventor/annex/HardCopy/SoVectorizeAction.h:

	Compatibility: better compile-time compatibility with source code migrating
	from TGS Inventor to Coin.

2004-12-06 15:16:31  Rev 8673   pederb

	* include/coindefs.h:

	correct copyright header.

2004-12-06 11:40:11  Rev 8672   sit

	* src/draggers/SoTransformBoxDragger.cpp:

	set SoAntiSquish sizing and recalcAlways to default

2004-12-06 09:22:31  Rev 8671   sit

	* BUGS.txt:

	fixed bugs 125 incorrect dragger writing

2004-12-06 09:20:27  Rev 8670   sit

	* src/draggers/SoTabPlaneDragger.cpp:

	set renderCaching to default so scaleTabs don't gets written out.

2004-12-06 09:17:42  Rev 8669   sit

	* src/nodekits/SoBaseKit.cpp:

	fix bug 125 dragger writing incorrect. Let is_default_node() also check node
	with children. Remove incorrect check which sets all dragger fields to non-
	default

2004-12-02 18:21:26  Rev 8668   kyrah

	* BUGS.txt:

	Fixed Bug 145 (scenetexture crash on Mac/X11)

2004-12-02 18:19:06  Rev 8667   kyrah

	* src/glue/dl.c:

	Mac OS X fix: Simulate the behaviour of dlopen(NULL) to return a
	handle to the current process image.

	This fixes the SoSceneTexture2 crash (Bug # 145) on Mac OS X/GLX
	(which was due to us failing to bind glXGetCurrentDisplay()).

2004-12-02 16:29:30  Rev 8666   tamer

	* aclocal.m4, configure:

	bootstrap

2004-12-02 16:28:47  Rev 8665   tamer

	* bin/coin-config:

	sh compatibility fix for platforms where sh is not a symlink to bash
	(such as OpenBSD)

2004-12-02 15:57:00  Rev 8664   kyrah

	* COPYING:

	Sync with Coin-2

2004-12-02 14:18:54  Rev 8663   kyrah

	* src/caches/SoGLCacheList.cpp, src/nodes/SoSceneTexture2.cpp,
	src/elements/GL/SoGLDisplayList.cpp:

	Reverse previous patch (erroneously committed debug output).

2004-12-02 14:11:30  Rev 8662   kyrah

	* src/glue/gl_glx.c, src/caches/SoGLCacheList.cpp,
	src/nodes/SoSceneTexture2.cpp, src/elements/GL/SoGLDisplayList.cpp:

	Minor debug output improvement.

2004-12-01 13:42:04  Rev 8661   kyrah

	* BUGS.txt:

	Added Win32 font bug.

2004-11-30 14:09:18  Rev 8660   pederb

	* include/coindefs.h:

	indent fix.

2004-11-30 14:09:00  Rev 8659   pederb

	* include/coindefs.h:

	compile fix.

2004-11-29 16:40:24  Rev 8658   pederb

	* src/engines/SoEngine.cpp:

	Copy engine bugfix. Reported by Gerhard Reitmayr.

2004-11-26 13:27:39  Rev 8657   kyrah

	* src/misc/SoOffscreenRenderer.cpp:

	Better debugging output:
	  - failure in versionMatchesAtLeast() can mean either wrong
	    version or simage not being available at all (e.g. due to an
	    error in dlopen() earlier)
	  - make warning about missing/wrong simage dependent on
	    COIN_DEBUG_SOOFFSCREENRENDERER environment variable for
	    remote debugging

2004-11-26 13:04:45  Rev 8656   kyrah

	* src/glue/dl.c:

	Spit out debug info about the library pathwe are using.

2004-11-25 12:37:53  Rev 8655   kyrah

	* BUGS.txt:

	Remove long ago fixed libtool issue.

2004-11-24 14:08:44  Rev 8654   pederb

	* src/fields/SoField.cpp, include/Inventor/fields/SoField.h,
	src/fields/SoSFTrigger.cpp:

	Proper SoSFTrigger fix. Thanks to Gerhard Reitmayr.

2004-11-24 11:26:33  Rev 8653   pederb

	* src/fields/SoField.cpp, include/Inventor/fields/SoField.h:

	Fix SoSFTrigger handling. This field should never notify its container. Bug
	reported by Gerhard Reitmayr.

2004-11-24 00:54:34  Rev 8652   larsa

	* ChangeLog:

	Automatic ChangeLog generation

2004-11-23 18:33:47  Rev 8651   kyrah

	* src/glue/gl_agl.c:

	Fix for rectangle and non-power-of-2 pBuffers.

2004-11-23 15:09:19  Rev 8650   pederb

	* src/engines/SoGate.cpp, src/engines/SoSelectOne.cpp,
	src/engines/SoConcatenate.cpp:

	Bugfix for input type read error. Fix by Gerhard Reitmayr.

2004-11-23 08:49:06  Rev 8649   pederb

	* src/caches/SoGLCacheList.cpp:

	Fix recently introduced context cleanup bug. Bug reported by Kurt Schwehr and
	Kyrah.

2004-11-23 00:30:52  Rev 8648   larsa

	* ChangeLog:

	Automatic ChangeLog generation

2004-11-22 13:14:36  Rev 8647   pederb

	* THANKS:

	Add Roy Walmsley.

2004-11-22 13:11:48  Rev 8646   pederb

	* include/Inventor/nodes/SoSubNode.h,
	include/Inventor/nodes/SoSubNodeP.h:

	Fix multiple calls to coin_atexit in node constructors. Bug reported by Roy
	Walmsley.

2004-11-19 00:30:49  Rev 8645   larsa

	* ChangeLog:

	Automatic ChangeLog generation

2004-11-18 12:30:37  Rev 8644   kyrah

	* src/misc/SoDB.cpp:

	Shader initialization.

2004-11-18 00:30:53  Rev 8643   larsa

	* ChangeLog:

	Automatic ChangeLog generation

2004-11-17 17:10:40  Rev 8642   pederb

	* src/base/SbVec3f.cpp, include/Inventor/SbVec3d.h,
	include/Inventor/SbVec3f.h, src/base/SbVec3d.cpp:

	Remove constructors that convertes between SbVec3f and SbVec3d. Not such a
	good idea.

2004-11-17 16:41:45  Rev 8641   kyrah

	* include/Inventor/caches/Makefile.in, src/mpeg/Makefile.in,
	include/Inventor/lock/Makefile.in,
	include/Inventor/engines/Makefile.in, src/3ds/Makefile.in,
	include/Inventor/projectors/Makefile.in,
	include/Inventor/collision/Makefile.in, src/misc/Makefile.in,
	include/Inventor/C/errors/Makefile.in, src/vrml97/Makefile.in,
	include/Inventor/actions/Makefile.in,
	include/Inventor/events/Makefile.in,
	include/Inventor/fields/Makefile.in, src/io/Makefile.in, configure,
	src/hardcopy/Makefile.in, src/errors/Makefile.in,
	src/elements/Makefile.in, src/nodekits/Makefile.in,
	include/Inventor/C/Makefile.in, src/caches/Makefile.in,
	include/Inventor/manips/Makefile.in, src/engines/Makefile.in,
	include/Inventor/threads/Makefile.in, src/projectors/Makefile.in,
	src/collision/Makefile.in, include/Inventor/sensors/Makefile.in,
	include/Inventor/lists/Makefile.in, src/actions/Makefile.in,
	src/events/Makefile.in, src/fields/Makefile.in,
	include/Inventor/nodes/Makefile.in, html/Makefile.in,
	include/Inventor/C/glue/Makefile.in, src/elements/GL/Makefile.in,
	data/Makefile.in, include/Inventor/system/Makefile.in,
	man/Makefile.in, include/Inventor/details/Makefile.in,
	data/draggerDefaults/Makefile.in, src/manips/Makefile.in,
	src/fonts/Makefile.in, src/threads/Makefile.in,
	src/upgraders/Makefile.in, src/sensors/Makefile.in,
	include/Inventor/bundles/Makefile.in,
	include/Inventor/C/base/Makefile.in, include/Makefile.in,
	src/glue/Makefile.in, include/Inventor/draggers/Makefile.in,
	src/lists/Makefile.in, include/Inventor/Makefile.in,
	src/nodes/Makefile.in, include/Inventor/annex/Makefile.in,
	Makefile.in, src/base/Makefile.in,
	include/Inventor/annex/HardCopy/Makefile.in, src/details/Makefile.in,
	include/Inventor/MPEG/Makefile.in, src/shapenodes/Makefile.in,
	src/shaders/Makefile.in, include/Inventor/misc/Makefile.in,
	src/bundles/Makefile.in, src/draggers/Makefile.in,
	src/extensions/Makefile.in, src/Makefile.in,
	include/Inventor/VRMLnodes/Makefile.in,
	include/Inventor/C/threads/Makefile.in,
	include/Inventor/elements/Makefile.in,
	include/Inventor/errors/Makefile.in, man/man1/Makefile.in,
	include/Inventor/nodekits/Makefile.in, bin/Makefile.in,
	man/man3/Makefile.in:

	Bootstrap.

2004-11-17 16:21:11  Rev 8640   kyrah

	* src/shaders/SoGLShaderParameter.cpp, src/shaders/SoShaderObject.cpp,
	src/shaders/SoGLSLShader.h, src/shaders/SoVertexShader.cpp,
	src/shaders/SoGLCgShader.h, src/shaders,
	src/shaders/SoGLARBShader.cpp,
	include/Inventor/nodes/SoShaderObject.h,
	include/Inventor/nodes/SoShaderProgram.h,
	src/shaders/SoGLShaderObject.h, src/shaders/Makefile.am,
	src/shaders/SoGLSLShader.cpp, coin.cfg.in,
	include/Inventor/nodes/SoVertexShader.h,
	src/shaders/SoFragmentShader.cpp,
	include/Inventor/nodes/SoShaderParameter.h,
	src/shaders/SoGLShaderProgramElement.cpp, src/Makefile.am,
	src/shaders/SoShaderProgram.cpp, configure.ac,
	include/Inventor/nodes/SoGLShaderTypes.h,
	src/shaders/SoGLCgShader.cpp,
	include/Inventor/nodes/SoGLShaderProgram.h,
	include/Inventor/nodes/Makefile.am,
	src/shaders/SoShaderParameter.cpp,
	include/Inventor/elements/Makefile.am,
	include/Inventor/nodes/SoShaders.h,
	include/Inventor/nodes/SoGLShaderParameter.h,
	include/Inventor/nodes/SoFragmentShader.h, src/shaders/shaders-
	dummy.cpp, include/config.h.in, src/shaders/SoGLShaderObject.cpp,
	src/shaders/SoGLShaderProgram.cpp, src/shaders/SoGLARBShader.h,
	include/Inventor/elements/SoGLShaderProgramElement.h,
	src/shaders/SoShaders.cpp:

	Shader code contributed by Martin Spindler.

	Disabled by default; use the --enable-shaders configure option to
	build the shader code.

	Untested; no modifications to the code as received by Martin, except
	for include path changes as necessary. Just wanted to get this
	into CVS...

2004-11-17 10:38:34  Rev 8639   mortene

	* include/Inventor/actions/SoHandleEventAction.h:

	Compatibility: add #include for better compatibility with SGI/TGS Inventor
	client code.

2004-11-17 10:15:56  Rev 8638   mortene

	* include/Inventor/nodes/SoNode.h:

	Compatibility: add #include for better compatibility with SGI/TGS Inventor
	client code.

2004-11-17 09:29:33  Rev 8637   pederb

	* src/nodes/SoBumpMapCoordinate.cpp:

	Doc update.

2004-11-17 00:30:57  Rev 8636   larsa

	* ChangeLog:

	Automatic ChangeLog generation

2004-11-16 17:35:26  Rev 8635   larsa

	* BUGS.txt:

	missing functionality vs. TGS Inventor

2004-11-16 16:11:00  Rev 8634   larsa

	* include/Inventor/caches/Makefile.in, src/mpeg/Makefile.in,
	include/Inventor/lock/Makefile.in,
	include/Inventor/engines/Makefile.in, src/3ds/Makefile.in,
	include/Inventor/projectors/Makefile.in, src/misc/Makefile.in,
	include/Inventor/collision/Makefile.in,
	include/Inventor/C/errors/Makefile.in, src/vrml97/Makefile.in,
	include/Inventor/actions/Makefile.in,
	include/Inventor/events/Makefile.in,
	include/Inventor/fields/Makefile.in, src/io/Makefile.in, configure,
	src/hardcopy/Makefile.in, src/errors/Makefile.in,
	src/elements/Makefile.in, src/nodekits/Makefile.in,
	include/Inventor/C/Makefile.in, src/caches/Makefile.in,
	include/Inventor/manips/Makefile.in, src/engines/Makefile.in,
	include/Inventor/threads/Makefile.in, src/projectors/Makefile.in,
	src/collision/Makefile.in, include/Inventor/sensors/Makefile.in,
	include/Inventor/lists/Makefile.in, src/actions/Makefile.in,
	src/events/Makefile.in, src/fields/Makefile.in,
	include/Inventor/nodes/Makefile.in, html/Makefile.in,
	include/Inventor/C/glue/Makefile.in, src/elements/GL/Makefile.in,
	data/Makefile.in, include/Inventor/system/Makefile.in,
	man/Makefile.in, include/Inventor/details/Makefile.in,
	data/draggerDefaults/Makefile.in, src/manips/Makefile.in,
	src/fonts/Makefile.in, src/threads/Makefile.in,
	src/upgraders/Makefile.in, src/sensors/Makefile.in,
	include/Inventor/bundles/Makefile.in,
	include/Inventor/C/base/Makefile.in, include/Makefile.in,
	src/glue/Makefile.in, include/Inventor/draggers/Makefile.in,
	src/lists/Makefile.in, include/Inventor/Makefile.in,
	src/nodes/Makefile.in, include/Inventor/annex/Makefile.in,
	Makefile.in, src/base/Makefile.in,
	include/Inventor/annex/HardCopy/Makefile.in, src/details/Makefile.in,
	include/Inventor/MPEG/Makefile.in, src/shapenodes/Makefile.in,
	include/Inventor/misc/Makefile.in, src/bundles/Makefile.in,
	src/draggers/Makefile.in, src/extensions/Makefile.in,
	src/Makefile.in, cfg/wrapmsvc.exe,
	include/Inventor/VRMLnodes/Makefile.in, include/config.h.in,
	include/Inventor/C/threads/Makefile.in,
	include/Inventor/elements/Makefile.in,
	include/Inventor/errors/Makefile.in, man/man1/Makefile.in,
	include/Inventor/nodekits/Makefile.in, bin/Makefile.in,
	man/man3/Makefile.in:

	bootstrap

2004-11-16 16:10:38  Rev 8633   larsa

	* configure.ac:

	option to control java wrapper generation

2004-11-16 15:49:54  Rev 8632   larsa

	* include/Inventor/nodes/SoExtSelection.h, src/nodes/SoExtSelection.cpp:

	stub signature, misc minor fixes

2004-11-16 12:59:33  Rev 8631   mortene

	* include/Inventor/nodes/SoVertexProperty.h:

	Compatibility issue: #include a few node headers, to be compile-time
	compatible with client code migrating from SGI / TGS Inventor.

2004-11-16 00:31:07  Rev 8630   larsa

	* ChangeLog:

	Automatic ChangeLog generation

2004-11-15 11:31:50  Rev 8629   pederb

	* src/nodekits/SoBaseKit.cpp:

	Fix for recently introduced extension nodekit read error. Bug reported by
	Gerhard Reitmayr.

2004-11-15 00:31:07  Rev 8628   larsa

	* ChangeLog:

	Automatic ChangeLog generation

2004-11-14 15:55:09  Rev 8627   mortene

	* docs/todo.txt:

	Doc: minor update on an old item.

2004-11-14 15:52:24  Rev 8626   mortene

	* configure.ac:

	No need to wrap check for Perl inside Doxygen-block.

2004-11-14 15:51:09  Rev 8625   mortene

	* src/elements/GL/SoGLCacheContextElement.cpp,
	src/elements/SoViewingMatrixElement.cpp, src/fields/SoFieldData.cpp,
	README.WIN32, src/base/SbClip.cpp, src/nodes/SoLOD.cpp,
	src/shapenodes/SoVertexShape.cpp, src/threads/mutex.c, src/glue/gl.c,
	src/misc/SoOffscreenRenderer.cpp,
	src/collision/SoIntersectionDetectionAction.cpp,
	include/Inventor/VRMLnodes/SoVRMLVisibilitySensor.h,
	src/manips/SoTransformBoxManip.cpp, src/nodes/SoMaterialBinding.cpp,
	docs/todo.txt, src/nodes/SoEventCallback.cpp,
	src/nodes/SoRotation.cpp, src/nodes/SoProfile.cpp,
	src/misc/SoChildList.cpp, src/misc/cppmangle.icc,
	src/elements/SoModelMatrixElement.cpp,
	src/nodes/SoTransformation.cpp, src/nodes/SoAnnotation.cpp:

	Doc: various API doc additions, FIXMEs, code comments, etc.

2004-11-13 00:31:02  Rev 8624   larsa

	* ChangeLog:

	Automatic ChangeLog generation

2004-11-12 14:32:36  Rev 8623   mortene

	* packaging/windows/coin-sdk.html.in, packaging/windows/Makefile.in,
	packaging/windows/post.nsi.in, packaging/windows/README.txt,
	packaging/windows/footer.nsi.in, packaging/windows/middle.nsi.in,
	packaging/windows/heading.nsi.in, packaging/windows/bfheader.nsi.in:

	Removed obsoleted packaging build files. Not in use, out of sync.

2004-11-11 00:31:09  Rev 8622   larsa

	* ChangeLog:

	Automatic ChangeLog generation

2004-11-10 16:25:43  Rev 8621   pederb

	* THANKS:

	Adds Doug Gehringer

2004-11-10 16:24:37  Rev 8620   pederb

	* src/elements/SoLazyElement.cpp:

	Range check in getTransparency(). Bug reported by Doug Gehringer.

2004-11-10 00:31:03  Rev 8619   larsa

	* ChangeLog:

	Automatic ChangeLog generation

2004-11-09 11:29:04  Rev 8618   pederb

	* THANKS:

	Adds Jean Roy.

2004-11-09 11:16:14  Rev 8617   pederb

	* src/misc/SoOffscreenRenderer.cpp:

	Postscript export bugfix. Bug reported by Jean Roy.

2004-11-09 00:31:01  Rev 8616   larsa

	* ChangeLog:

	Automatic ChangeLog generation

2004-11-08 13:07:55  Rev 8615   pederb

	* BUGS.txt:

	Three bugs fixed.

2004-11-08 12:33:28  Rev 8614   mortene

	* src/misc/SoDB.cpp:

	FIXME comments: misc notes about the multiple-instances-in-process problem.

2004-11-08 10:44:28  Rev 8613   pederb

	* src/actions/SoWriteAction.cpp:

	Backwards compatibility fix.

2004-11-08 10:40:51  Rev 8612   pederb

	* src/io/SoWriterefCounter.cpp:

	Backwards compatibility fix. Post SoWriteAction cleanup.

2004-11-08 09:42:03  Rev 8611   pederb

	* src/misc/SoBase.cpp:

	Read ROUTEs also for non-vrml97 files.

2004-11-08 09:15:38  Rev 8610   pederb

	* include/Inventor/caches/Makefile.in, src/mpeg/Makefile.in,
	include/Inventor/lock/Makefile.in,
	include/Inventor/engines/Makefile.in, src/3ds/Makefile.in,
	include/Inventor/projectors/Makefile.in, src/fields/SoField.cpp,
	src/misc/Makefile.in, include/Inventor/collision/Makefile.in,
	src/io/Makefile.am, include/Inventor/C/errors/Makefile.in,
	src/vrml97/Makefile.in, include/Inventor/actions/Makefile.in,
	include/Inventor/events/Makefile.in, aclocal.m4,
	include/Inventor/fields/Makefile.in, src/io/Makefile.in, configure,
	src/hardcopy/Makefile.in, src/nodes/SoSwitch.cpp,
	src/errors/Makefile.in, src/elements/Makefile.in,
	src/nodekits/Makefile.in, include/Inventor/C/Makefile.in,
	src/caches/Makefile.in, include/Inventor/manips/Makefile.in,
	src/engines/Makefile.in, src/actions/SoWriteAction.cpp,
	include/Inventor/threads/Makefile.in, src/projectors/Makefile.in,
	src/collision/Makefile.in, include/Inventor/sensors/Makefile.in,
	include/Inventor/lists/Makefile.in, src/actions/Makefile.in,
	src/nodekits/SoBaseKit.cpp, src/io/SoWriterefCounter.h,
	src/events/Makefile.in, src/fields/Makefile.in, src/io/SoOutput.cpp,
	include/Inventor/nodes/Makefile.in, html/Makefile.in,
	src/nodes/SoUnknownNode.cpp, include/Inventor/C/glue/Makefile.in,
	src/elements/GL/Makefile.in, data/Makefile.in,
	include/Inventor/system/Makefile.in, man/Makefile.in,
	include/Inventor/details/Makefile.in,
	data/draggerDefaults/Makefile.in, src/manips/Makefile.in,
	src/fonts/Makefile.in, src/threads/Makefile.in,
	src/upgraders/Makefile.in, src/sensors/Makefile.in,
	src/glue/Makefile.in, include/Inventor/bundles/Makefile.in,
	include/Inventor/C/base/Makefile.in, include/Makefile.in,
	src/lists/Makefile.in, include/Inventor/draggers/Makefile.in,
	src/io/SoWriterefCounter.cpp, include/Inventor/Makefile.in,
	src/nodes/SoGroup.cpp, src/nodes/Makefile.in, Makefile.in,
	include/Inventor/annex/Makefile.in, src/base/Makefile.in,
	include/Inventor/annex/HardCopy/Makefile.in, src/details/Makefile.in,
	include/Inventor/MPEG/Makefile.in, src/misc/SoPath.cpp,
	src/shapenodes/Makefile.in, include/Inventor/misc/Makefile.in,
	src/bundles/Makefile.in, src/fields/SoFieldContainer.cpp,
	src/draggers/Makefile.in, src/extensions/Makefile.in,
	src/Makefile.in, include/Inventor/SoOutput.h, src/misc/SoBase.cpp,
	include/Inventor/VRMLnodes/Makefile.in,
	include/Inventor/misc/SoBase.h,
	include/Inventor/C/threads/Makefile.in,
	include/Inventor/elements/Makefile.in,
	include/Inventor/errors/Makefile.in, man/man1/Makefile.in,
	include/Inventor/nodekits/Makefile.in, bin/Makefile.in,
	man/man3/Makefile.in:

	Move writeref counting into a new class. Fixes a couple of vrml97 write bugs.
	Bootstrap for build update.

2004-11-08 08:38:11  Rev 8609   mortene

	* src/vrml97/FontStyle.cpp, src/vrml97/Box.cpp,
	src/vrml97/TimeSensor.cpp, src/vrml97/Billboard.cpp,
	src/vrml97/Collision.cpp, src/vrml97/ElevationGrid.cpp,
	src/vrml97/OrientationInterpolator.cpp, src/vrml97/Material.cpp,
	src/vrml97/Appearance.cpp, src/vrml97/Extrusion.cpp,
	src/vrml97/CylinderSensor.cpp, src/vrml97/IndexedLineSet.cpp,
	src/vrml97/PointSet.cpp, src/vrml97/ScalarInterpolator.cpp,
	src/vrml97/Cylinder.cpp, src/vrml97/Anchor.cpp,
	src/vrml97/NavigationInfo.cpp, src/vrml97/Inline.cpp,
	src/vrml97/SphereSensor.cpp, src/vrml97/PointLight.cpp,
	src/vrml97/Interpolator.cpp, src/vrml97/Viewpoint.cpp,
	src/vrml97/DirectionalLight.cpp, src/vrml97/Sphere.cpp,
	src/vrml97/Sound.cpp, src/vrml97/PlaneSensor.cpp,
	src/vrml97/CoordinateInterpolator.cpp,
	src/vrml97/NormalInterpolator.cpp, src/vrml97/Group.cpp,
	src/vrml97/Shape.cpp, src/vrml97/MovieTexture.cpp,
	src/vrml97/Switch.cpp, src/vrml97/PixelTexture.cpp,
	src/vrml97/ImageTexture.cpp, src/vrml97/Script.cpp,
	src/vrml97/DragSensor.cpp, src/vrml97/PositionInterpolator.cpp,
	src/vrml97/AudioClip.cpp, src/vrml97/IndexedFaceSet.cpp,
	src/vrml97/Fog.cpp, src/vrml97/Transform.cpp,
	src/vrml97/TouchSensor.cpp, src/vrml97/SpotLight.cpp,
	src/vrml97/LOD.cpp, src/vrml97/Color.cpp, src/vrml97/Background.cpp,
	src/vrml97/ColorInterpolator.cpp, src/vrml97/Cone.cpp,
	src/vrml97/Text.cpp:

	API doc: corrects external links into VRML97 spec.

2004-11-08 08:24:38  Rev 8608   sit

	* BUGS.txt:

	Bugfix reading nested nodekit parts

2004-11-06 00:30:52  Rev 8607   larsa

	* ChangeLog:

	Automatic ChangeLog generation

2004-11-05 10:45:50  Rev 8606   mortene

	* BUGS.txt:

	New item I stumbled over, plus a couple from the archives.

2004-11-05 09:30:22  Rev 8605   mortene

	* BUGS.txt:

	Removed bug from false alarm, added item on real cause of problem.

2004-11-05 08:26:19  Rev 8604   mortene

	* BUGS.txt:

	The catch from the last couple of days.

2004-11-05 00:30:58  Rev 8603   larsa

	* ChangeLog:

	Automatic ChangeLog generation

2004-11-04 15:20:47  Rev 8602   sit

	* BUGS.txt:

	Bug in RotateDiscDragger with SoWriteAction

2004-11-04 13:38:37  Rev 8601   sit

	* src/fields/SoFieldData.cpp:

	bugfix should return TRUE to be able to read unknown fields later

2004-11-04 13:34:01  Rev 8600   sit

	* src/nodekits/SoBaseKit.cpp:

	bugfix reading nested nodekit parts failed

2004-11-04 00:30:59  Rev 8599   larsa

	* ChangeLog:

	Automatic ChangeLog generation

2004-11-03 15:44:29  Rev 8598   pederb

	* src/caches/SoPrimitiveVertexCache.cpp:

	support for SoContextHandler.

2004-11-03 15:30:31  Rev 8597   pederb

	* src/caches/SoGLCacheList.cpp:

	support for SoContextHandler.

2004-11-03 15:25:22  Rev 8596   pederb

	* src/misc/SoGLImage.cpp:

	support for SoContextHandler.

2004-11-03 12:04:11  Rev 8595   thammer

	* FAQ:

	Added Q&A about .NET compatibility

2004-11-03 00:31:03  Rev 8594   larsa

	* ChangeLog:

	Automatic ChangeLog generation

2004-11-02 13:53:03  Rev 8593   mortene

	* BUGS.txt:

	Yet Another Bug.

2004-11-02 11:43:29  Rev 8592   mortene

	* src/nodes/SoExtSelection.cpp:

	Bugfix: must also check whether the triangle primitive callback is set or not
	before calling it.

2004-11-02 11:36:44  Rev 8591   mortene

	* BUGS.txt:

	Stumbled over a couple of SoExtSelection bugs, when fixing another...

2004-11-02 11:35:34  Rev 8590   mortene

	* THANKS, src/nodes/SoExtSelection.cpp:

	Bugfix: selecting lines or points when in VISIBLE_SHAPES mode would crash
	unless setLineSegmentFilterCallback() or setPointFilterCallback() was used.
	Problem reported by

2004-11-02 10:58:53  Rev 8589   mortene

	* BUGS.txt:

	2 new items, update on the last item.

2004-11-02 10:54:31  Rev 8588   handegar

	* BUGS.txt:

	New item (font style bug under windows)

2004-10-29 23:35:24  Rev 8587   larsa

	* ChangeLog:

	Automatic ChangeLog generation

2004-10-28 18:05:59  Rev 8586   mortene

	* src/nodes/SoExtSelection.cpp:

	FIXME comment about implementation nastiness.

2004-10-28 18:05:27  Rev 8585   mortene

	* src/misc/SoOffscreenRenderer.cpp:

	Bugfix: supposed bug workaround for ATI cards _caused_ a bug with
	SoExtSelection by silently forcing tiled rendering. The workaround code was
	however only hiding a bug, which was fixed a while ago, so it should be killed
	anyway.

2004-10-28 12:51:50  Rev 8584   mortene

	* src/nodes/SoExtSelection.cpp:

	Bugfix: take care of overflow problems, which caused a completely non-working
	VISIBLE_SHAPES selection policy.

2004-10-28 10:34:53  Rev 8583   pederb

	* src/elements/GL/SoGLCacheContextElement.cpp,
	src/misc/SoContextHandler.cpp:

	Avoid warnings by removing the context cleanup function. Change priority of
	SoContextHandler atexit function to make it trigger after
	SoGLCacheContextElement atexit.

2004-10-28 09:50:30  Rev 8582   pederb

	* src/misc/SoContextHandler.cpp:

	Process callbacks FILO.

2004-10-28 09:23:05  Rev 8581   pederb

	* src/fields/SoGlobalField.cpp:

	Don't use SoDebugError in atexit/cleanup functions.

2004-10-28 08:13:38  Rev 8580   mortene

	* src/misc/SoContextHandler.cpp:

	Bugfix: don't use SoDebugError in atexit cleanup.

2004-10-28 06:20:52  Rev 8579   mortene

	* src/nodes/SoExtSelection.cpp:

	Tiny bugfix: %u for unsigned int in debug output.

2004-10-27 23:31:02  Rev 8578   larsa

	* ChangeLog:

	Automatic ChangeLog generation

2004-10-27 15:57:31  Rev 8577   mortene

	* src/nodes/SoExtSelection.cpp:

	Bugfix: calculation of number of colors available in the GL buffer was prone
	to overflow errors. Also, did various code cleanups and added an
	COIN_DEBUG_SOEXTSELECTION envvar.

2004-10-27 12:41:09  Rev 8576   pederb

	* src/elements/GL/SoGLCacheContextElement.cpp,
	include/Inventor/elements/SoGLCacheContextElement.h:

	Add support for SoContextHandler.

2004-10-25 23:31:04  Rev 8575   larsa

	* ChangeLog:

	Automatic ChangeLog generation

2004-10-25 11:05:45  Rev 8574   mortene

	* BUGS.txt:

	New item.

2004-10-25 09:23:07  Rev 8573   mortene

	* src/io/SoInput.cpp:

	Bugfix: was writing to and reading from the same char[] simultaneously.

2004-10-22 23:31:07  Rev 8572   larsa

	* ChangeLog:

	Automatic ChangeLog generation

2004-10-22 13:06:02  Rev 8571   mortene

	* src/io/SoInput.cpp:

	Compatibility fix: allow SoInput instance to be made before SoDB::init() was
	invoked, as can be done with SGI Inventor.

2004-10-21 23:31:14  Rev 8570   larsa

	* ChangeLog:

	Automatic ChangeLog generation

2004-10-21 13:28:14  Rev 8569   pederb

	* src/hardcopy/VectorizePSAction.cpp:

	setdash limit workaround. Bug reported by Ole Jacob Hagen.

2004-10-21 13:16:54  Rev 8568   mortene

	* src/misc/cppmangle.icc, THANKS:

	HP-UX fix: add name mangling scheme for aCC compiler. Submitted by Clemens von
	Mann.

2004-10-21 11:01:12  Rev 8567   mortene

	* src/nodes/SoExtSelection.cpp:

	Bugfix: make sure wasShiftDown() returns the correct value. Problem reported
	by Stefan Rauch.

2004-10-21 10:59:01  Rev 8566   mortene

	* src/nodes/SoExtSelection.cpp:

	Code-style: minor cleanups.

2004-10-20 23:31:08  Rev 8565   larsa

	* ChangeLog:

	Automatic ChangeLog generation

2004-10-20 12:10:10  Rev 8564   barbara

	* docs/doxygen/Coin_logo.png:

	Update Coin logo.

2004-10-19 23:31:02  Rev 8563   larsa

	* ChangeLog:

	Automatic ChangeLog generation

2004-10-19 17:10:05  Rev 8562   mortene

	* src/misc/SoBase.cpp:

	Debug: only track objects when debug envvar is set, to avoid unnecessary
	overhead.

2004-10-19 16:28:18  Rev 8561   mortene

	* include/Inventor/SbViewportRegion.h, src/base/SbViewportRegion.cpp:

	API fix: provide inequality operator for SbViewportRegion.

2004-10-19 14:01:14  Rev 8560   mortene

	* src/glue/dl.c:

	Bugfix: HP-UX 11 would complain on dlclose() on handles from dlopen(NULL).

2004-10-19 10:54:44  Rev 8559   mortene

	* BUGS.txt:

	New item, probable mem leak(s).

2004-10-18 23:31:03  Rev 8558   larsa

	* ChangeLog:

	Automatic ChangeLog generation

2004-10-18 14:03:01  Rev 8557   mortene

	* BUGS.txt:

	New item, memleak with SoSelection.

2004-10-18 12:55:03  Rev 8556   mortene

	* src/misc/SoDB.cpp:

	Bugfix: version setting was wrong for some Inventor file headers.

2004-10-18 12:49:03  Rev 8555   mortene

	* include/Inventor/SoDB.h, src/misc/SoDB.cpp:

	Implementation: for compatibility, add createRoute() and removeRoute(), as
	found in the TGS Inventor API.

2004-10-18 12:46:52  Rev 8554   mortene

	* src/fields/SoFieldContainer.cpp:

	Implementation: un-stubbed getEventOut() and getEventIn().

2004-10-18 00:21:25  Rev 8553   kyrah

	* configure.ac:

	Removed unnecessary passing of AGL linker flags (-framework
	ApplicationServices, -framework AGL) into coin-config default
	configuration.

2004-10-16 23:31:09  Rev 8552   larsa

	* ChangeLog:

	Automatic ChangeLog generation

2004-10-16 22:49:31  Rev 8551   kyrah

	* configure.ac:

	Mac OS 10.1 build fix.

	Removed unnecessary -lobjc option (this is only needed when linking
	against GLUT, but there you'll have to tweak the linker line
	manually anyway)

2004-10-15 23:31:07  Rev 8550   larsa

	* ChangeLog:

	Automatic ChangeLog generation

2004-10-15 13:25:27  Rev 8549   larsa

	* examples/bindings/CoinQtWidget.cpp:

	remove default arguments from implementation

2004-10-15 10:35:12  Rev 8548   mortene

	* BUGS.txt:

	New item.

2004-10-15 08:48:12  Rev 8547   pederb

	* THANKS:

	Add Stefan Rauch.

2004-10-15 08:38:44  Rev 8546   pederb

	* src/nodes/SoSelection.cpp:

	SGI Inventor pickFilter compatibility fix. Bug reported by Stefan Rauch.

2004-10-15 08:37:45  Rev 8545   pederb

	* src/draggers/SoDragger.cpp:

	Don't mark event as handled if dragger hasn't moved when the mouse button is
	released. Bug reported by Stefan Rauch.

2004-10-12 23:31:02  Rev 8544   larsa

	* ChangeLog:

	Automatic ChangeLog generation

2004-10-12 13:33:02  Rev 8543   pederb

	* THANKS:

	Add H. V?is?nen.

2004-10-12 13:23:52  Rev 8542   pederb

	* src/vrml97/VertexLine.cpp, src/vrml97/VertexShape.cpp:

	VRML97 generatePrimitives() bugfix. Bug reported by H. V?is?nen.

2004-10-11 23:31:04  Rev 8541   larsa

	* ChangeLog:

	Automatic ChangeLog generation

2004-10-11 13:29:14  Rev 8540   larsa

	* src/nodekits/SoNodeKitListPart.cpp:

	bugfix (make sound work inside nodekits) by Gerhard Reitmayr

2004-10-11 11:05:47  Rev 8539   mortene

	* src/misc/SoBase.cpp:

	Minor code clean-up: use a private class instead of sobase_-prefixed static
	variables.

2004-10-11 10:55:39  Rev 8538   mortene

	* src/misc/SoBase.cpp:

	Debug: adds a dict tracking all SoBase-derived instances, to make it possible
	to get a dump at app exit to check for mem leaks. Clean-up: SoBase static data
	is now cleaned up even for release builds.

2004-10-11 09:51:44  Rev 8537   mortene

	* BUGS.txt:

	Match item numbers correctly...

2004-10-11 09:50:49  Rev 8536   mortene

	* BUGS.txt:

	Kill one item, adds a few new ones (missing fields in Coin nodes vs TGS OIV
	4.0).

2004-10-11 09:38:26  Rev 8535   mortene

	* include/Inventor/nodes/SoShapeHints.h, src/vrml97/Sound.cpp,
	include/Inventor/VRMLnodes/SoVRMLSound.h,
	include/Inventor/nodes/SoDrawStyle.h,
	include/Inventor/VRMLnodes/SoVRMLMovieTexture.h,
	include/Inventor/nodes/SoTexture2.h,
	include/Inventor/nodes/SoTexture3.h:

	Tags of new API members to consider before making the future 3.0 release.

2004-10-08 23:31:06  Rev 8534   larsa

	* ChangeLog:

	Automatic ChangeLog generation

2004-10-08 18:12:24  Rev 8533   kyrah

	* FAQ:

	Updated info on Coin/Mac.

2004-10-08 14:55:17  Rev 8532   pederb

	* src/caches/SoPrimitiveVertexCache.cpp:

	re-enable triangle sorting.

2004-10-08 14:47:44  Rev 8531   pederb

	* src/caches/SoPrimitiveVertexCache.cpp:

	Disable triangle sorting.

2004-10-08 14:04:25  Rev 8530   pederb

	* src/shapenodes/SoShape.cpp:

	Slightly improved (hopefully) vertex array and VBO rendering.

2004-10-08 07:56:48  Rev 8529   pederb

	* src/glue/dl.c:

	Compile fix.

2004-10-07 23:31:08  Rev 8528   larsa

	* ChangeLog:

	Automatic ChangeLog generation

2004-10-07 17:10:13  Rev 8527   larsa

	* src/nodes/SoExtSelection.cpp:

	callback order fix

2004-10-07 13:06:18  Rev 8526   kyrah

	* BUGS.txt:

	Mention that offscreen rendering doesn't work with X11 on Mac OS X.

	Cosmetics (come on guys, grab yourselves a meta-q every once in a
	while...)

2004-10-07 13:03:52  Rev 8525   larsa

	* src/fonts/fontspec.c, src/fonts/freetype.c:

	compile fixes

2004-10-07 11:14:37  Rev 8524   larsa

	* Makefile.in:

	bootstrap

2004-10-07 11:14:19  Rev 8523   larsa

	* Makefile.am:

	fix makefile bug

2004-10-06 23:31:06  Rev 8522   larsa

	* ChangeLog:

	Automatic ChangeLog generation

2004-10-06 16:57:30  Rev 8521   kyrah

	* aclocal.m4, configure, cfg/errors.txt:

	Bootstrap.

2004-10-06 11:52:18  Rev 8520   handegar

	* src/misc/SoOffscreenRenderer.cpp:

	Give a warning if rendering without cameras.

2004-10-06 11:49:10  Rev 8519   mortene

	* src/misc/SoOffscreenRenderer.cpp:

	Minor FIXME: suggest fix for better robustness in tiled rendering.

2004-10-05 23:31:04  Rev 8518   larsa

	* ChangeLog:

	Automatic ChangeLog generation

2004-10-05 13:56:08  Rev 8517   mortene

	* BUGS.txt:

	New item, SoOffscreenRenderer tiled rendering.

2004-10-05 12:50:29  Rev 8516   kyrah

	* configure.ac:

	Added --enable-darwin-x11 flag to force X11 linkage on Darwin/Mac
	OS X. In this case, we also link against -lGL instead of
	-framework OpenGL, and use GLX instead of AGL.

2004-10-04 23:31:00  Rev 8515   larsa

	* ChangeLog:

	Automatic ChangeLog generation

2004-10-04 13:24:43  Rev 8514   pederb

	* src/caches/SoCache.cpp:

	How to create a cache doc.

2004-10-04 13:05:03  Rev 8513   pederb

	* src/vrml97/Parent.cpp:

	Be a bit less lazy when handling the internal child list.

2004-10-04 12:13:31  Rev 8512   mortene

	* src/shapenodes/soshape_bumprender.cpp:

	Minor clean-up: don't use private members in struct.

2004-09-30 23:31:07  Rev 8511   larsa

	* ChangeLog:

	Automatic ChangeLog generation

2004-09-30 14:48:25  Rev 8510   pederb

	* src/fonts/win32.c:

	Fixed Win32 crash-on-font-cleanup bug. Reported by Duncan Soutar. Bug was
	introduces right before Coin 2.3.

2004-09-30 08:15:31  Rev 8509   larsa

	* include/Inventor/caches/Makefile.in, src/mpeg/Makefile.in,
	include/Inventor/lock/Makefile.in,
	include/Inventor/engines/Makefile.in, src/3ds/Makefile.in,
	include/Inventor/projectors/Makefile.in, src/misc/Makefile.in,
	include/Inventor/collision/Makefile.in,
	include/Inventor/C/errors/Makefile.in, src/vrml97/Makefile.in,
	include/Inventor/actions/Makefile.in,
	include/Inventor/events/Makefile.in, aclocal.m4,
	include/Inventor/fields/Makefile.in, src/io/Makefile.in, configure,
	src/hardcopy/Makefile.in, src/errors/Makefile.in,
	src/elements/Makefile.in, src/nodekits/Makefile.in,
	include/Inventor/C/Makefile.in, src/caches/Makefile.in,
	include/Inventor/manips/Makefile.in, src/engines/Makefile.in,
	include/Inventor/threads/Makefile.in, src/projectors/Makefile.in,
	src/collision/Makefile.in, include/Inventor/sensors/Makefile.in,
	include/Inventor/lists/Makefile.in, src/actions/Makefile.in,
	src/events/Makefile.in, src/fields/Makefile.in,
	include/Inventor/nodes/Makefile.in, html/Makefile.in,
	include/Inventor/C/glue/Makefile.in, src/elements/GL/Makefile.in,
	data/Makefile.in, include/Inventor/system/Makefile.in,
	man/Makefile.in, include/Inventor/details/Makefile.in,
	data/draggerDefaults/Makefile.in, src/manips/Makefile.in,
	src/fonts/Makefile.in, src/threads/Makefile.in,
	src/upgraders/Makefile.in, src/sensors/Makefile.in,
	include/Inventor/bundles/Makefile.in,
	include/Inventor/C/base/Makefile.in, include/Makefile.in,
	src/glue/Makefile.in, cfg/coin.m4, src/lists/Makefile.in,
	include/Inventor/draggers/Makefile.in, include/Inventor/Makefile.in,
	src/nodes/Makefile.in, include/Inventor/annex/Makefile.in,
	Makefile.in, src/base/Makefile.in,
	include/Inventor/annex/HardCopy/Makefile.in, src/details/Makefile.in,
	include/Inventor/MPEG/Makefile.in, src/shapenodes/Makefile.in,
	include/Inventor/misc/Makefile.in, src/bundles/Makefile.in,
	src/draggers/Makefile.in, src/extensions/Makefile.in,
	src/Makefile.in, include/Inventor/VRMLnodes/Makefile.in,
	include/config.h.in, include/Inventor/C/threads/Makefile.in,
	include/Inventor/elements/Makefile.in,
	include/Inventor/errors/Makefile.in, man/man1/Makefile.in,
	include/Inventor/nodekits/Makefile.in, bin/Makefile.in,
	man/man3/Makefile.in:

	bootstrap

2004-09-29 23:31:01  Rev 8508   larsa

	* ChangeLog:

	Automatic ChangeLog generation

2004-09-29 21:57:41  Rev 8507   tamer

	* src/glue/freetype.c:

	removed superfluous error message output.

2004-09-29 21:25:04  Rev 8506   tamer

	* src/fonts/win32.c:

	win32 antialiasing support.

2004-09-29 18:01:58  Rev 8505   tamer

	* src/nodes/SoFont.cpp:

	doc update on fontconfig.

2004-09-29 14:49:35  Rev 8504   pederb

	* src/glue/dl.c:

	win32 compile fix.

2004-09-29 14:44:42  Rev 8503   tamer

	* src/glue/freetype.c:

	added environmental COIN_FORCE_FONTCONFIG_OFF override to disable usage of
	fontconfig.

2004-09-29 11:37:16  Rev 8502   tamer

	* src/fonts/fontspec.c:

	added a workaround to handle the previously allowed :Bold Italic style
	specification.
	small code style fixes.

2004-09-29 10:23:05  Rev 8501   mortene

	* src/glue/dl.c:

	Debug: more debug info on COIN_DEBUG_DL=1, trying to track down a HP-UX 11.0
	problem.

2004-09-29 08:13:08  Rev 8500   pederb

	* src/glue/freetype.c:

	Bugfix for recently introduced bug.

2004-09-26 23:31:07  Rev 8499   larsa

	* ChangeLog:

	Automatic ChangeLog generation

2004-09-26 19:23:10  Rev 8498   tamer

	* src/fonts/freetype.c:

	code style fix.

2004-09-26 17:59:44  Rev 8497   tamer

	* src/shapenodes/SoText2.cpp:

	code style fix.

2004-09-26 17:59:19  Rev 8496   tamer

	* src/fonts/fontlib_wrapper.c:

	bugfix for the case where a vectorglyph couldn't be created. need to indicate
	default font otherwise the wrong advance value in cc_flw_get_vector_advance()
	is picked up and glyphs were drawn on top of each other.

2004-09-26 17:55:24  Rev 8495   tamer

	* src/fonts/freetype.c:

	let the case, where an outline for a bitmap font is requested, fall back to
	the default font.

2004-09-26 17:52:05  Rev 8494   tamer

	* src/fonts/glyph3d.c:

	small code style fix and whitespace removal.

2004-09-24 23:32:05  Rev 8493   larsa

	* ChangeLog:

	Automatic ChangeLog generation

2004-09-24 13:14:46  Rev 8492   pederb

	* src/glue/zlib.c:

	Add zlib1.dll as a possible zlib library name.

2004-09-24 10:10:51  Rev 8491   mortene

	* BUGS.txt:

	Remove one fixed by pederb, suggest task for improving error reporting on
	faulty files.

2004-09-24 09:38:38  Rev 8490   pederb

	* src/vrml97/IndexedFaceSet.cpp:

	Fix vertex ordering bug introduced 2004/06/25.

2004-09-24 09:26:06  Rev 8489   pederb

	* src/vrml97/IndexedFaceSet.cpp:

	Fix potential bug.

2004-09-23 23:31:16  Rev 8488   larsa

	* ChangeLog:

	Automatic ChangeLog generation

2004-09-23 09:18:16  Rev 8487   pederb

	* src/nodes/SoTextureCombine.cpp:

	More doc.

2004-09-23 09:13:10  Rev 8486   pederb

	* src/shapenodes/SoTriangleStripSet.cpp:

	Doc. fix.

2004-09-23 07:59:53  Rev 8485   pederb

	* src/nodes/SoTextureCombine.cpp:

	more doc.

2004-09-22 23:31:06  Rev 8484   larsa

	* ChangeLog:

	Automatic ChangeLog generation

2004-09-22 13:48:00  Rev 8483   pederb

	* src/draggers/SoTabPlaneDragger.cpp:

	Workaround for bug reported by Stefan Rauch.

2004-09-22 12:59:29  Rev 8482   mortene

	* src/tidbits.c:

	Debug: broadcast when atexit cleanup functions are all done.

2004-09-22 12:55:48  Rev 8481   mortene

	* include/Inventor/C/tidbitsp.h, src/tidbits.c:

	Debug: make it possible to trace the invocation of exit cleanup functions by
	turning on an envvar.

2004-09-22 12:47:23  Rev 8480   pederb

	* src/nodes/SoTextureScalePolicy.cpp:

	Doc. update.

2004-09-22 12:44:58  Rev 8479   mortene

	* BUGS.txt:

	Make a note of a recently surfaced bug.

2004-09-21 23:30:57  Rev 8478   larsa

	* ChangeLog:

	Automatic ChangeLog generation

2004-09-21 04:58:48  Rev 8477   tamer

	* src/shapenodes/SoText2.cpp:

	spacesize unused. unnecessary divisions expensive.

2004-09-21 04:55:17  Rev 8476   tamer

	* include/Inventor/C/glue/freetype.h, src/glue/freetype.c:

	FcPatternAddDouble() support.

2004-09-21 04:52:53  Rev 8475   tamer

	* src/fonts/fontlib_wrapper.c:

	pass through needed fontsize for possible fontconfig font pattern matches.

2004-09-21 04:51:22  Rev 8474   tamer

	* src/fonts/freetype.c, src/fonts/freetype.h:

	pixel size pattern matching through fontconfig to pick up the nearest sized
	non scalable bitmap fonts.

2004-09-20 23:31:09  Rev 8473   larsa

	* ChangeLog:

	Automatic ChangeLog generation

2004-09-20 10:00:59  Rev 8472   mortene

	* src/glue/gl.c:

	Robustness: make sure only one of WGL, AGL and GLX is attempted used.

2004-09-18 23:30:53  Rev 8471   larsa

	* ChangeLog:

	Automatic ChangeLog generation

2004-09-18 10:55:46  Rev 8470   tamer

	* src/fonts/freetype.c:

	further white space reduction.

2004-09-18 10:52:50  Rev 8469   tamer

	* src/fonts/freetype.c:

	untabify...

2004-09-18 10:49:25  Rev 8468   tamer

	* include/Inventor/C/glue/freetype.h, src/fonts/freetype.c:

	consistency fix. moved FT_GLYPH_FORMAT_BITMAP definition to freetype.c and
	added all the other glyph formats.

2004-09-18 10:25:24  Rev 8467   tamer

	* src/shapenodes/SoText2.cpp:

	antialiased font rendering support.

2004-09-18 10:22:28  Rev 8466   tamer

	* include/Inventor/C/glue/freetype.h:

	Fontconfig runtime linking.
	added additional freetype defines needed for antialiased font rendering.

2004-09-18 10:16:39  Rev 8465   tamer

	* src/glue/freetype.c:

	Fontconfig runtime linking.

2004-09-18 10:14:08  Rev 8464   tamer

	* src/fonts/win32.c:

	filled mono struct member with hardcoded value. see FIXME.

2004-09-18 10:12:40  Rev 8463   tamer

	* src/fonts/glyph2d.h, src/fonts/glyph2d.c:

	added mono member to glyph struct to indicate if we are dealing with
	monochrome
	or antialised gray level bitmaps.
	added cc_glyph2d_getmono function to query the mono value.
	adapted bitmapwidth to handle the new situation.

2004-09-18 10:09:24  Rev 8462   tamer

	* src/fonts/freetype.c:

	fontconfig support. antialiased freetype font rendering support for outline
	fonts.

2004-09-18 10:06:46  Rev 8461   tamer

	* src/fonts/fontlib_wrapper.c, src/fonts/fontlib_wrapper.h:

	added new struct member to indicate monochrome or antialised gray level
	bitmaps.

2004-09-18 10:04:14  Rev 8460   tamer

	* configure.ac:

	added fontconfig setup. small consistency fix for freetype summary output.

2004-09-17 23:30:57  Rev 8459   larsa

	* ChangeLog:

	Automatic ChangeLog generation

2004-09-17 08:07:58  Rev 8458   mortene

	* BUGS.txt:

	Store parts of discussion on #141, for reference.

2004-09-17 08:05:50  Rev 8457   kyrah

	* BUGS.txt:

	Nitpicking.

2004-09-16 23:30:58  Rev 8456   larsa

	* ChangeLog:

	Automatic ChangeLog generation

2004-09-16 15:24:48  Rev 8455   pederb

	* src/vrml97/ElevationGrid.cpp:

	ElevationGrid texture coordinate bugfix. Reported by Daniele Bellandi.

2004-09-15 23:31:00  Rev 8454   larsa

	* ChangeLog:

	Automatic ChangeLog generation

2004-09-15 14:33:39  Rev 8453   larsa

	* bin/coin-config, coin.cfg.in:

	add htmldir config

2004-09-15 09:14:22  Rev 8452   mortene

	* BUGS.txt:

	New item.

2004-09-13 23:30:58  Rev 8451   larsa

	* ChangeLog:

	Automatic ChangeLog generation

2004-09-13 00:15:03  Rev 8450   tamer

	* src/fonts/glyph3d.c:

	small spelling fix.

2004-09-13 00:01:46  Rev 8449   tamer

	* include/Inventor/C/glue/freetype.h:

	removed whitespace to be in sync with Coin-2.

2004-09-09 23:31:05  Rev 8448   larsa

	* ChangeLog:

	Automatic ChangeLog generation

2004-09-09 13:39:24  Rev 8447   handegar

	* src/base/SbPlane.cpp:

	Fixed plane-plane intersection bug.

2004-09-09 13:05:25  Rev 8446   mortene

	* BUGS.txt:

	Update about draggers and SoMotion3Event.

2004-09-09 09:39:06  Rev 8445   mortene

	* BUGS.txt:

	Item #130 has been fixed by pederb.

2004-09-09 09:29:30  Rev 8444   mortene

	* BUGS.txt:

	A couple of updates on existing bugs.

2004-09-08 23:31:04  Rev 8443   larsa

	* ChangeLog:

	Automatic ChangeLog generation

2004-09-08 11:21:34  Rev 8442   handegar

	* src/base/SbPlane.cpp:

	Extended the SbPlane::intersect() doc.

2004-09-08 10:23:10  Rev 8441   mortene

	* src/glue/gl.c:

	Bugfixes: deactivate register combiners and fragment programs if functions are
	missing in release mode aswell (this was a serious bug). Don't pass out
	warnings of not-so-serious problems in release mode (minor bug).

2004-09-08 10:06:12  Rev 8440   mortene

	* BUGS.txt:

	New item.

2004-09-08 09:24:38  Rev 8439   mortene

	* src/glue/zlib.c, src/glue/freetype.c, src/glue/bzip2.c:

	Minor bugfix: reporting unavailability as an error condition is the
	responsibility of the caller.

2004-09-08 08:41:30  Rev 8438   mortene

	* src/misc/SoOffscreenWGLData.icc, src/misc/SoOffscreenGLXData.icc,
	src/misc/SoOffscreenAGLData.icc:

	Obsoleted, code moved to .h and .cpp files.

2004-09-07 23:31:03  Rev 8437   larsa

	* ChangeLog:

	Automatic ChangeLog generation

2004-09-07 15:54:28  Rev 8436   kintel

	* packaging/macosx/Makefile.in:

	Make gcc-3.3 compiled binaries deployable on Jaguar

2004-09-07 14:40:40  Rev 8435   kintel

	* packaging/macosx/noinst-README-Panther.txt.in, packaging/macosx/inst-
	README-Panther.txt.in:

	Updates related to Jaguar support for gcc-3.3 compiled frameworks

2004-09-07 14:02:03  Rev 8434   kintel

	* src/glue/dl.c:

	Don't include dlfcn.h if we have dyld support

2004-09-07 14:01:56  Rev 8433   kintel

	* src/glue/gl_agl.c:

	Compile fix; the cleanup was too clean

2004-09-07 08:21:18  Rev 8432   frodo

	* include/Inventor/nodekits/SoSubKit.h:

	macros for abstract nodekit subclasses

2004-09-04 23:31:00  Rev 8431   larsa

	* ChangeLog:

	Automatic ChangeLog generation

2004-09-04 12:46:54  Rev 8430   jornskaa

	* BUGS.txt:

	SoExtSelection (bbox rendering) crash bug fixed by pederb

2004-09-04 11:30:46  Rev 8429   pederb

	* src/misc/SoGL.cpp:

	Fix for recently introduced bbox rendering bug.

2004-09-03 23:30:56  Rev 8428   larsa

	* ChangeLog:

	Automatic ChangeLog generation

2004-09-03 10:34:09  Rev 8427   mortene

	* BUGS.txt:

	New item.

2004-09-03 08:55:20  Rev 8426   larsa

	* BUGS.txt:

	correct bug-report

2004-09-03 08:17:39  Rev 8425   mortene

	* BUGS.txt:

	Note on last item.

2004-09-03 08:04:47  Rev 8424   mortene

	* BUGS.txt:

	New item.

2004-09-02 23:31:02  Rev 8423   larsa

	* ChangeLog:

	Automatic ChangeLog generation

2004-09-02 13:59:44  Rev 8422   mortene

	* BUGS.txt:

	New item.

2004-09-02 13:36:38  Rev 8421   mortene

	* BUGS.txt:

	New item.

2004-09-02 12:28:57  Rev 8420   pederb

	* src/vrml97/Background.cpp:

	Support for COIN_VIEWUP environment variable.

2004-09-02 11:40:34  Rev 8419   mortene

	* aclocal.m4, configure, include/config.h.in:

	Bootstrap.

2004-09-02 11:37:53  Rev 8418   mortene

	* BUGS.txt, include/coindefs.h:

	Bugfix: check compiler's function name variable separately for C and C++
	compiler.

2004-09-02 10:56:09  Rev 8417   mortene

	* BUGS.txt:

	New item.

2004-09-02 10:46:14  Rev 8416   pederb

	* src/misc/SoGLTristripTemplate.icc,
	src/misc/SoGLnonindexedFaceSetTemplate.icc,
	src/misc/SoGLnonindexedTristripSetTemplate.icc:

	Render code updated for nvidia color-per-face bug workaround.

2004-09-02 09:35:26  Rev 8415   mortene

	* src/io/SoInput.cpp:

	Robustness: catch missing SoDB::init() by assert instead of crashing.

2004-09-02 09:28:58  Rev 8414   mortene

	* BUGS.txt:

	New item.

2004-09-02 09:14:57  Rev 8413   mortene

	* src/misc/SoState.cpp:

	Doc: API doc addition.

2004-09-02 08:57:29  Rev 8412   pederb

	* include/Inventor/C/glue/glp.h, src/bundles/SoMaterialBundle.cpp,
	src/shapenodes/SoShape.cpp, src/vrml97/IndexedFaceSet.cpp,
	src/elements/GL/SoGLLazyElement.cpp, src/glue/gl.c,
	src/misc/SoGLFaceSetTemplate.icc, src/vrml97/IndexedLineSet.cpp:

	A better workaround for the nVIDIA color-per-face bug.

2004-09-02 08:53:32  Rev 8411   mortene

	* include/Inventor/C/glue/glp.h, src/glue/gl_wgl.c, src/glue/gl_glx.c,
	src/nodes/SoSceneTexture2.cpp, src/glue/normalization_cubemap.c,
	src/misc/SoOffscreenRenderer.cpp, include/Inventor/C/glue/gl_glx.h,
	src/nodes/SoExtSelection.cpp, src/glue/gl_agl.c:

	Clean up header inclusion for the private glue/glp.h.

2004-09-02 08:49:58  Rev 8410   mortene

	* configure.ac, src/glue/gl.c:

	Minor fix: protection against multiple definitions of OpenGL<->windowsystem
	bindings was unnecessary, already taken care of in configure-script.

2004-09-01 15:14:02  Rev 8409   pederb

	* include/Inventor/C/glue/glp.h, src/shapenodes/SoShape.cpp,
	src/vrml97/IndexedFaceSet.cpp, src/glue/gl.c,
	src/vrml97/IndexedLineSet.cpp:

	Workaround for nVidia color-in-displaylist bug.

2004-09-01 14:57:42  Rev 8408   jornskaa

	* src/io/SoInput.cpp, src/io/SoInput_FileInfo.cpp:

	Fix when loading VRML1.0 files. Comma is now an invalid character in names.
	Removed wrong assert in SoInput_FileInfo

2004-09-01 13:51:55  Rev 8407   mortene

	* src/vrml97/Background.cpp:

	Compile fix: added missing include.

2004-09-01 12:55:52  Rev 8406   mortene

	* src/engines/SoConvertAll.cpp:

	Memleak fix, by Winnie E. Wong.

2004-09-01 10:22:51  Rev 8405   mortene

	* BUGS.txt:

	Include suggestion for work-around for nvidia bug.

2004-09-01 10:21:03  Rev 8404   mortene

	* BUGS.txt:

	Update item #126.

2004-09-01 09:29:51  Rev 8403   pederb

	* README.VRML97:

	Update.

2004-09-01 07:28:55  Rev 8402   pederb

	* src/misc/SoGL.cpp:

	Optimize rendering by encouraging auto caching for cubes, spheres, cylinders
	and cones.

2004-08-31 23:31:05  Rev 8401   larsa

	* ChangeLog:

	Automatic ChangeLog generation

2004-08-31 12:41:23  Rev 8400   mortene

	* src/shapenodes/SoAsciiText.cpp, src/shapenodes/SoText3.cpp:

	Minor fix: better handling of element controlling non-implemented outline
	mode.

2004-08-31 12:39:28  Rev 8399   mortene

	* include/Inventor/MPEG/Makefile.in, include/Inventor/MPEG/Makefile.am:

	Build fix: was using wrong template for generated blocks.

2004-08-31 12:05:25  Rev 8398   mortene

	* BUGS.txt:

	New item.

2004-08-31 10:13:51  Rev 8397   mortene

	* docs/driver-bugs/2004-08-02--nvidia-v61.77.cpp:

	Doc update: this will actually also crash on Linux with recent drivers.

2004-08-31 10:13:33  Rev 8396   pederb

	* docs/driver-bugs/2004-08-02--nvidia-v61.77.cpp:

	Oops.

2004-08-31 10:13:18  Rev 8395   pederb

	* docs/driver-bugs/2004-08-02--nvidia-v61.77.cpp:

	Minor fix.

2004-08-31 10:12:40  Rev 8394   pederb

	* docs/driver-bugs/2004-08-02--nvidia-v61.77.cpp:

	Minor fix.

2004-08-31 10:12:20  Rev 8393   pederb

	* docs/driver-bugs/2004-08-02--nvidia-v61.77.cpp:

	Linux compile fix.

2004-08-31 09:56:37  Rev 8392   pederb

	* src/shapenodes/SoShape.cpp:

	Test if vertex array rendering can be done before rendering
	COIN_USE_GL_VERTEX_ARRAY style. Bug reported by Mark D. Anderson.

2004-08-31 09:34:26  Rev 8391   larsa

	* BUGS.txt:

	bugs

2004-08-31 08:31:02  Rev 8390   pederb

	* src/upgraders/SoUpgrader.cpp:

	Optimize loading for old files by adding a dictionary for all upgradable
	nodes.

2004-08-31 07:48:56  Rev 8389   larsa

	* src/misc/SoType.cpp:

	fixme note

2004-08-30 23:30:53  Rev 8388   larsa

	* ChangeLog:

	Automatic ChangeLog generation

2004-08-30 17:53:45  Rev 8387   jornskaa

	* BUGS.txt:

	Minor comment fix. X marks the spot

2004-08-30 17:43:22  Rev 8386   jornskaa

	* BUGS.txt:

	Added further info on the slow iv-loading bug

2004-08-27 23:30:55  Rev 8385   larsa

	* ChangeLog:

	Automatic ChangeLog generation

2004-08-27 16:10:00  Rev 8384   larsa

	* RELEASE.txt:

	reminder

2004-08-27 13:21:05  Rev 8383   pederb

	* BUGS.txt:

	New bug.

2004-08-26 23:31:05  Rev 8382   larsa

	* ChangeLog:

	Automatic ChangeLog generation

2004-08-26 17:41:51  Rev 8381   kyrah

	* src/Makefile.am:

	Mac OS 10.1 build fix: Don't use -headerpad_max_install_names
	(which was introduced in 10.2). Reported by kintel.

2004-08-26 09:42:41  Rev 8380   pederb

	* src/shapenodes/SoAsciiText.cpp, src/shapenodes/SoText3.cpp:

	Fix for recently introduced assert failure.

2004-08-24 23:30:57  Rev 8379   larsa

	* ChangeLog:

	Automatic ChangeLog generation

2004-08-24 19:05:05  Rev 8378   thammer

	* src/shapenodes/SoText3.cpp:

	Bugfix: Only output warning for debug builds

2004-08-23 23:31:03  Rev 8377   larsa

	* ChangeLog:

	Automatic ChangeLog generation

2004-08-23 10:52:28  Rev 8376   mortene

	* configure, include/Inventor/MPEG/Makefile.in, src/mpeg/Makefile.in,
	include/Inventor/Makefile.in, src/Makefile.in:

	Bootstrap.

2004-08-23 10:43:44  Rev 8375   mortene

	* src/mpeg/all-mpeg-cpp.cpp, include/Inventor/MPEG, src/mpeg,
	include/Inventor/Makefile.am, src/Makefile.am,
	include/Inventor/MPEG/Makefile.in,
	include/Inventor/MPEG/SoMPEGFrameRenderer.h, src/mpeg/Makefile.in,
	src/mpeg/SoMPEGRenderer.cpp, configure.ac,
	include/Inventor/MPEG/SoMPEGRenderer.h,
	include/Inventor/MPEG/Makefile.am, src/mpeg/Makefile.am,
	src/mpeg/SoMPEGFrameRenderer.cpp:

	Skeleton files for MPEG support.

2004-08-20 23:30:58  Rev 8374   larsa

	* ChangeLog:

	Automatic ChangeLog generation

2004-08-20 15:34:32  Rev 8373   mortene

	* include/Inventor/annex/HardCopy/SoVectorizeGDIAction.h,
	include/Inventor/annex/HardCopy/SoHPGLVectorOutput.h,
	include/Inventor/annex/HardCopy/SoVectorizeCGMAction.h,
	src/hardcopy/VectorizeHPGLAction.cpp,
	include/Inventor/annex/HardCopy/SoGDIVectorOutput.h,
	src/hardcopy/Makefile.am,
	include/Inventor/annex/HardCopy/SoCGMVectorOutput.h,
	src/hardcopy/VectorizeGDIAction.cpp,
	src/hardcopy/HPGLVectorOutput.cpp,
	src/hardcopy/VectorizeCGMAction.cpp,
	include/Inventor/annex/HardCopy/Makefile.am,
	src/hardcopy/Makefile.in,
	include/Inventor/annex/HardCopy/SoVectorizeHPGLAction.h,
	src/hardcopy/GDIVectorOutput.cpp, src/hardcopy/HardCopy.cpp,
	src/hardcopy/CGMVectorOutput.cpp,
	include/Inventor/annex/HardCopy/Makefile.in:

	Skeleton files for supporting additional vector output formats.

2004-08-20 14:15:44  Rev 8372   mortene

	* aclocal.m4, configure, include/Inventor/nodes/Makefile.in,
	src/nodes/Makefile.in, cfg/errors.txt:

	Bootstrap.

2004-08-20 13:51:55  Rev 8371   mortene

	* src/nodes/all-nodes-cpp.cpp,
	include/Inventor/nodes/SoAnnoText3Property.h,
	include/Inventor/nodes/SoNodes.h, src/nodes/SoPattern.cpp,
	docs/coin.doxygen.in, include/Inventor/nodes/SoPattern.h,
	src/nodes/SoAnnoText3.cpp, src/nodes/SoNode.cpp,
	include/Inventor/nodes/Makefile.am, src/nodes/Makefile.am,
	include/Inventor/nodes/SoAnnoText3.h,
	src/nodes/SoAnnoText3Property.cpp:

	Skeletons for new nodes SoPattern, SoAnnoText3 and SoAnnoText3Property.

2004-08-20 13:46:59  Rev 8370   mortene

	* include/Inventor/nodes/SoSubNodeP.h, include/Inventor/nodes/SoNode.h:

	New version defines in anticipation of Coin 2.4 (some new nodes are planned to
	be added).

2004-08-20 13:30:37  Rev 8369   mortene

	* src/elements/SoTextOutlineEnabledElement.cpp,
	src/shapenodes/SoAsciiText.cpp, src/shapenodes/SoText3.cpp:

	FIXME: warn about lack of implementation of the SoTextOutlineEnabledElement
	feature in Coin.

2004-08-20 13:16:43  Rev 8368   pederb

	* src/caches/SoPrimitiveVertexCache.cpp:

	Sort triangles in cache to get more GPU vertex cache hits.

2004-08-18 23:31:05  Rev 8367   larsa

	* ChangeLog:

	Automatic ChangeLog generation

2004-08-18 15:33:21  Rev 8366   pederb

	* include/Inventor/caches/SoPrimitiveVertexCache.h,
	src/caches/SoPrimitiveVertexCache.cpp:

	Fixed ugly GL_USE_VERTEX_ARRAYS bug.

2004-08-18 12:45:11  Rev 8365   mortene

	* src/elements/GL/SoGLCacheContextElement.cpp, src/events/SoEvent.cpp,
	src/shapenodes/SoAsciiText.cpp,
	src/elements/GL/SoGLTextureEnabledElement.cpp,
	src/caches/SoCache.cpp, src/elements/SoCacheElement.cpp,
	src/misc/SoOffscreenRenderer.cpp, src/glue/gl.c,
	include/Inventor/system/gl.h.in, src/actions/SoGLRenderAction.cpp,
	src/actions/SoRayPickAction.cpp,
	include/Inventor/caches/SoGlyphCache.h, src/errors/SoError.cpp,
	src/glue/gl_wgl.c, src/misc/SoContextHandler.cpp,
	src/actions/SoGetPrimitiveCountAction.cpp, src/misc/SoDB.cpp,
	src/misc/SoNotification.cpp, src/misc/SoGLBigImage.cpp:

	Doc fixes: various FIXME notes and API doc additions.

2004-08-18 12:40:31  Rev 8364   mortene

	* src/glue/GLUWrapper.c:

	Robustness: don't crash on missing extensions string.

2004-08-18 12:36:48  Rev 8363   mortene

	* src/base/hash.c:

	Debug aid: catch a common error early.

2004-08-18 12:32:14  Rev 8362   mortene

	* src/tidbits.c:

	Robustness: safer vsnprintf() invocations. Also refactored a little bit, to
	clean up the code.

2004-08-18 10:23:59  Rev 8361   mortene

	* BUGS.txt:

	More info on last item.

2004-08-13 23:30:51  Rev 8360   larsa

	* ChangeLog:

	Automatic ChangeLog generation

2004-08-13 15:12:11  Rev 8359   jornskaa

	* BUGS.txt:

	Added new bug

2004-08-12 23:30:59  Rev 8358   larsa

	* ChangeLog:

	Automatic ChangeLog generation

2004-08-12 20:32:27  Rev 8357   mortene

	* include/Inventor/system/gl.h.in:

	Build fix: make sure the GLX pbuffer defines are available.

2004-08-12 15:20:55  Rev 8356   jornskaa

	* BUGS.txt:

	Bugfix: now more robust when encountering profile coordinates

2004-08-12 14:27:11  Rev 8355   jornskaa

	* src/nodes/SoNurbsProfile.cpp:

	Errormessage fix

2004-08-12 14:20:27  Rev 8354   jornskaa

	* src/nodes/SoLinearProfile.cpp, src/shapenodes/SoText3.cpp,
	src/nodes/SoNurbsProfile.cpp:

	Robustness update for SoNurbsProfile and SoText3. Removed redundant
	initialization in SoLinearProfile

2004-08-11 23:30:56  Rev 8353   larsa

	* ChangeLog:

	Automatic ChangeLog generation

2004-08-11 13:55:45  Rev 8352   jornskaa

	* src/nodes/SoLinearProfile.cpp:

	Fix: Use numcoords, not numpoints, and generate list even though no
	coordinates are available

2004-08-11 13:39:05  Rev 8351   jornskaa

	* src/nodes/SoLinearProfile.cpp, src/nodes/SoProfileCoordinate3.cpp,
	include/Inventor/nodes/SoProfileCoordinate3.h:

	Fixed bug130 for Coin-dev. Fixing completely for Coin-2 breaks ABI
	compatibility

2004-08-11 08:21:36  Rev 8350   jornskaa

	* src/shapenodes/SoQuadMesh.cpp:

	Added robustness tests

2004-08-10 23:30:58  Rev 8349   larsa

	* ChangeLog:

	Automatic ChangeLog generation

2004-08-10 21:51:08  Rev 8348   mortene

	* BUGS.txt:

	New item.

2004-08-10 17:29:24  Rev 8347   jornskaa

	* src/misc/SoGLqmeshTemplate.icc,
	src/misc/SoGLqmeshpreciselightingTemplate.icc:

	Added assert to make sure row, cols and start are positive

2004-08-10 17:12:34  Rev 8346   jornskaa

	* src/shapenodes/SoFaceSet.cpp:

	Robustness fix. Normal generation and rendering has been made more robust

2004-08-10 16:10:36  Rev 8345   jornskaa

	* BUGS.txt:

	Added dragger scaling bugs to list

2004-08-10 10:32:37  Rev 8344   jornskaa

	* src/misc/SoGLindexedLineSetTemplate.icc:

	Robustness update. Now prints errormessage on most errors

2004-08-10 09:19:27  Rev 8343   jornskaa

	* src/misc/SoGLFaceSetTemplate.icc:

	Robustness update. Print errormessage on most errors

2004-08-09 23:30:59  Rev 8342   larsa

	* ChangeLog:

	Automatic ChangeLog generation

2004-08-09 15:43:53  Rev 8341   jornskaa

	* src/misc/SoGLnonindexedFaceSetTemplate.icc:

	Finished old robustness fix

2004-08-09 14:46:57  Rev 8340   jornskaa

	* src/misc/SoGLFaceSetTemplate.icc:

	Made rendering of indexed face sets a little more robust

2004-08-09 14:14:43  Rev 8339   jornskaa

	* src/misc/SoGLFaceSetTemplate.icc:

	Finished old fix. Robustness update

2004-08-09 13:52:24  Rev 8338   jornskaa

	* BUGS.txt:

	Bugfix: bug032, robustness fix

2004-08-09 13:28:52  Rev 8337   jornskaa

	* src/misc/SoGLindexedLineSetTemplate.icc:

	Finished old bugfix. This fixes bug032, robustness when an illegal lineset is
	specified

2004-08-09 13:09:34  Rev 8336   jornskaa

	* BUGS.txt:

	Fixed bug 017 and 019 - dragger scaling bugs

2004-08-09 13:02:49  Rev 8335   jornskaa

	* src/draggers/SoTransformerDragger.cpp:

	Bugfix: bug019, problem with CTRL key press and release during dragging. Also
	fixed translation bug not in the buglist - everything went crazy when pressing
	shift and dragging. Cleaned up some code

2004-08-07 23:30:57  Rev 8334   larsa

	* ChangeLog:

	Automatic ChangeLog generation

2004-08-07 14:50:29  Rev 8333   jornskaa

	* src/projectors/SbLineProjector.cpp:

	Minor bugfix. If line start and start+dir are equal, return that point, not
	two x-coordinates

2004-08-07 14:37:36  Rev 8332   jornskaa

	* src/draggers/SoTabPlaneDragger.cpp:

	Fixed bug017 for SoTabPlaneDragger. Geometry no longer jumps when scale is
	very low

2004-08-06 23:30:55  Rev 8331   larsa

	* ChangeLog:

	Automatic ChangeLog generation

2004-08-06 11:16:42  Rev 8330   jornskaa

	* src/base/SbMatrix.cpp:

	Added doc to explain column-order/row-order matrices better

2004-08-06 07:54:25  Rev 8329   jornskaa

	* src/draggers/SoTransformerDragger.cpp:

	Fix to make rotation more accurate/stable when scale is small

2004-08-06 07:41:50  Rev 8328   jornskaa

	* src/draggers/SoDragger.cpp:

	Partly fixed bug 017, draggers now have a minimum scale restriction on their
	motionmatrices

2004-08-05 23:31:00  Rev 8327   larsa

	* ChangeLog:

	Automatic ChangeLog generation

2004-08-05 14:46:36  Rev 8326   mortene

	* docs/driver-bugs/2004-08-02--nvidia-v61.77.cpp:

	More info about failing drivers, cards and platforms.

2004-08-05 11:18:45  Rev 8325   mortene

	* docs/driver-bugs/2004-08-02--nvidia-v61.77.cpp:

	Simplify: doesn't even need textures.

2004-08-05 11:18:09  Rev 8324   mortene

	* docs/driver-bugs/2004-08-02--nvidia-v61.77.cpp:

	Simplify: doesn't even need textures.

2004-08-05 11:12:03  Rev 8323   mortene

	* docs/driver-bugs/2004-08-02--nvidia-v61.77.cpp:

	Sufficient to use 1x1 texture.

2004-08-05 11:09:31  Rev 8322   mortene

	* docs/driver-bugs/2004-08-02--nvidia-v61.77.cpp:

	Much simplified.

2004-08-05 11:03:08  Rev 8321   mortene

	* docs/driver-bugs/2004-08-02--nvidia-v61.77.cpp:

	Loop, and the bug is much easier to reproduce.

2004-08-05 10:44:45  Rev 8320   mortene

	* docs/driver-bugs/2004-08-02--nvidia-v61.77.cpp:

	Simplified.

2004-08-05 10:34:50  Rev 8319   mortene

	* docs/driver-bugs/2004-08-02--nvidia-v61.77.cpp:

	Simplified.

2004-08-05 10:16:44  Rev 8318   mortene

	* docs/driver-bugs/2004-08-02--nvidia-v61.77.cpp:

	Simplify.

2004-08-05 08:32:39  Rev 8317   mortene

	* BUGS.txt:

	New item.

2004-08-05 08:19:56  Rev 8316   jornskaa

	* THANKS:

	Added Roberto Martinez to the THANKS list

2004-08-05 07:53:31  Rev 8315   jornskaa

	* BUGS.txt:

	Bugfix: SoFieldContainer::get returned bogus string when node contained no
	fields. Bugreport and patch provided by Roberto Martinez

2004-08-05 07:39:46  Rev 8314   jornskaa

	* src/fields/SoFieldContainer.cpp:

	Bugfix: SoFieldContainer::get returned bogus string whennode contained no
	fields. Bugreport and patch provided by Roberto Martinez

2004-08-04 23:31:00  Rev 8313   larsa

	* ChangeLog:

	Automatic ChangeLog generation

2004-08-04 14:49:51  Rev 8312   mortene

	* BUGS.txt:

	A few updates to existing bugs.

2004-08-04 13:23:29  Rev 8311   larsa

	* BUGS.txt:

	new bug

2004-08-04 12:34:54  Rev 8310   jornskaa

	* BUGS.txt:

	Bugfix: bug018, transformation matrix can end up shearing

2004-08-04 11:37:07  Rev 8309   jornskaa

	* src/draggers/SoTransformerDragger.cpp:

	Implemented missing functionality when shift was released while dragging, and
	made the dragger behave better

2004-08-04 09:01:01  Rev 8308   handegar

	* src/glue/gl.c:

	Debug message fix.

2004-08-02 23:30:59  Rev 8307   larsa

	* ChangeLog:

	Automatic ChangeLog generation

2004-08-02 17:49:00  Rev 8306   mortene

	* include/Inventor/C/basic.h.in:

	Provide COIN_BETA_VERSION define for external as well as internal code.

2004-08-02 15:03:53  Rev 8305   jornskaa

	* src/draggers/SoTransformerDragger.cpp:

	Fixed bug018: transformation matrix can end up shearing

2004-08-02 13:50:01  Rev 8304   mortene

	* BUGS.txt, docs/driver-bugs/2004-08-02--nvidia-v61.77.cpp:

	Tracked NVIDIA-problems further, wrote stand-alone example without using Coin.

2004-08-02 13:43:29  Rev 8303   mortene

	* docs/bugreport-nvidia-glx.txt, docs/driver-bugs, docs/driver-
	bugs/2002-09-25--nvidia-glx.txt:

	Use separate directory for info on known OpenGL driver bugs.

2004-07-28 23:30:56  Rev 8302   larsa

	* ChangeLog:

	Automatic ChangeLog generation

2004-07-28 10:34:16  Rev 8301   mortene

	* BUGS.txt:

	New high priority item.

2004-07-26 23:31:01  Rev 8300   larsa

	* ChangeLog:

	Automatic ChangeLog generation

2004-07-26 18:13:57  Rev 8299   jornskaa

	* src/nodes/SoTextureScalePolicy.cpp:

	Doc update

2004-07-26 17:46:51  Rev 8298   jornskaa

	* src/shapenodes/soshape_bigtexture.cpp,
	src/shapenodes/soshape_bigtexture.h:

	Bugfix: SoGLBigImage did not work correctly with REPEAT or CLAMP mode. This
	has now been fixed

2004-07-24 23:31:02  Rev 8297   larsa

	* ChangeLog:

	Automatic ChangeLog generation

2004-07-24 15:39:09  Rev 8296   mortene

	* data/draggerDefaults/rotateSphericalDragger.iv,
	src/nodekits/SoBaseKit.cpp:

	Bugfix: dragger geometry looked different on one of my development machines.

2004-07-24 15:37:50  Rev 8295   mortene

	* docs/coin.doxygen.in:

	Minor doc fix: grammar.

2004-07-24 11:54:10  Rev 8294   mortene

	* data/draggerDefaults/centerballDragger.iv:

	Doc: more info on recent bugfix.

2004-07-24 11:49:42  Rev 8293   mortene

	* data/draggerDefaults/centerballDragger.iv:

	Bugfix: backfacing line primitives disappeared due to default
	SoDragger::GLRender() settings, on some systems (at least on an NVidia RIVA
	TNT2).

2004-07-24 11:16:11  Rev 8292   mortene

	* src/nodekits/SoBaseKit.cpp:

	Debug: add envvar to control whether to write nodekits as nodekits upon
	export, or to dump their scene graphs instead.

2004-07-24 10:16:35  Rev 8291   mortene

	* BUGS.txt:

	New item.

2004-07-23 23:31:02  Rev 8290   larsa

	* ChangeLog:

	Automatic ChangeLog generation

2004-07-23 15:20:29  Rev 8289   larsa

	* BUGS.txt:

	missing functionality

2004-07-23 08:03:38  Rev 8288   jornskaa

	* src/shapenodes/soshape_bigtexture.cpp:

	Reverse. Patch needs more testing, sorry

2004-07-23 07:51:58  Rev 8287   jornskaa

	* src/shapenodes/soshape_bigtexture.cpp:

	need to clamp the texture correctly first

2004-07-23 07:37:53  Rev 8286   jornskaa

	* src/shapenodes/soshape_bigtexture.cpp:

	This should fix the SoGLBigImage problem when using REPEAT mode on
	texturecoordinates outside range [0 1]

2004-07-21 23:30:58  Rev 8285   larsa

	* ChangeLog:

	Automatic ChangeLog generation

2004-07-21 15:03:25  Rev 8284   jornskaa

	* src/nodes/SoSwitch.cpp:

	small doc fix

2004-07-21 14:57:04  Rev 8283   jornskaa

	* src/nodes/SoSwitch.cpp:

	Added doc for SO_SWITCH_INHERIT

2004-07-21 13:59:10  Rev 8282   pederb

	* src/lists/SoPathList.cpp:

	Bugfix in SoPathList::sort(). Sort SoFullPath, not SoPath.

2004-07-21 10:15:09  Rev 8281   jornskaa

	* BUGS.txt:

	Added buglist message again...

2004-07-21 10:13:23  Rev 8280   jornskaa

	* BUGS.txt:

	Bugfix, removed bug085 from the list

2004-07-21 09:38:19  Rev 8279   jornskaa

	* src/misc/SoGLBigImage.cpp:

	Fixed but 085, reading outside arraybounds

2004-07-20 23:31:02  Rev 8278   larsa

	* ChangeLog:

	Automatic ChangeLog generation

2004-07-20 14:51:49  Rev 8277   mortene

	* BUGS.txt:

	Mention other relevant buglists.

2004-07-20 12:24:36  Rev 8276   jornskaa

	* BUGS.txt:

	Boundingbox calculations for SoAsciiText has been fixed

2004-07-20 08:47:12  Rev 8275   jornskaa

	* src/shapenodes/SoAsciiText.cpp:

	Updated SoAsciiText to calculate the width according to OIV

2004-07-19 23:31:01  Rev 8274   larsa

	* ChangeLog:

	Automatic ChangeLog generation

2004-07-19 13:25:35  Rev 8273   jornskaa

	* src/misc/SoBase.cpp:

	Refined errormessage

2004-07-19 13:13:10  Rev 8272   jornskaa

	* src/misc/SoBase.cpp, src/io/SoInput.cpp:

	Made it possible to override strict VRML97 support and allow + as a valid
	startcharacter in names. Also indented the doc properly and modified the
	errormessage when not able to read DEFs

2004-07-19 12:03:26  Rev 8271   jornskaa

	* src/io/SoInput.cpp:

	Compile fix. wrong arraysize. Reported by Gerhard Reitmayr

2004-07-19 07:30:35  Rev 8270   jornskaa

	* src/shapenodes/SoAsciiText.cpp:

	Made some fixes to be entirely accurate with doc and minor code fix..

2004-07-18 23:30:58  Rev 8269   larsa

	* ChangeLog:

	Automatic ChangeLog generation

2004-07-18 14:38:49  Rev 8268   jornskaa

	* src/shapenodes/SoAsciiText.cpp:

	Fixed bug 124, asciitext bounding box bug, and added doc image

2004-07-18 08:59:39  Rev 8267   mortene

	* BUGS.txt:

	New item.

2004-07-16 23:31:00  Rev 8266   larsa

	* ChangeLog:

	Automatic ChangeLog generation

2004-07-16 15:11:57  Rev 8265   jornskaa

	* BUGS.txt:

	Removed bug116 and bug081 from the buglist.  Bug081 was already fixed by
	handegar 20040308

2004-07-16 13:40:40  Rev 8264   jornskaa

	* src/shapenodes/SoAsciiText.cpp:

	Doxygen fix and small doc fix

2004-07-16 11:47:45  Rev 8263   jornskaa

	* src/shapenodes/SoAsciiText.cpp:

	Fixed bug 116: wrong width behavior, and cleaned up some code

2004-07-15 23:31:01  Rev 8262   larsa

	* ChangeLog:

	Automatic ChangeLog generation

2004-07-15 14:20:41  Rev 8261   jornskaa

	* src/shapenodes/SoAsciiText.cpp, src/vrml97/Text.cpp:

	The text nodes are now rendered/generated CCW

2004-07-15 13:37:18  Rev 8260   jornskaa

	* BUGS.txt:

	Removed bug124 from the buglist, and added some comments on bug018

2004-07-15 13:22:42  Rev 8259   jornskaa

	* src/shapenodes/SoText3.cpp:

	Fixed bug 124: text is now rendered/generated CCW

2004-07-15 09:47:15  Rev 8258   mortene

	* src/fields/SoMFName.cpp, src/fields/SoSFName.cpp:

	Doc: code comment update.

2004-07-15 09:43:43  Rev 8257   mortene

	* src/io/SoInput.cpp:

	Make recent API doc note on SoInput::read(SbName) more prominent, and add a
	few clarifications.

2004-07-15 09:36:25  Rev 8256   mortene

	* src/misc/SoOffscreenRenderer.cpp:

	FIXME update.

2004-07-15 08:51:31  Rev 8255   jornskaa

	* src/io/SoInput.cpp, src/fields/SoMFName.cpp, src/fields/SoSFName.cpp:

	Fixed recently introduced problem of reading name field values using
	read(SbName) to using read(SbString) instead. Also added doc to SoInput

2004-07-15 08:03:46  Rev 8254   mortene

	* docs/todo.txt:

	Reimplement gview?

2004-07-15 06:55:29  Rev 8253   jornskaa

	* src/nodes/SoSurroundScale.cpp:

	Added doc to SoSurroundScale node of how I understood it.

2004-07-14 23:31:00  Rev 8252   larsa

	* ChangeLog:

	Automatic ChangeLog generation

2004-07-14 21:30:59  Rev 8251   kyrah

	* docs/todo.txt:

	Added item about non-power-of-two textures.

2004-07-14 20:39:28  Rev 8250   kyrah

	* src/glue/gl_agl.c:

	Fix copy/paste errors in debug output. (Yeah, I'm in -pedantic
	mode today...)

2004-07-14 20:33:16  Rev 8249   mortene

	* src/glue/gl.c, src/misc/SoOffscreenRenderer.cpp:

	FIXMEs about offscreen buffer dimensions, suggestions for more robust
	strategies.

2004-07-14 18:31:39  Rev 8248   kyrah

	* src/glue/gl_agl.c:

	Left a note about the fact that you can always bind an AGL
	pBuffers as a texture (unlike in WGL). Update on old FIXME.

2004-07-14 16:49:06  Rev 8247   jornskaa

	* src/io/SoInput.cpp:

	Fixed recently introduced problem with reading VRML1.0 files without spaces
	and cleaned up some more code

2004-07-14 15:15:17  Rev 8246   mortene

	* BUGS.txt:

	Update on #73.

2004-07-13 23:30:59  Rev 8245   larsa

	* ChangeLog:

	Automatic ChangeLog generation

2004-07-13 18:46:07  Rev 8244   mortene

	* src/glue/gl_glx.c, src/glue/gl.c, include/Inventor/C/glue/gl_glx.h:

	Implements checking for GLX_MAX_PBUFFER_* limits, for more robust offscreen
	rendering.

2004-07-13 16:51:14  Rev 8243   jornskaa

	* src/io/SoInput.cpp:

	Removed VRML 1.0 test for []. Fixed comments

2004-07-13 16:16:01  Rev 8242   jornskaa

	* src/io/SoInput.cpp:

	Fixed valid identifier problem for VRML-files and cleaned up some code

2004-07-13 15:56:37  Rev 8241   mortene

	* src/nodes/SoSceneTexture2.cpp:

	API doc: improved class doc, removed bogus doc copied but not audited from
	SoTexture2.

2004-07-13 15:55:47  Rev 8240   mortene

	* src/glue/gl_wgl.c:

	Bugfixes: 1. Don't ask for pbuffer render-to-texture if the extension is not
	available.  2. Don't demand render-to-texture for all pbuffers, fall back on
	non-texture-capable.

2004-07-13 15:52:05  Rev 8239   mortene

	* src/glue/gl_wgl.c:

	Robustness: handle bug #117 as good as possible by warning that it is most
	likely a system problem.

2004-07-13 13:40:43  Rev 8238   mortene

	* BUGS.txt:

	Killed one.

2004-07-13 11:16:36  Rev 8237   mortene

	* src/glue/gl_wgl.c, src/glue/gl.c:

	Pbuffer dimension limit checking now implemented for WGL, so we can be less
	strict with the offscreen buffer size clamping.

2004-07-13 11:14:01  Rev 8236   mortene

	* src/glue/gl_wgl.c, include/Inventor/C/glue/gl_wgl.h:

	New functionality: implements pbuffer dimension limit checking. Also: various
	code clean-ups, report debug info as such and not as warnings.

2004-07-13 11:05:17  Rev 8235   mortene

	* include/Inventor/system/gl.h.in:

	Additional enums we need.

2004-07-12 23:31:01  Rev 8234   larsa

	* ChangeLog:

	Automatic ChangeLog generation

2004-07-12 13:41:08  Rev 8233   jornskaa

	* src/nodes/SoTransparencyType.cpp:

	Added doc image to show several transparency modes in a single scene

2004-07-12 12:44:57  Rev 8232   mortene

	* src/glue/gl.c:

	Debug: envvar to control reported availability of palette texture extensions.

2004-07-12 12:43:53  Rev 8231   mortene

	* src/actions/SoGLRenderAction.cpp:

	Compile fix: corrects non-standard use of variable scope.

2004-07-12 12:43:07  Rev 8230   mortene

	* src/glue/gl.c:

	Clean-up: simplify code and get better debug output upon unexpected fragment
	or vertex extensions problems.

2004-07-12 12:39:23  Rev 8229   mortene

	* README.WIN32, src/misc/SoPath.cpp, src/fields/SoFieldContainer.cpp,
	src/glue/gl.c, docs/dumpnodes.cpp, src/nodes/SoSelection.cpp, docs
	/misc-resources.txt, src/actions/SoGLRenderAction.cpp, docs/todo.txt,
	src/actions/SoGetMatrixAction.cpp,
	src/shapenodes/SoIndexedFaceSet.cpp, include/Inventor/misc/SbHash.h,
	src/nodes/SoUnknownNode.cpp, src/misc/SoGlyph.cpp,
	src/base/SbViewportRegion.cpp, src/misc/SoDB.cpp:

	Doc improvements.

2004-07-12 12:38:26  Rev 8228   jornskaa

	* src/actions/SoGLRenderAction.cpp:

	Added some comments to the doc, and made sure to override the transparency
	type when using SORTED_LAYERS_BLEND

2004-07-10 23:30:49  Rev 8227   larsa

	* ChangeLog:

	Automatic ChangeLog generation

2004-07-10 21:52:34  Rev 8226   mortene

	* docs/api-wish-list.txt:

	Minor update.

2004-07-09 23:31:01  Rev 8225   larsa

	* ChangeLog:

	Automatic ChangeLog generation

2004-07-09 15:04:05  Rev 8224   jornskaa

	* BUGS.txt:

	Removed bug080 from the buglist; transparencytype problems. Couldn't fix the
	SORTED_LAYERS_BLEND mode which still has global override

2004-07-09 13:38:57  Rev 8223   jornskaa

	* src/actions/SoGLRenderAction.cpp:

	Fixed most of bug080 with transparencytypes not being as expected. What is
	left to do is making the transparency work as expected with
	SORTED_LAYERS_BLEND

2004-07-09 12:05:25  Rev 8222   mortene

	* include/Inventor/C/glue/dlp.h:

	Interface: don't add new functions to public API unless really needed.

2004-07-09 09:05:32  Rev 8221   mortene

	* include/Inventor/caches/SoGLCacheList.h,
	include/Inventor/caches/SoGLRenderCache.h:

	Interface fix: these two classes are SoEXTENDER in SGI Inventor, so they
	should be made part of public API.

2004-07-09 09:00:42  Rev 8220   mortene

	* include/Inventor/bundles/SoNormalBundle.h:

	Interface fix: public class was not tagged for export to DLL interface.

2004-07-09 08:55:34  Rev 8219   mortene

	* src/elements/SoClipPlaneElement.cpp,
	include/Inventor/elements/SoClipPlaneElement.h:

	Clean-up: take internal class out of public scope.

2004-07-09 08:30:03  Rev 8218   mortene

	* BUGS.txt:

	New item.

2004-07-09 08:22:29  Rev 8217   jornskaa

	* BUGS.txt:

	Fixed bug094: problem with negative scaling of bounding boxes. Had to make
	sure the volume was positive

2004-07-09 08:05:56  Rev 8216   jornskaa

	* src/base/SbXfBox3f.cpp:

	Fixed bug094: problem with negative scaling of bounding boxes. Had to make
	sure the volume was positive

2004-07-08 23:31:00  Rev 8215   larsa

	* ChangeLog:

	Automatic ChangeLog generation

2004-07-08 14:14:46  Rev 8214   jornskaa

	* src/draggers/SoRotateSphericalDragger.cpp,
	src/draggers/SoTrackballDragger.cpp,
	src/draggers/SoRotateDiscDragger.cpp,
	src/draggers/SoTransformerDragger.cpp,
	src/draggers/SoHandleBoxDragger.cpp, src/draggers/SoJackDragger.cpp,
	src/draggers/SoScale1Dragger.cpp, src/draggers/SoScale2Dragger.cpp,
	src/draggers/SoScale2UniformDragger.cpp,
	src/draggers/SoCenterballDragger.cpp,
	src/draggers/SoRotateCylindricalDragger.cpp,
	src/draggers/SoSpotLightDragger.cpp,
	src/draggers/SoTranslate1Dragger.cpp,
	src/draggers/SoTranslate2Dragger.cpp,
	src/draggers/SoTabBoxDragger.cpp,
	src/draggers/SoPointLightDragger.cpp,
	src/draggers/SoTransformBoxDragger.cpp,
	src/draggers/SoDirectionalLightDragger.cpp,
	src/draggers/SoTabPlaneDragger.cpp,
	src/draggers/SoScaleUniformDragger.cpp,
	src/draggers/SoDragPointDragger.cpp:

	Added missing <string.h> include to the draggers

2004-07-08 12:41:11  Rev 8213   mortene

	* include/Inventor/SbBox3s.h:

	Interface fix: forgot to tag friend-operator functions for inclusion in
	Windows DLLs.

2004-07-08 10:56:14  Rev 8212   mortene

	* src/nodes/SoMatrixTransform.cpp:

	Bugfix: consistently check isIgnored() flag for field for all action methods.

2004-07-08 10:46:15  Rev 8211   mortene

	* configure.ac:

	Minor improvement: allow TrueType support in the same Coin library binary from
	both Win32 and FreeType.

2004-07-08 09:33:39  Rev 8210   jornskaa

	* src/misc/SoDB.cpp:

	Added debug output when ascii-buffers end with the null-character

2004-07-08 08:37:55  Rev 8209   jornskaa

	* include/Inventor/SoInput.h, src/io/SoInput.cpp:

	Removed private class hack from SoInput for Coin-3

2004-07-08 07:32:05  Rev 8208   jornskaa

	* src/misc/SoBase.cpp:

	Make sure all global fields get the new and updated fieldvalue by touching the
	field.

2004-07-07 23:31:02  Rev 8207   larsa

	* ChangeLog:

	Automatic ChangeLog generation

2004-07-07 16:35:07  Rev 8206   jornskaa

	* src/misc/SoBase.cpp:

	Fix for when having multiple globalfields with the same name. Making sure
	references are correct and field values are copied correctly. Thanks to
	Gerhard Reitmayr for finding the bug and a patch to fix the problem

2004-07-07 13:57:05  Rev 8205   pederb

	* src/caches/SoPrimitiveVertexCache.cpp:

	A bit improved hash key function. Less chance of many vertices getting the
	same key.

2004-07-07 13:31:52  Rev 8204   mortene

	* include/Inventor/caches/SoPrimitiveVertexCache.h,
	src/caches/SoPrimitiveVertexCache.cpp:

	Clean-up: less hack-ish handling of hash-key generation for objects of
	internal class. Removes unnecessary bit-by-bit comparison operator.

2004-07-07 13:26:00  Rev 8203   kintel

	* BUGS.txt:

	New item

2004-07-07 12:33:42  Rev 8202   mortene

	* src/misc/SoSceneManager.cpp:

	Debug: adds debugging mechanism for tracing notifications invoking re-
	rendering.

2004-07-07 10:52:08  Rev 8201   pederb

	* src/misc/SoGlyph.cpp:

	Fix for (quite) recently introduced bug in SoGlyph bitmap handling.

2004-07-07 10:20:27  Rev 8200   mortene

	* src/nodes/SoFile.cpp:

	Debug: envvar for dumping SoFile import names.

2004-07-07 10:00:08  Rev 8199   pederb

	* src/nodes/SoFile.cpp:

	Compile fix.

2004-07-07 09:53:05  Rev 8198   jornskaa

	* src/nodes/SoFile.cpp:

	Fix for assertion test. Test for correct filename

2004-07-07 07:42:11  Rev 8197   jornskaa

	* src/draggers/SoRotateSphericalDragger.cpp, src/nodes/SoFile.cpp,
	src/draggers/SoTrackballDragger.cpp, src/nodes/SoWWWInline.cpp,
	src/draggers/SoRotateDiscDragger.cpp,
	src/draggers/SoTransformerDragger.cpp, src/misc/SoProto.cpp,
	src/draggers/SoHandleBoxDragger.cpp, src/draggers/SoJackDragger.cpp,
	src/draggers/SoScale1Dragger.cpp, src/draggers/SoScale2Dragger.cpp,
	src/draggers/SoScale2UniformDragger.cpp, include/Inventor/SoInput.h,
	src/draggers/SoCenterballDragger.cpp, src/io/SoInput.cpp,
	src/draggers/SoRotateCylindricalDragger.cpp,
	src/draggers/SoSpotLightDragger.cpp,
	src/draggers/SoTranslate1Dragger.cpp,
	src/draggers/SoTabBoxDragger.cpp,
	src/draggers/SoTranslate2Dragger.cpp,
	src/draggers/SoPointLightDragger.cpp, examples/misc/glut_tex.cpp,
	src/vrml97/Inline.cpp, src/vrml97/Background.cpp,
	src/draggers/SoTransformBoxDragger.cpp,
	src/draggers/SoDirectionalLightDragger.cpp,
	src/draggers/SoTabPlaneDragger.cpp, src/misc/SoDB.cpp,
	src/draggers/SoScaleUniformDragger.cpp,
	src/draggers/SoDragPointDragger.cpp, src/io/SoInput_FileInfo.cpp:

	Cleanup of SoInput. Fix for various bugs. Major difference is the way popping
	of files happen. Also made sure strlen was used with the setBuffer method, not
	sizeof.

2004-07-06 23:30:55  Rev 8196   larsa

	* ChangeLog:

	Automatic ChangeLog generation

2004-07-06 16:23:37  Rev 8195   kintel

	* src/fonts/fontlib_wrapper.c:

	Killed compiler warnings

2004-07-06 13:23:32  Rev 8194   mortene

	* src/elements/GL/SoGLDisplayList.cpp:

	Clean-up: minor code rearrangements for readability and less code duplication.

2004-07-06 12:42:49  Rev 8193   mortene

	* BUGS.txt:

	Bump priority on SoTransformerManip shearing problem.

2004-07-06 11:23:57  Rev 8192   mortene

	* BUGS.txt:

	New item.

2004-07-05 23:31:02  Rev 8191   larsa

	* ChangeLog:

	Automatic ChangeLog generation

2004-07-05 12:03:44  Rev 8190   mortene

	* docs/msvc-ide-getting-started.txt:

	Obsoleted, info now part of Coin-for-Windows.

2004-07-05 10:56:58  Rev 8189   pederb

	* src/actions/SoGetMatrixAction.cpp:

	Initialize SoViewportRegionElement before traversing.

2004-07-05 10:53:04  Rev 8188   pederb

	* src/nodes/SoSeparator.cpp, src/vrml97/Transform.cpp:

	Fix for SoGetMatrixAction units (SoUnitsElement) handling. Bug reported by
	Chris Scharver.

2004-07-05 09:06:44  Rev 8187   mortene

	* BUGS.txt:

	Two new items, set priority on a few more.

2004-07-02 23:30:58  Rev 8186   larsa

	* ChangeLog:

	Automatic ChangeLog generation

2004-07-02 14:39:34  Rev 8185   pederb

	* include/Inventor/nodes/SoCacheHint.h, src/elements/SoElement.cpp,
	src/elements/SoCacheHintElement.cpp, src/nodes/SoNode.cpp,
	src/nodes/SoCacheHint.cpp,
	include/Inventor/elements/SoCacheHintElement.h:

	First version of SoCacheHint.

2004-07-02 13:56:11  Rev 8184   mortene

	* src/elements/GL/SoGLCacheContextElement.cpp,
	include/Inventor/elements/SoGLDisplayList.h,
	include/Inventor/elements/SoGLCacheContextElement.h,
	src/elements/GL/SoGLMultiTextureImageElement.cpp,
	src/elements/GL/SoGLLazyElement.cpp,
	include/Inventor/elements/Makefile.in,
	src/caches/SoGLRenderCache.cpp,
	src/shapenodes/soshape_bumprender.cpp, src/misc/SoGLImage.cpp,
	include/Inventor/elements/Makefile.am,
	src/elements/GL/SoGLDisplayList.cpp, src/misc/SoGLBigImage.cpp:

	Clean-up: split out declaration of SoGLDisplayList in its own header file.

2004-07-02 10:25:22  Rev 8183   pederb

	* BUGS.txt:

	Bug fixed.

2004-07-02 10:23:28  Rev 8182   pederb

	* src/shapenodes/SoText3.cpp:

	Bugfix. SoLazyElement::getWInstance() causes a new element to be created.

2004-07-02 09:54:53  Rev 8181   mortene

	* BUGS.txt, src/nodes/SoMaterialBinding.cpp:

	Remove bug #120, was a non-item. Update API documentation for
	SoMaterialBinding::PER_PART accordingly.

2004-07-02 09:53:41  Rev 8180   pederb

	* BUGS.txt:

	Update on cycling colors bug.

2004-07-02 09:51:23  Rev 8179   pederb

	* src/io/SoInput.cpp:

	Bugfix in SoInput::read(char). checkHeader() might pop FileInfo.

2004-07-02 09:48:02  Rev 8178   mortene

	* src/misc/SoOffscreenInternalData.h:

	Robustness: make sure glReadPixels() works as expected, independent of state
	settings. Also: flush GL pipeline to work around a bug with a specific ATI
	Radeon 9000 W2k driver.

2004-07-02 09:46:08  Rev 8177   mortene

	* src/misc/SoContextHandler.cpp:

	Bugfix: crashed on destructingContext() if no callbacks had been set up.

2004-07-02 08:54:49  Rev 8176   mortene

	* src/elements/GL/SoGLTextureImageElement.cpp:

	Clean-up: kill code for duplicated functionality.

2004-07-02 08:53:20  Rev 8175   mortene

	* src/sensors/SoDataSensor.cpp:

	Bugfix: avoid dangling pointers.

2004-07-02 08:52:34  Rev 8174   mortene

	* BUGS.txt:

	Two new items.

2004-07-02 08:35:27  Rev 8173   mortene

	* src/shapenodes/SoFaceSet.cpp, src/engines/SoTimeCounter.cpp,
	src/sensors/SoDelayQueueSensor.cpp, src/sensors/SoFieldSensor.cpp,
	src/nodes/SoVertexProperty.cpp,
	include/Inventor/events/SoKeyboardEvent.h, src/base/SbName.cpp,
	src/misc/SoContextHandler.cpp, src/nodes/SoNode.cpp,
	src/collision/SoIntersectionDetectionAction.cpp,
	src/sensors/SoSensorManager.cpp, src/tidbits.c,
	src/nodes/SoMaterialBinding.cpp:

	Documentation updates.

2004-07-01 23:30:58  Rev 8172   larsa

	* ChangeLog:

	Automatic ChangeLog generation

2004-07-01 16:23:08  Rev 8171   pederb

	* src/nodes/SoFile.cpp, src/misc/SoDB.cpp:

	Test for eof() before trying to read garbage after last node.

2004-07-01 16:09:38  Rev 8170   pederb

	* src/io/SoInput.cpp:

	SoInput::read(SbString) bugfix. Don't fetch SoInput_FileInfo before calling
	checkHeader(). FileInfo might be popped.

2004-07-01 15:52:30  Rev 8169   pederb

	* src/io/SoInput.cpp:

	Fix for recently introduced crash-bug when trying to read a string from a file
	at eof.

2004-07-01 13:52:48  Rev 8168   pederb

	* include/Inventor/nodes/SoCacheHint.h, src/nodes/all-nodes-cpp.cpp,
	include/Inventor/nodes/Makefile.in, src/nodes/Makefile.in,
	include/Inventor/elements/Makefile.in, src/elements/Makefile.in,
	src/elements/SoCacheHintElement.cpp, src/elements/all-elements-
	cpp.cpp, include/Inventor/nodes/Makefile.am, src/nodes/Makefile.am,
	src/nodes/SoCacheHint.cpp,
	include/Inventor/elements/SoCacheHintElement.h,
	include/Inventor/elements/Makefile.am, src/elements/Makefile.am:

	Build framework for SoCacheHint and SoCacheHintElement.

2004-07-01 11:45:44  Rev 8167   mortene

	* src/misc/SoContextHandler.cpp:

	Various fixes: avoid mem-leak, be more lenient towards client code, improve
	API documentation.

2004-07-01 08:51:16  Rev 8166   jornskaa

	* src/io/SoInput.cpp:

	Code cleanup for readability

2004-07-01 08:39:56  Rev 8165   jornskaa

	* BUGS.txt:

	Fixed and removed bug 101; stdin file stacking problem

2004-07-01 08:31:34  Rev 8164   jornskaa

	* src/io/SoInput.cpp:

	Minor fix for getHeader

2004-07-01 08:21:42  Rev 8163   jornskaa

	* src/io/SoInput.cpp:

	Fixed stacking-problem with stdin: bug 101, and added sanity checks to prevent
	segmentation fault..

2004-07-01 07:25:57  Rev 8162   jornskaa

	* src/nodes/SoFile.cpp, src/misc/SoDB.cpp, src/io/SoInput_FileInfo.cpp:

	The uncovered bug with '\0' characters returning from SoInput has been fixed,
	and SoDB and SoFile have been corrected again

2004-07-01 07:02:38  Rev 8161   mortene

	* src/fields/SoSFUInt32.cpp, src/fields/SoMFBool.cpp,
	src/fields/SoMFTime.cpp, src/fields/SoMFPlane.cpp,
	src/fields/SoMFRotation.cpp, src/fields/SoField.cpp,
	src/fields/SoSFBool.cpp, src/fields/SoMFVec3d.cpp,
	src/fields/SoMFMatrix.cpp, src/fields/SoSFTime.cpp,
	src/fields/SoSFPlane.cpp, src/fields/SoSFInt32.cpp,
	src/fields/SoSFRotation.cpp, src/fields/SoMFVec3f.cpp,
	src/fields/SoSFMatrix.cpp, src/fields/SoSFVec3d.cpp,
	src/fields/SoSFImage3.cpp, src/fields/SoSFVec3f.cpp,
	src/fields/SoMFColor.cpp, src/fields/shared.cpp,
	src/fields/SoMFUShort.cpp, src/fields/SoSFColor.cpp,
	src/fields/SoSFVec3s.cpp, src/fields/SoSFUShort.cpp,
	src/fields/SoMFShort.cpp, src/fields/SoSFBitMask.cpp,
	src/fields/Makefile.am, src/fields/SoMFEnum.cpp,
	src/fields/SoSFBox3s.cpp, src/fields/SoSFShort.cpp,
	src/fields/SoMFFloat.cpp, src/fields/SoMFVec2f.cpp,
	src/fields/SoMFString.cpp, src/fields/SoMFVec4f.cpp, src/fields/all-
	fields-cpp.cpp, src/fields/SoSFEnum.cpp, src/fields/SoSFFloat.cpp,
	src/fields/SoSFVec2f.cpp, src/fields/Makefile.in,
	src/fields/SoSFString.cpp, src/fields/SoSFVec4f.cpp,
	src/fields/SoMFName.cpp, src/fields/SoMFUInt32.cpp,
	src/fields/SoSFName.cpp, src/fields/shared.h,
	src/fields/SoSFImage.cpp, src/fields/SoSFVec2s.cpp:

	Clean-ups: better sharing of common code.

2004-06-30 23:31:04  Rev 8160   larsa

	* ChangeLog:

	Automatic ChangeLog generation

2004-06-30 15:36:12  Rev 8159   larsa

	* THANKS:

	credit for 64-bit asistance

2004-06-30 15:35:49  Rev 8158   larsa

	* src/fonts/freetype.c:

	type cast fixes

2004-06-30 14:45:30  Rev 8157   larsa

	* configure, Makefile.in, cfg/config.guess, cfg/config.sub:

	bootstrap

2004-06-30 14:43:38  Rev 8156   larsa

	* README.WIN32:

	some library dependency detection info

2004-06-30 14:34:38  Rev 8155   larsa

	* src/base/heap.c:

	cast to correct type

2004-06-30 13:22:34  Rev 8154   pederb

	* src/threads/rwmutex.c:

	SbRWMutex bugfix. By  Frank Lindeman.

2004-06-30 12:43:35  Rev 8153   mortene

	* README.WIN32:

	Info about CL and LINK envvars.

2004-06-30 11:49:31  Rev 8152   jornskaa

	* src/nodes/SoFile.cpp:

	Wrong update earlier for SoFile. This corrects it

2004-06-30 11:44:43  Rev 8151   jornskaa

	* src/nodes/SoFile.cpp, src/misc/SoDB.cpp:

	Added check to see if strings have length > 0, so that in-memory files are
	read properly

2004-06-30 11:30:21  Rev 8150   mortene

	* BUGS.txt:

	The handling of the GCC builtin_expect bug seems to work well, so removing
	that item now.

2004-06-30 11:24:47  Rev 8149   larsa

	* src/misc/systemsanity.icc:

	more error information

2004-06-30 10:21:38  Rev 8148   jornskaa

	* BUGS.txt:

	Removed bug 093 from the buglist

2004-06-30 10:18:26  Rev 8147   pederb

	* src/fields/SoField.cpp:

	SoField::connectFrom() bugfix. Don't ignore/reset notnotify flag when field
	converter is used.

2004-06-30 10:13:06  Rev 8146   jornskaa

	* src/nodes/SoFile.cpp, src/misc/SoDB.cpp:

	Fixed bug 093; crash upon faulty iv-file using SoFile. Now writes warning
	message

2004-06-30 09:10:19  Rev 8145   larsa

	* src/nodes/SoCamera.cpp:

	doc typo fix

2004-06-29 23:31:06  Rev 8144   larsa

	* ChangeLog:

	Automatic ChangeLog generation

2004-06-29 16:51:07  Rev 8143   larsa

	* src/elements/GL/SoGLLazyElement.cpp, src/fields/SoSFInt32.cpp:

	tricky argument type resolve casts

2004-06-29 09:35:32  Rev 8142   pederb

	* src/vrml97/AudioClip.cpp:

	Plug recently introduces memory leak.

2004-06-29 08:47:20  Rev 8141   mortene

	* THANKS:

	Adds Juergen Wehr for bug reports and general helpfulness.

2004-06-29 08:45:54  Rev 8140   mortene

	* src/fields/SoFieldContainer.cpp:

	Bugfix: getUserData() could give bogus results. Reported by Juergen Wehr.

2004-06-29 08:27:12  Rev 8139   mortene

	* src/base/hash.c:

	Minor consistency fix: function signature uses SbBool, not int.

2004-06-28 23:31:01  Rev 8138   larsa

	* ChangeLog:

	Automatic ChangeLog generation

2004-06-28 20:32:16  Rev 8137   kyrah

	* configure.ac:

	Tiger support.

2004-06-28 16:29:20  Rev 8136   pederb

	* src/vrml97/Sound.cpp, src/vrml97/AudioClip.cpp:

	Bugfixes. Avoid static instances of classes.

2004-06-28 15:26:32  Rev 8135   jornskaa

	* BUGS.txt:

	Removed bug 097, which has been fixed

2004-06-28 15:11:46  Rev 8134   jornskaa

	* src/engines/so_eval.ic:

	No significant changes to flex-generated file, but committing to be equal to
	Coin-2

2004-06-28 14:49:22  Rev 8133   jornskaa

	* src/engines/evaluator_tab.c:

	Recent changes have slightly modified the bison-generated file

2004-06-28 14:30:44  Rev 8132   pederb

	* src/engines/SoEngineOutput.cpp:

	reverse recent patch committed by mistake.

2004-06-28 14:28:46  Rev 8131   pederb

	* src/engines/so_eval.diff:

	compile fix for patch.

2004-06-28 14:28:12  Rev 8130   pederb

	* src/engines/so_eval.ic, src/engines/SoEngineOutput.cpp:

	compile fix.

2004-06-28 14:07:52  Rev 8129   jornskaa

	* src/engines/evaluator.y:

	Added missing copyright message

2004-06-28 13:58:05  Rev 8128   pederb

	* src/engines/so_eval.diff, src/engines/evaluator.l:

	Patch for compile fix.

2004-06-28 13:33:32  Rev 8127   pederb

	* src/engines/so_eval.ic:

	Windows compile fix.

2004-06-28 13:22:19  Rev 8126   jornskaa

	* src/engines/so_eval.ic, src/engines/evaluator.y,
	src/engines/evaluator_tab.c, src/engines/evaluator.l:

	Fixed bug 097; SoCalculator parseerror

2004-06-25 23:31:03  Rev 8125   larsa

	* ChangeLog:

	Automatic ChangeLog generation

2004-06-25 15:18:41  Rev 8124   jornskaa

	* src/shapenodes/SoIndexedFaceSet.cpp, src/caches/Makefile.in,
	include/Inventor/caches/SoNormalCache.h,
	src/vrml97/IndexedFaceSet.cpp, src/caches/Makefile.am,
	src/shapenodes/SoIndexedTriangleStripSet.cpp, src/caches/all-caches-
	cpp.cpp, src/shapenodes/SoQuadMesh.cpp, src/caches/SoNormalCache.cpp:

	Another update to SoNormalCache. New API interface

2004-06-25 15:16:08  Rev 8123   jornskaa

	* src/caches/normalcache_numcoords_hack.h,
	src/caches/normalcache_numcoords_hack.cpp:

	Another update to SoNormalCache

2004-06-25 14:40:58  Rev 8122   jornskaa

	* BUGS.txt:

	Bug 062 has been fixed and removed

2004-06-25 13:18:47  Rev 8121   jornskaa

	* src/misc/SoGLqmeshpreciselightingTemplate.icc:

	Added copyright message

2004-06-25 13:11:09  Rev 8120   pederb

	* src/caches/normalcache_numcoords_hack.cpp:

	compile fix.

2004-06-25 12:57:24  Rev 8119   pederb

	* src/caches/normalcache_numcoords_hack.cpp:

	Quick thread-safe fix.

2004-06-25 12:53:30  Rev 8118   pederb

	* src/misc/SoGLqmeshTemplate.icc,
	src/misc/SoGLqmeshpreciselightingTemplate.icc:

	This time I'll get it right :).

2004-06-25 12:40:09  Rev 8117   pederb

	* src/misc/SoGLqmeshTemplate.icc,
	src/misc/SoGLqmeshpreciselightingTemplate.icc:

	Fix for erroneous assert.

2004-06-25 12:16:30  Rev 8116   jornskaa

	* src/caches/normalcache_numcoords_hack.h,
	src/shapenodes/SoIndexedFaceSet.cpp, src/caches/Makefile.in,
	src/misc/SoGLTristripTemplate.icc, src/vrml97/IndexedFaceSet.cpp,
	src/caches/Makefile.am, src/shapenodes/SoIndexedTriangleStripSet.cpp,
	src/caches/normalcache_numcoords_hack.cpp, src/caches/all-caches-
	cpp.cpp, src/shapenodes/SoQuadMesh.cpp, src/caches/SoNormalCache.cpp:

	Bugfix and robustness update for SoNormalCache

2004-06-25 12:14:54  Rev 8115   jornskaa

	* src/misc/SoGLqmeshTemplate.icc,
	src/misc/SoGLqmeshpreciselightingTemplate.icc:

	Robustness update

2004-06-25 09:47:43  Rev 8114   mortene

	* BUGS.txt:

	New item.

2004-06-25 09:47:21  Rev 8113   preng

	* src/base/SbTime.cpp:

	Doc: a reminder on the difference between format() and formatDate()

2004-06-25 08:06:26  Rev 8112   mortene

	* src/base/SbTime.cpp:

	API doc: minor clarification.

2004-06-24 23:31:04  Rev 8111   larsa

	* ChangeLog:

	Automatic ChangeLog generation

2004-06-24 16:29:38  Rev 8110   jornskaa

	* BUGS.txt:

	The fix for bug 098 also fixed bug 050

2004-06-24 16:22:26  Rev 8109   jornskaa

	* BUGS.txt:

	Fixed parsing bug 098

2004-06-24 16:19:03  Rev 8108   jornskaa

	* src/misc/SoBase.cpp, src/io/SoInput.cpp, src/fields/SoField.cpp:

	Fixed parsing bug and cleaned up the code

2004-06-24 12:54:23  Rev 8107   mortene

	* BUGS.txt:

	New item.

2004-06-24 09:46:42  Rev 8106   mortene

	* FAQ:

	Include link to doc.

2004-06-24 09:42:59  Rev 8105   jornskaa

	* HACKING:

	Another small clarification regarding bootstrapping

2004-06-24 09:39:01  Rev 8104   larsa

	* FAQ:

	update state of things

2004-06-24 09:38:20  Rev 8103   jornskaa

	* HACKING:

	Small clarification regarding bootstrapping

2004-06-24 09:28:49  Rev 8102   mortene

	* FAQ:

	Update information about volume rendering.

2004-06-24 09:23:26  Rev 8101   mortene

	* HACKING:

	Update with more information on bootstrapping, upon request from jornskaa.

2004-06-24 09:05:15  Rev 8100   pederb

	* src/nodes/SoBumpMap.cpp:

	Improved doc.

2004-06-24 09:04:08  Rev 8099   pederb

	* src/nodes/SoBumpMap.cpp:

	Improved doc.

2004-06-24 08:56:19  Rev 8098   thammer

	* src/shapenodes/SoAsciiText.cpp:

	Bugfix for right-adjusted text.

2004-06-23 23:30:57  Rev 8097   larsa

	* ChangeLog:

	Automatic ChangeLog generation

2004-06-23 15:42:41  Rev 8096   pederb

	* src/nodekits/SoBaseKit.cpp:

	Bugfix for VRML group nodes in node kits. Bug reported by Duncan Soutar.

2004-06-23 09:55:01  Rev 8095   mortene

	* src/misc/SoOffscreenInternalData.h:

	Workaround for OpenGL driver bug: ATI Radeon 9000 Win2000 driver would cause a
	system hang if we do glReadPixels() without flushing the GL pipeline.

2004-06-23 09:08:38  Rev 8094   pederb

	* src/vrml97/Sensor.cpp:

	Fix UMR bug.

2004-06-23 08:50:10  Rev 8093   pederb

	* include/Inventor/VRMLnodes/SoVRMLPlaneSensor.h:

	Fix erroneous inherited typedef.

2004-06-22 23:30:53  Rev 8092   larsa

	* ChangeLog:

	Automatic ChangeLog generation

2004-06-22 15:51:53  Rev 8091   kyrah

	* THANKS:

	Added Robert Fuchs from the IMS, for being the best source for
	Mac-related intelligence around here, and providing lots of good
	feedback. :)

2004-06-22 12:49:12  Rev 8090   larsa

	* src/elements/SoTextureCombineElement.cpp,
	src/nodes/SoTextureCombine.cpp:

	update \since tags

2004-06-22 12:48:56  Rev 8089   larsa

	* RELEASE.txt:

	additional procedure info

2004-06-22 10:06:27  Rev 8088   mortene

	* HACKING:

	nfs has been obsoleted, use valhalla.

2004-06-21 23:30:56  Rev 8087   larsa

	* ChangeLog:

	Automatic ChangeLog generation

2004-06-21 11:01:31  Rev 8086   mortene

	* BUGS.txt:

	Suggest fix for the nasty assert.h / GCC error.

2004-06-18 23:30:58  Rev 8085   larsa

	* ChangeLog:

	Automatic ChangeLog generation

2004-06-18 13:47:56  Rev 8084   pederb

	* src/fields/SoMField.cpp:

	Auto-expand array in set1(). Problem reported by Gerhard Reitmayr.

2004-06-18 08:32:01  Rev 8083   mortene

	* src/misc/SoDB.cpp:

	Add some more sanity checking for global field resource clean-ups.

2004-06-18 08:30:38  Rev 8082   mortene

	* src/misc/SoBase.cpp:

	Update code to match corrected semantics of
	SoGlobalField::removeGlobalFieldContainer().

2004-06-18 08:21:33  Rev 8081   mortene

	* src/fields/SoGlobalField.cpp:

	Free up static resources for release builds. Sanity check for nr of fields to
	always be just 1.

2004-06-18 07:51:18  Rev 8080   mortene

	* src/lists/SoBaseList.cpp, include/Inventor/lists/SoBaseList.h:

	Override superclass's removeItem() function, so dereferencing is properly
	done.

2004-06-18 07:14:41  Rev 8079   mortene

	* src/threads/thread.c:

	Compile fix: missing include.

2004-06-17 23:31:03  Rev 8078   larsa

	* ChangeLog:

	Automatic ChangeLog generation

2004-06-17 13:51:17  Rev 8077   mortene

	* src/misc/SoBase.cpp:

	Clean-up: improve readability of (too) long function.

2004-06-17 12:52:59  Rev 8076   jornskaa

	* BUGS.txt, src/misc/SoBase.cpp, src/fields/SoGlobalField.cpp,
	include/Inventor/fields/SoGlobalField.h:

	Fixed bug that might cause the creationseveral equal global fields

2004-06-17 09:07:31  Rev 8075   pederb

	* src/fonts/win32.c:

	Fixes some memory leaks. Reported by dan @ goldensoftware.

2004-06-16 23:31:00  Rev 8074   larsa

	* ChangeLog:

	Automatic ChangeLog generation

2004-06-16 15:13:36  Rev 8073   pederb

	* src/threads/recmutex.c, src/threads/sync.c, src/threads/mutex.c,
	src/threads/thread.c:

	Fixes for atexit priorities.

2004-06-16 14:49:56  Rev 8072   pederb

	* include/Inventor/C/tidbitsp.h, src/tidbits.c:

	Use signed integer to specify priority in coin_atexit().

2004-06-16 14:14:23  Rev 8071   mortene

	* src/nodes/SoTextureCoordinateSphere.cpp,
	src/nodes/SoTextureCoordinateCylinder.cpp,
	src/nodes/SoTextureCoordinateCube.cpp:

	Bugfixes: set correct version on new nodes.

2004-06-16 14:13:30  Rev 8070   mortene

	* include/Inventor/nodes/SoSubNodeP.h, include/Inventor/nodes/SoNode.h:

	Make room for Coin 2.3 node additions.

2004-06-16 13:22:34  Rev 8069   pederb

	* src/errors/error.c, src/base/SbImage.cpp:

	Use COIN_THREADSAFE, not HAVE_THREADS.

2004-06-16 13:20:49  Rev 8068   pederb

	* src/elements/GL/SoGLLazyElement.cpp:

	Fix potential bug. Don't test for HAVE_THREADS before touching the texture
	image. Reported by Tore Kristiansen.

2004-06-16 11:55:51  Rev 8067   thammer

	* BUGS.txt, src/nodes/SoFile.cpp:

	Fixed hang (read from stdin) when SoFile::name is set to the empty string.

2004-06-16 10:47:12  Rev 8066   mortene

	* THANKS:

	Adds Frank Lindeman for assisting in fixing an SoQt bug.

2004-06-16 10:22:10  Rev 8065   pederb

	* src/fonts/fontlib_wrapper.c, src/fonts/fontlib_wrapper.h,
	src/fonts/freetype.c, src/fonts/glyph2d.c, src/fonts/glyph3d.c:

	More memory leak fixes for 2D fonts. Some code cleanup.

2004-06-16 10:12:33  Rev 8064   mortene

	* BUGS.txt:

	New item.

2004-06-16 09:30:07  Rev 8063   jornskaa

	* src/actions/SoBoxHighlightRenderAction.cpp:

	Fixed to use the correct bounding box

2004-06-16 09:08:49  Rev 8062   preng

	* src/engines/SoCalculator.cpp:

	Docfix: avoid abstract camera node, avoid SmallChange Rot2Heading engine

2004-06-16 08:48:46  Rev 8061   preng

	* src/engines/SoCalculator.cpp:

	Added .iv usage example

2004-06-16 08:41:26  Rev 8060   jornskaa

	* BUGS.txt:

	testing testing

2004-06-16 08:29:25  Rev 8059   jornskaa

	* BUGS.txt:

	Bug 111 fixed and removed

2004-06-16 08:11:32  Rev 8058   jornskaa

	* src/actions/SoBoxHighlightRenderAction.cpp:

	Bugfix: corrects highlighting, don't highlight non-selected geometry.

2004-06-16 07:55:11  Rev 8057   mortene

	* BUGS.txt:

	New item.

2004-06-15 23:30:58  Rev 8056   larsa

	* ChangeLog:

	Automatic ChangeLog generation

2004-06-15 15:20:09  Rev 8055   pederb

	* src/fonts/freetype.c:

	Plug even more memory leaks.

2004-06-15 13:06:54  Rev 8054   mortene

	* src/threads/Makefile.in, src/Makefile.in:

	Bootstrap.

2004-06-15 13:04:41  Rev 8053   mortene

	* src/Makefile.am, src/threads/all-threads-c.c, src/threads/Makefile.am:

	Build fixes: SbStorage / cc_storage should now be built even though thread-
	abstractions are not available.

2004-06-15 12:46:48  Rev 8052   mortene

	* src/nodes/SoLinearProfile.cpp, src/nodes/SoLevelOfDetail.cpp,
	src/nodes/SoTextureCoordinateSphere.cpp, src/nodes/SoSeparator.cpp,
	src/shapenodes/SoShape.cpp,
	src/nodes/SoTextureCoordinateCylinder.cpp, src/vrml97/Group.cpp,
	src/fields/SoFieldContainer.cpp,
	src/nodes/SoTextureCoordinateCube.cpp, src/nodes/SoNurbsProfile.cpp:

	Clean-up: SbStorage can be used even for non-thread-capable builds.

2004-06-15 12:17:07  Rev 8051   mortene

	* src/misc/SoGL.cpp, src/misc/SoDB.cpp, src/misc/SoGLImage.cpp,
	src/misc/SoGLBigImage.cpp:

	Clean-up: SbStorage can be used even for non-thread-capable builds.

2004-06-15 11:05:51  Rev 8050   mortene

	* src/io/SoInput.cpp:

	Clean-up: SbStorage can be used even for non-thread-capable builds.

2004-06-15 10:55:13  Rev 8049   kintel

	* packaging/macosx/noinst-dmg-files/.DS_Store, packaging/macosx/inst-
	dmg-files/.DS_Store:

	Size adjustment

2004-06-15 10:46:49  Rev 8048   kintel

	* packaging/macosx/makedmg.sh.in, Makefile.am:

	Renamed background.png to coin_dmg_bg.tiff

2004-06-15 10:42:23  Rev 8047   kintel

	* packaging/macosx/inst-dmg-files/coin_dmg_bg.tiff, packaging/macosx
	/noinst-dmg-files/background.png, packaging/macosx/inst-dmg-
	files/.DS_Store, packaging/macosx/inst-dmg-files/background.png,
	packaging/macosx/background.tiff, packaging/macosx/noinst-dmg-
	files/.VolumeIcon.icns, packaging/macosx/inst-dmg-
	files/.VolumeIcon.icns, packaging/macosx/noinst-dmg-
	files/coin_dmg_bg.tiff:

	New Coin logo

2004-06-15 09:58:24  Rev 8046   mortene

	* src/threads/storage.c:

	Internal interface fix: make SbStorage / cc_storage work even when no
	cc_thread and cc_mutex abstractions are available.

2004-06-15 09:29:01  Rev 8045   mortene

	* BUGS.txt:

	Resolution idea, bug#111.

2004-06-15 08:33:25  Rev 8044   mortene

	* src/fields/SoFieldContainer.cpp:

	Bugfix: plug memleak.

2004-06-14 23:30:58  Rev 8043   larsa

	* ChangeLog:

	Automatic ChangeLog generation

2004-06-14 13:02:52  Rev 8042   mortene

	* src/fields/SoSFString.cpp, src/io/SoOutput.cpp,
	src/fields/SoMFString.cpp:

	Bugfix: backslash-quote backslashes for VRML97.

2004-06-14 11:48:25  Rev 8041   mortene

	* BUGS.txt:

	Update related to recent commit.

2004-06-14 11:45:02  Rev 8040   mortene

	* src/io/SoOutput.cpp:

	Bugfix: don't backslash-quote backslashes.

2004-06-14 09:10:36  Rev 8039   kintel

	* packaging/macosx/inst-README-Jaguar.txt.in, packaging/macosx/inst-
	README-.txt.in, packaging/macosx/inst-README-Panther.txt.in:

	Minor update

2004-06-14 09:09:05  Rev 8038   kintel

	* packaging/macosx/Coin_Info.plist.in,
	packaging/macosx/makecoinpkg.sh.in:

	Include /Library/Framework in install path

2004-06-11 23:30:55  Rev 8037   larsa

	* ChangeLog:

	Automatic ChangeLog generation

2004-06-11 12:42:22  Rev 8036   mortene

	* src/glue/win32api.c:

	Clean-up: fix static memleak, patch by Dan @ goldensoftware.

2004-06-11 11:02:24  Rev 8035   mortene

	* src/io/SoInput.cpp:

	Compile fix: faulty typedef, reported by Dan @ goldensoftware.

2004-06-11 08:49:22  Rev 8034   mortene

	* src/misc/SoBase.cpp:

	Doc: even more API doc on SoBase::setName().

2004-06-11 08:27:37  Rev 8033   mortene

	* src/misc/SoBase.cpp, src/base/SbName.cpp:

	Doc: improved API doc on SoBase naming.

2004-06-11 07:39:38  Rev 8032   mortene

	* src/base/SbVec3f.cpp:

	Doc: improved support doc on SbVec3f::normalize() warnings.

2004-06-10 23:37:39  Rev 8031   larsa

	* ChangeLog:

	Automatic ChangeLog generation

2004-06-10 08:43:33  Rev 8030   pederb

	* src/fonts/win32.c:

	compile fix.

2004-06-10 08:42:38  Rev 8029   pederb

	* src/fonts/fontlib_wrapper.c, src/fonts/win32.c:

	compile fix.

2004-06-10 08:40:43  Rev 8028   pederb

	* src/fonts/win32.c:

	Remove ugly hack.

2004-06-10 08:25:52  Rev 8027   pederb

	* src/fonts/win32.c, src/fonts/win32.h, src/fonts/glyph2d.c:

	Win32 fix.

2004-06-10 08:19:16  Rev 8026   pederb

	* src/fonts/fontlib_wrapper.c, src/fonts/fontlib_wrapper.h,
	src/fonts/win32.c, src/misc/SoGlyph.cpp, src/fonts/glyph2d.c,
	src/fonts/glyph3d.c:

	Simplify win32 font handling.

2004-06-09 23:37:39  Rev 8025   larsa

	* ChangeLog:

	Automatic ChangeLog generation

2004-06-09 16:47:53  Rev 8024   kintel

	* BUGS.txt:

	new bug

2004-06-09 15:47:54  Rev 8023   pederb

	* src/fonts/win32.c:

	Fix lots of memory leaks.

2004-06-09 15:46:17  Rev 8022   pederb

	* src/fonts/fontlib_wrapper.c:

	Compiler warning fixes.

2004-06-09 15:44:15  Rev 8021   pederb

	* src/fonts/fontlib_wrapper.c, src/fonts/fontlib_wrapper.h,
	src/fonts/freetype.c:

	Fix lots of bugs and memory leaks.

2004-06-09 10:02:08  Rev 8020   pederb

	* src/shapenodes/SoAsciiText.cpp, src/shapenodes/SoText2.cpp,
	src/shapenodes/SoText3.cpp, src/vrml97/Text.cpp:

	Thread safe fixes.

2004-06-09 08:56:13  Rev 8019   pederb

	* src/shapenodes/SoAsciiText.cpp, src/shapenodes/SoText2.cpp,
	src/shapenodes/SoText3.cpp, src/vrml97/Text.cpp:

	Proper glyph handling (using SoGlyphCache to track dependencies).

2004-06-09 08:51:12  Rev 8018   pederb

	* src/fonts/fontlib_wrapper.c, src/fonts/glyph2d.h, src/fonts/glyph3d.h,
	src/fonts/fontlib_wrapper.h, src/misc/SoGlyph.cpp,
	src/fonts/glyph2d.c, src/fonts/glyph3d.c:

	Use refcounting to fix memory leaks in font code.

2004-06-09 08:48:27  Rev 8017   pederb

	* src/caches/all-caches-cpp.cpp:

	build fix for glyph cache.

2004-06-09 08:48:01  Rev 8016   pederb

	* src/caches/SoGlyphCache.cpp, include/Inventor/caches/SoGlyphCache.h:

	New (internal) glyph cache.

2004-06-09 08:24:36  Rev 8015   mortene

	* src/misc/SoOffscreenRenderer.cpp:

	Robustness: handle inability to make offscreen context.

2004-06-09 08:23:34  Rev 8014   mortene

	* src/glue/gl_wgl.c, src/glue/gl.c:

	Robustness: handle inability to make offscreen context. Improved error
	reporting.

2004-06-09 08:22:59  Rev 8013   mortene

	* src/glue/gl.c:

	Minor cleanup: remove unneeded macro def.

2004-06-08 23:37:34  Rev 8012   larsa

	* ChangeLog:

	Automatic ChangeLog generation

2004-06-08 10:25:15  Rev 8011   pederb

	* THANKS:

	Adds Nikolai Ruhe.

2004-06-07 23:37:21  Rev 8010   larsa

	* ChangeLog:

	Automatic ChangeLog generation

2004-06-07 15:12:36  Rev 8009   pederb

	* include/Inventor/caches/Makefile.in,
	include/Inventor/lock/Makefile.in,
	include/Inventor/engines/Makefile.in, src/3ds/Makefile.in,
	include/Inventor/projectors/Makefile.in, src/misc/Makefile.in,
	include/Inventor/collision/Makefile.in,
	include/Inventor/C/errors/Makefile.in, src/vrml97/Makefile.in,
	include/Inventor/actions/Makefile.in,
	include/Inventor/events/Makefile.in,
	include/Inventor/fields/Makefile.in, src/io/Makefile.in, configure,
	src/hardcopy/Makefile.in, src/errors/Makefile.in,
	src/elements/Makefile.in, src/caches/Makefile.am,
	src/nodekits/Makefile.in, include/Inventor/C/Makefile.in,
	src/caches/Makefile.in, include/Inventor/manips/Makefile.in,
	src/engines/Makefile.in, include/Inventor/threads/Makefile.in,
	src/projectors/Makefile.in, src/collision/Makefile.in,
	include/Inventor/sensors/Makefile.in,
	include/Inventor/lists/Makefile.in, src/actions/Makefile.in,
	src/events/Makefile.in, src/fields/Makefile.in,
	include/Inventor/nodes/Makefile.in, html/Makefile.in,
	include/Inventor/C/glue/Makefile.in, src/elements/GL/Makefile.in,
	data/Makefile.in, include/Inventor/system/Makefile.in,
	man/Makefile.in, include/Inventor/details/Makefile.in,
	data/draggerDefaults/Makefile.in, src/manips/Makefile.in,
	src/fonts/Makefile.in, src/threads/Makefile.in,
	src/sensors/Makefile.in, include/Inventor/bundles/Makefile.in,
	include/Inventor/C/base/Makefile.in, include/Makefile.in,
	src/glue/Makefile.in, include/Inventor/draggers/Makefile.in,
	src/lists/Makefile.in, include/Inventor/Makefile.in,
	src/nodes/Makefile.in, Makefile.in,
	include/Inventor/annex/Makefile.in, src/base/Makefile.in,
	include/Inventor/annex/HardCopy/Makefile.in, src/details/Makefile.in,
	src/shapenodes/Makefile.in, include/Inventor/misc/Makefile.in,
	src/bundles/Makefile.in, src/draggers/Makefile.in,
	src/extensions/Makefile.in, src/Makefile.in,
	include/Inventor/VRMLnodes/Makefile.in,
	include/Inventor/C/threads/Makefile.in,
	include/Inventor/elements/Makefile.in,
	include/Inventor/errors/Makefile.in,
	include/Inventor/caches/Makefile.am, man/man1/Makefile.in,
	include/Inventor/nodekits/Makefile.in, bin/Makefile.in,
	man/man3/Makefile.in:

	bootstrap to build glyph cache.

2004-06-07 15:11:52  Rev 8008   pederb

	* src/caches/SoGlyphCache.cpp, include/Inventor/caches/SoGlyphCache.h:

	New (empty) glyph cache.

2004-06-07 13:51:10  Rev 8007   mortene

	* BUGS.txt:

	Don't lose track of this one.

2004-06-07 13:44:15  Rev 8006   mortene

	* src/fonts/win32.c:

	Clean-up: simplified unnecessary use of two-element arrays.

2004-06-07 12:52:10  Rev 8005   pederb

	* src/fonts/win32.c:

	Don't free a NULL-pointer.

2004-06-07 10:35:10  Rev 8004   pederb

	* src/nodekits/SoBaseKit.cpp:

	Reverse the patch from 2004-06-03 that attempted to avoid creating a node in
	setAnyPart().

2004-06-04 23:37:02  Rev 8003   larsa

	* ChangeLog:

	Automatic ChangeLog generation

2004-06-04 12:55:33  Rev 8002   pederb

	* src/fonts/fontlib_wrapper.c:

	Fixed memory leak. Bug reported by dan @ goldensoftware.

2004-06-04 10:24:47  Rev 8001   mortene

	* src/nodekits/SoBaseKit.cpp:

	Robustness improvement: warning when trying to access a private part of the
	catalog.

2004-06-03 23:37:00  Rev 8000   larsa

	* ChangeLog:

	Automatic ChangeLog generation

2004-06-03 09:27:49  Rev 7999   pederb

	* src/nodekits/SoBaseKit.cpp:

	Bugfix in setAnyPart(). Avoid creating a part that will be replaced soon
	anyway. Problem reported by Nikolai Ruhe.

2004-06-01 23:36:37  Rev 7998   larsa

	* ChangeLog:

	Automatic ChangeLog generation

2004-06-01 12:59:46  Rev 7997   kintel

	* src/events/SoKeyboardEvent.cpp, src/nodes/SoEventCallback.cpp,
	src/misc/SoInteraction.cpp, README.MACOSX, FAQ, FAQ.legal,
	src/misc/SoDB.cpp, src/sensors/SoSensorManager.cpp:

	Added Sc21 to doc

2004-06-01 12:41:33  Rev 7996   kintel

	* packaging/macosx/Coin_Info.plist.in,
	packaging/macosx/CoinTools_Info.plist.in,
	packaging/macosx/makecoinpkg.sh.in,
	packaging/macosx/makecointoolspkg.sh.in:

	Added support for installer background

2004-06-01 12:40:59  Rev 7995   kintel

	* packaging/macosx/Coin_Description.plist.in,
	packaging/macosx/CoinTools_Description.plist.in:

	cosmetics

2004-06-01 12:23:45  Rev 7994   kintel

	* Makefile.am:

	Added packaging/macosx/background.tiff

2004-06-01 12:23:32  Rev 7993   kintel

	* packaging/macosx/background.tiff:

	Mac OS X installer background

2004-05-28 23:36:15  Rev 7992   larsa

	* ChangeLog:

	Automatic ChangeLog generation

2004-05-28 13:57:03  Rev 7991   kintel

	* packaging/macosx/License.rtfd, packaging/macosx/Coin_Welcome.rtfd,
	packaging/macosx/CoinTools_Welcome.rtfd,
	packaging/macosx/makecoinpkg.sh.in,
	packaging/macosx/makecointoolspkg.sh.in, Makefile.am,
	packaging/macosx/License.rtf, packaging/macosx/Coin_Welcome.rtf,
	packaging/macosx/CoinTools_Welcome.rtf:

	Mac OS X: Renamed *.rtfd -> *.rtf for simplicity

2004-05-28 13:34:40  Rev 7990   kintel

	* version.plist.in, Info.plist, Makefile.am, Info.plist.in:

	Mac OS X: Correct version in Info.plist, added version.plist

2004-05-26 23:35:59  Rev 7989   larsa

	* ChangeLog:

	Automatic ChangeLog generation

2004-05-26 18:17:51  Rev 7988   thammer

	* src/vrml97/ElevationGrid.cpp:

	Bugfix, use correct default texture coordinates when rendering quadstrips.

2004-05-25 11:14:18  Rev 7987   pederb

	* src/misc/SoChildList.cpp:

	Change from assert to strict warning when changes in the scene graph layout is
	detected during traversal.

2004-05-25 07:10:34  Rev 7986   mortene

	* BUGS.txt:

	pederb killed one.

2004-05-25 07:02:48  Rev 7985   pederb

	* src/draggers/SoSpotLightDragger.cpp:

	Fix assert-when-dragging bug. Reported by kurt@etools.com

2004-05-24 12:24:32  Rev 7984   pederb

	* src/nodes/SoTextureCombine.cpp,
	src/nodes/SoTextureCoordinateSphere.cpp,
	src/nodes/SoTextureCoordinateCylinder.cpp,
	src/nodes/SoTextureCoordinateCube.cpp,
	src/nodes/SoTextureCoordinatePlane.cpp,
	src/nodes/SoTextureCoordinate2.cpp:

	Be more robust when multitexturing is not available.

2004-05-21 23:35:23  Rev 7983   larsa

	* ChangeLog:

	Automatic ChangeLog generation

2004-05-21 12:05:57  Rev 7982   mortene

	* BUGS.txt:

	So it is not forgotten.

2004-05-21 10:08:40  Rev 7981   pederb

	* src/elements/SoLightElement.cpp:

	Avoid reference counting of light nodes. Problem reported by Sigmund Berntsen.

2004-05-21 08:39:33  Rev 7980   mortene

	* include/Inventor/C/glue/gl.h:

	Compilation fix: remove extra semicolon at end of line.

2004-05-18 23:35:00  Rev 7979   larsa

	* ChangeLog:

	Automatic ChangeLog generation

2004-05-18 14:16:29  Rev 7978   mortene

	* BUGS.txt:

	Addendum on that last bug.

2004-05-18 10:42:30  Rev 7977   mortene

	* BUGS.txt:

	Yet Another One.

2004-05-13 09:02:59  Rev 7976   pederb

	* src/threads/wpool.c, src/threads/worker.c:

	Fix potential deadlock bugs.

2004-05-10 23:34:02  Rev 7975   larsa

	* ChangeLog:

	Automatic ChangeLog generation

2004-05-10 09:56:17  Rev 7974   pederb

	* THANKS:

	Adds Bernhard Reitinger.

2004-05-10 09:52:59  Rev 7973   pederb

	* src/fields/SoField.cpp:

	Support for enableConnection(). Bug reported by Bernhard Reitinger.

2004-05-07 23:33:35  Rev 7972   larsa

	* ChangeLog:

	Automatic ChangeLog generation

2004-05-07 12:12:39  Rev 7971   mortene

	* BUGS.txt:

	Yet Another Item.

2004-05-06 23:33:35  Rev 7970   larsa

	* ChangeLog:

	Automatic ChangeLog generation

2004-05-06 13:26:03  Rev 7969   mortene

	* src/glue/GLUWrapper.c:

	Build fix: make sure windows.h is included before GL/gl.h.

2004-05-03 23:33:10  Rev 7968   larsa

	* ChangeLog:

	Automatic ChangeLog generation

2004-05-03 13:08:22  Rev 7967   mortene

	* BUGS.txt:

	3 recent bugs reported on coin-discuss / coin-support.

2004-04-30 08:03:38  Rev 7966   pederb

	* src/sensors/SoSensorManager.cpp:

	Minor compile/build fix.

2004-04-29 23:32:46  Rev 7965   larsa

	* ChangeLog:

	Automatic ChangeLog generation

2004-04-29 22:02:09  Rev 7964   kintel

	* src/misc/SoSceneManager.cpp:

	compile fix

2004-04-29 19:18:40  Rev 7963   kintel

	* src/sensors/SoSensorManager.cpp:

	Handle delayqueue timeouts internally instead of requiring this to be handled
	in the GUI libraries. Disable delayqueue timeouts on zero interval

2004-04-29 19:15:35  Rev 7962   kintel

	* src/misc/SoSceneManager.cpp:

	bugfix: Update the global field after render(), not redraw() to avoid
	starvation if we have slow realtime updated or delayqueue timeouts

2004-04-29 19:12:47  Rev 7961   kintel

	* src/nodes/SoRotor.cpp:

	bugfix: Use a fieldsensor on the realTime field instead of a timersensor to
	avoid continuous updates on zero realtime interval

2004-04-29 18:55:28  Rev 7960   kintel

	* src/misc/SoDB.cpp:

	bugfix: Using SbTime::zero() as a realtime interval should disable realtime
	updates

2004-04-29 18:53:42  Rev 7959   kintel

	* src/nodes/SoExtSelection.cpp:

	cosmetic; use SbTime::zero()

2004-04-28 23:32:38  Rev 7958   larsa

	* ChangeLog:

	Automatic ChangeLog generation

2004-04-28 15:01:47  Rev 7957   pederb

	* src/glue/gl.c:

	remove debug.

2004-04-28 14:14:39  Rev 7956   pederb

	* src/misc/SoGLImage.cpp:

	Change to new and safer proxy texture test.

2004-04-28 14:08:32  Rev 7955   pederb

	* src/glue/gl.c:

	Fix C++ comments.

2004-04-28 14:05:48  Rev 7954   pederb

	* include/Inventor/C/glue/glp.h:

	Remove debug function.

2004-04-28 14:02:15  Rev 7953   pederb

	* include/Inventor/C/glue/gl.h, include/Inventor/C/glue/glp.h,
	src/glue/gl.c:

	Proxy texture test.

2004-04-27 23:32:31  Rev 7952   larsa

	* ChangeLog:

	Automatic ChangeLog generation

2004-04-27 14:08:52  Rev 7951   pederb

	* src/nodes/SoTexture2.cpp, src/misc/SoGLImage.cpp,
	src/vrml97/PixelTexture.cpp, src/vrml97/ImageTexture.cpp:

	Support SoTextureScalePolicy::SCALE_DOWN

2004-04-27 13:38:46  Rev 7950   pederb

	* src/vrml97/Background.cpp:

	Bugfix for recently introduced bug.

2004-04-27 09:14:38  Rev 7949   mortene

	* BUGS.txt, src/vrml97/Background.cpp:

	Bugfix: any scene with a VRML97 Background node would redraw non-stop, now
	fixed.

2004-04-27 09:03:14  Rev 7948   mortene

	* src/vrml97/Background.cpp, THANKS:

	Bugfix: build up internal geometry when reaching GLRender(), so it is
	guaranteed to be present when rendering.

2004-04-27 08:20:15  Rev 7947   mortene

	* BUGS.txt:

	Two new bugs found when checking SoVRMLBackground.

2004-04-26 23:32:23  Rev 7946   larsa

	* ChangeLog:

	Automatic ChangeLog generation

2004-04-26 10:08:45  Rev 7945   pederb

	* data/draggerDefaults/transformerDragger.iv:

	Squish-fix for SoTransformerDragger/Manip. Bug reported by Dan @
	Goldensoftware.

2004-04-26 08:28:57  Rev 7944   larsa

	* src/details/SoFaceDetail.cpp:

	doc update

2004-04-23 23:32:01  Rev 7943   larsa

	* ChangeLog:

	Automatic ChangeLog generation

2004-04-23 11:46:15  Rev 7942   mortene

	* src/misc/SoOffscreenRenderer.cpp:

	Get better quality output by setting a more sensible transparency mode as
	default, and by getting best quality from any big-image items in the scene.

2004-04-23 11:09:26  Rev 7941   pederb

	* include/Inventor/misc/SoGLBigImage.h, src/misc/SoGLBigImage.cpp:

	Bugfix for SoGLBigImage in multiple contexts.

2004-04-23 08:07:14  Rev 7940   pederb

	* src/fields/SoField.cpp:

	Fix ugly bug in SoField::get() when buffer exceeded 1024 bytes. Bug reported
	by Gerhard Reitmayr.

2004-04-22 23:31:50  Rev 7939   larsa

	* ChangeLog:

	Automatic ChangeLog generation

2004-04-22 16:05:46  Rev 7938   pederb

	* THANKS:

	Adds Danny He

2004-04-22 16:02:43  Rev 7937   pederb

	* src/actions/SoLineHighlightRenderAction.cpp:

	Bugfix for drawstyle override.

2004-04-22 15:12:48  Rev 7936   pederb

	* src/elements/SoTextureCoordinateElement.cpp:

	Make Coin more robust when too few texture coordinates are supplied.

2004-04-22 11:22:50  Rev 7935   pederb

	* src/vrml97/ElevationGrid.cpp:

	Fix for colorPerVertex bug. Reported by thammer.

2004-04-22 11:00:51  Rev 7934   pederb

	* src/vrml97/IndexedShape.cpp:

	Fix potential bug when setting up normals for vrml shapes.

2004-04-22 09:17:53  Rev 7933   pederb

	* src/glue/gl_wgl.c:

	Typofix. Caused memory leaks when allocating offscreen buffers under Windows.
	Bug reported by Kyrah.

2004-04-21 23:31:51  Rev 7932   larsa

	* ChangeLog:

	Automatic ChangeLog generation

2004-04-21 10:10:33  Rev 7931   mortene

	* README.SUN:

	Mention possible workarounds for problems found by Fedem.

2004-04-21 09:57:58  Rev 7930   mortene

	* src/elements/GL/SoGLTextureCoordinateElement.cpp:

	Better robustness: warn instead of assert on too few texture coordinates.

2004-04-20 23:31:45  Rev 7929   larsa

	* ChangeLog:

	Automatic ChangeLog generation

2004-04-20 08:48:28  Rev 7928   pederb

	* src/fields/SoSFUInt32.cpp:

	readValue() always returned FALSE. Bug reported by Gerhard Reitmayr.

2004-04-20 08:10:32  Rev 7927   pederb

	* src/shapenodes/SoIndexedShape.cpp:

	Bugfix for uninitialized memory read when rendering IndexedFaceSets with no
	normals. Bug reported by Gerhard Reitmayr.

2004-04-20 01:55:17  Rev 7926   larsa

	* ChangeLog:

	Automatic ChangeLog generation

2004-04-19 15:52:28  Rev 7925   pederb

	* src/sensors/SoDelayQueueSensor.cpp:

	setPriority() documentation.

2004-04-19 09:31:20  Rev 7924   pederb

	* src/nodes/SoCamera.cpp:

	Improved stereo rendering/control.

2004-04-16 01:54:43  Rev 7923   larsa

	* ChangeLog:

	Automatic ChangeLog generation

2004-04-15 14:18:40  Rev 7922   pederb

	* src/shapenodes/soshape_bigtexture.cpp:

	compile fix.

2004-04-15 12:53:00  Rev 7921   pederb

	* src/actions/SoAction.cpp:

	Do SoDB::readlock()/readunlock() when before/after traversing the scene graph.

2004-04-15 10:47:27  Rev 7920   pederb

	* THANKS:

	Adds Rob Smallshire.

2004-04-15 10:23:15  Rev 7919   pederb

	* src/shapenodes/soshape_bigtexture.cpp,
	src/shapenodes/soshape_bigtexture.h:

	Fixes to better handle REPEAT texture wrap mode. Problem reported by Rob
	Smallshire.

2004-04-15 08:49:05  Rev 7918   pederb

	* src/base/SbMatrix.cpp:

	Bugfix for multVecMatrix(SbVec4f).

2004-04-15 08:30:55  Rev 7917   pederb

	* src/nodes/SoTextureCoordinatePlane.cpp:

	Bugfix for generatePrimitives().

2004-04-13 23:35:42  Rev 7916   larsa

	* ChangeLog:

	Automatic ChangeLog generation

2004-04-13 16:22:55  Rev 7915   pederb

	* src/vrml97/ImageTexture.cpp:

	generatePrimitives() texture coordinate fix.

2004-04-12 23:35:15  Rev 7914   larsa

	* ChangeLog:

	Automatic ChangeLog generation

2004-04-09 23:34:54  Rev 7913   larsa

	* ChangeLog:

	Automatic ChangeLog generation

2004-04-09 19:40:13  Rev 7912   kyrah

	* src/misc/SoOffscreenRenderer.cpp:

	FIXME about kill-em-all style workaround

2004-04-09 18:54:26  Rev 7911   kyrah

	* src/glue/gl_agl.c:

	Fixed c+p bug in debug output.

2004-04-02 23:33:58  Rev 7910   larsa

	* ChangeLog:

	Automatic ChangeLog generation

2004-04-02 12:40:39  Rev 7909   mortene

	* src/base/SbDPMatrix.cpp, src/base/SbMatrix.cpp:

	Use inline function instead of macro, to work around compiler warnings on the
	Tru64 UNIX CC compiler.

2004-04-02 12:23:59  Rev 7908   mortene

	* INSTALL, THANKS:

	Corrects documentation of --with-mesa. Thanks to Soren Rex.

2004-04-02 12:04:52  Rev 7907   pederb

	* src/base/time.c:

	Tru64 compiler warning fix.

2004-04-02 11:03:33  Rev 7906   pederb

	* src/elements/SoTextureUnitElement.cpp, src/nodes/SoSeparator.cpp,
	src/elements/SoBumpMapCoordinateElement.cpp:

	Fix function signatures. Problem reported by S?ren Rex.

2004-04-01 23:33:57  Rev 7905   larsa

	* ChangeLog:

	Automatic ChangeLog generation

2004-04-01 11:15:12  Rev 7904   pederb

	* src/io/SoOutput.cpp:

	A bit more compact output if setCompact(TRUE) is called.

2004-03-30 23:33:40  Rev 7903   larsa

	* ChangeLog:

	Automatic ChangeLog generation

2004-03-30 14:31:59  Rev 7902   pederb

	* src/upgraders/SoUpgrader.cpp, src/upgraders/SoShapeHintsV10.cpp,
	src/upgraders/Makefile.in, src/upgraders/all-upgraders-cpp.cpp,
	src/upgraders/SoShapeHintsV10.h, src/upgraders/Makefile.am:

	SoShapeHintsV10 upgrader. By Mark D. Anderson. Some fixes by pederb.

2004-03-30 12:21:52  Rev 7901   kintel

	* packaging/macosx/Makefile.in, Makefile.am:

	revert last commit made by mistake

2004-03-30 12:15:51  Rev 7900   kintel

	* src/misc/SoSceneManager.cpp, packaging/macosx/Makefile.in, Makefile.am:

	doc fix + cosmetics

2004-03-29 15:26:28  Rev 7899   pederb

	* src/threads/recmutex.c:

	recmutex bugfix. Bug reported by kintel.

2004-03-27 00:33:07  Rev 7898   larsa

	* ChangeLog:

	Automatic ChangeLog generation

2004-03-26 10:53:34  Rev 7897   pederb

	* THANKS:

	Add Kevin Nolan.

2004-03-26 10:29:23  Rev 7896   pederb

	* src/misc/SoDB.cpp:

	Allow dangling engines at the top-level of a file.

2004-03-26 00:33:56  Rev 7895   larsa

	* ChangeLog:

	Automatic ChangeLog generation

2004-03-25 16:59:50  Rev 7894   kyrah

	* src/Makefile.am:

	Pass headerpad flag on to libtool.

2004-03-25 15:45:45  Rev 7893   pederb

	* src/lists/SoAuditorList.cpp:

	Thread safe fix.

2004-03-25 15:43:12  Rev 7892   pederb

	* src/misc/SoDB.cpp:

	Rewrite to use internal mutex in recmutexp.h when notify-locking.

2004-03-25 15:38:01  Rev 7891   pederb

	* src/threads/recmutex.c, include/Inventor/C/threads/recmutexp.h:

	New internal recursive mutex.

2004-03-25 15:21:12  Rev 7890   kyrah

	* src/Makefile.am, configure.ac:

	Pad the install_name to maximum install path length, to make it
	possible to change it later (e.g. to include the library in an app
	bundle).

2004-03-25 15:06:42  Rev 7889   pederb

	* src/engines/SoNodeEngine.cpp, src/engines/SoEngine.cpp:

	Call inputChanged() only when notifed through an engine field. Bug reported by
	Kevin Nolan.

2004-03-25 13:12:07  Rev 7888   pederb

	* include/Inventor/SoInput.h, src/misc/SoBase.cpp, src/io/SoInput.cpp,
	src/io/SoInput_FileInfo.h, src/io/SoInput_FileInfo.cpp:

	PROTO fixes. Need to search for PROTO in current SoInput instance first, since
	two files can have PROTOs with the same name.

2004-03-25 12:53:20  Rev 7887   pederb

	* src/misc/SoProto.cpp:

	Thread safe fixes.

2004-03-25 12:47:27  Rev 7886   pederb

	* src/misc/SoProtoInstance.cpp:

	Fix a couple of ugly bugs. Thread safe fixes.

2004-03-25 10:33:52  Rev 7885   pederb

	* src/engines/SoNodeEngine.cpp, src/engines/SoEngine.cpp:

	Thread safety fix.

2004-03-25 10:27:56  Rev 7884   pederb

	* src/fields/SoField.cpp:

	Improve thread safety by using a recursive mutex when evaluating fields.

2004-03-25 10:24:02  Rev 7883   pederb

	* src/threads/recmutex.c, include/Inventor/C/threads/recmutexp.h,
	src/threads/thread.c:

	Add internal lock.

2004-03-25 09:22:27  Rev 7882   larsa

	* src/vrml97/Background.cpp:

	correct typing

2004-03-25 09:03:38  Rev 7881   pederb

	* src/engines/SoNodeEngine.cpp, src/engines/SoEngine.cpp:

	Reverse recent thread safety patch.

2004-03-25 08:50:57  Rev 7880   pederb

	* src/misc/SoDB.cpp:

	Simplify/optimize thread safety by not allowing several threads to notify at
	the same time.

2004-03-25 08:40:33  Rev 7879   pederb

	* src/threads/recmutex.c, include/Inventor/C/threads/common.h,
	include/Inventor/C/threads/recmutex.h,
	include/Inventor/C/threads/recmutexp.h:

	Recursive mutex implementation.

2004-03-25 07:28:22  Rev 7878   pederb

	* src/threads/recmutex.c, src/threads/all-threads-c.c,
	src/threads/Makefile.in, include/Inventor/C/threads/Makefile.in,
	include/Inventor/C/threads/recmutex.h,
	include/Inventor/C/threads/recmutexp.h, src/threads/Makefile.am,
	include/Inventor/C/threads/Makefile.am:

	build framework for recursive mutex.

2004-03-25 00:32:56  Rev 7877   larsa

	* ChangeLog:

	Automatic ChangeLog generation

2004-03-24 15:12:33  Rev 7876   pederb

	* src/engines/SoNodeEngine.cpp, src/engines/SoEngine.cpp:

	Thread safe engine evaluate.

2004-03-24 14:56:52  Rev 7875   pederb

	* src/threads/sync.c, include/Inventor/C/threads/sync.h:

	New cc_sync_free() function.

2004-03-24 00:32:45  Rev 7874   larsa

	* ChangeLog:

	Automatic ChangeLog generation

2004-03-23 16:12:59  Rev 7873   pederb

	* src/engines/SoOutputData.cpp:

	Fix recently introduced VRML97 animation bug.

2004-03-23 14:37:43  Rev 7872   larsa

	* aclocal.m4, configure:

	bootstrap

2004-03-23 11:49:29  Rev 7871   pederb

	* src/nodes/SoTextureCoordinateSphere.cpp,
	src/nodes/SoTextureCoordinateCylinder.cpp,
	src/nodes/SoTextureCoordinateCube.cpp:

	Doc. fix.

2004-03-23 11:27:51  Rev 7870   pederb

	* include/Inventor/SoDB.h, src/misc/SoDB.cpp:

	Added global SoDB lock functions.

2004-03-23 11:13:37  Rev 7869   pederb

	* src/io/SoInput.cpp:

	Make it possible to load files from other threads.

2004-03-23 10:10:14  Rev 7868   pederb

	* src/nodes/SoNode.cpp:

	Make SoNode more threadsafe.

2004-03-23 00:32:46  Rev 7867   larsa

	* ChangeLog:

	Automatic ChangeLog generation

2004-03-22 16:09:33  Rev 7866   larsa

	* src/misc/SoDB.cpp:

	doc tweak *did* work

2004-03-22 15:15:33  Rev 7865   larsa

	* src/misc/SoDB.cpp:

	doc tweak did not work

2004-03-22 11:40:24  Rev 7864   larsa

	* src/misc/SoType.cpp, src/misc/SoDB.cpp:

	insert a couple of doxygen \refs

2004-03-22 10:43:33  Rev 7863   pederb

	* src/nodes/SoTextureCombine.cpp:

	Improved GL-support test.

2004-03-20 00:32:49  Rev 7862   larsa

	* ChangeLog:

	Automatic ChangeLog generation

2004-03-19 16:31:13  Rev 7861   larsa

	* aclocal.m4, configure, include/config.h.in:

	bootstrap

2004-03-19 16:29:54  Rev 7860   larsa

	* configure.ac:

	check for fpclass()

2004-03-19 16:28:22  Rev 7859   larsa

	* src/tidbits.c:

	prefer fpclass() to _fpclass()

2004-03-18 00:32:04  Rev 7858   larsa

	* ChangeLog:

	Automatic ChangeLog generation

2004-03-17 16:32:35  Rev 7857   larsa

	* src/vrml97/Background.cpp:

	improved typing

2004-03-17 16:29:56  Rev 7856   larsa

	* aclocal.m4, configure:

	bootstrap

2004-03-17 08:38:43  Rev 7855   pederb

	* src/fields/SoSFUInt32.cpp, src/fields/SoMFInt32.cpp,
	src/fields/SoMFUInt32.cpp, src/fields/SoSFInt32.cpp:

	MKS compile fixes. Problem reported by Winnie E. Wong.

2004-03-17 00:32:10  Rev 7854   larsa

	* ChangeLog:

	Automatic ChangeLog generation

2004-03-16 16:23:47  Rev 7853   larsa

	* src/misc/systemsanity.icc:

	message fix

2004-03-16 14:03:35  Rev 7852   larsa

	* aclocal.m4, configure, include/config.h.in:

	bootstrap

2004-03-16 13:15:58  Rev 7851   larsa

	* aclocal.m4, configure, include/config.h.in, src/misc/Makefile.in:

	bootstrap

2004-03-16 13:14:55  Rev 7850   larsa

	* src/misc/systemsanity.icc:

	disable until tested

2004-03-16 13:08:17  Rev 7849   larsa

	* src/misc/systemsanity.icc:

	use non-1 else-value, minimize test

2004-03-16 12:12:05  Rev 7848   larsa

	* src/misc/SoDB.cpp, src/misc/Makefile.am, src/misc/systemsanity.icc:

	first stab at making a GCC 3.3.2 assert bug detector

2004-03-16 11:17:49  Rev 7847   larsa

	* include/Inventor/C/basic.h.in:

	avoid redefinition conflicts with other libraries that also define the math
	functions

2004-03-16 08:46:07  Rev 7846   pederb

	* src/caches/SoPrimitiveVertexCache.cpp:

	Fix function signature.

2004-03-16 00:31:44  Rev 7845   larsa

	* ChangeLog:

	Automatic ChangeLog generation

2004-03-15 14:13:29  Rev 7844   pederb

	* src/glue/normalization_cubemap.c:

	Make it possible to set the normalization cubemape size using an environment
	variable.

2004-03-13 00:31:32  Rev 7843   larsa

	* ChangeLog:

	Automatic ChangeLog generation

2004-03-12 16:28:18  Rev 7842   pederb

	* include/Inventor/VRMLnodes/SoVRMLMacros.h,
	include/Inventor/nodekits/SoSubKit.h,
	include/Inventor/nodekits/SoSubKitP.h,
	include/Inventor/engines/SoSubEngine.h,
	include/Inventor/nodes/SoSubNode.h,
	include/Inventor/engines/SoSubNodeEngine.h:

	Thread safe macros.

2004-03-12 16:15:40  Rev 7841   pederb

	* src/nodekits/SoBaseKit.cpp:

	Thread safe fix.

2004-03-12 16:13:28  Rev 7840   pederb

	* src/nodekits/SoNodekitCatalog.cpp,
	include/Inventor/nodekits/SoNodekitCatalog.h:

	Some methods made thread safe.

2004-03-12 16:11:13  Rev 7839   pederb

	* src/fields/SoFieldData.cpp, include/Inventor/fields/SoFieldData.h:

	Thread safe addField() and addEnumValue().

2004-03-12 16:09:32  Rev 7838   pederb

	* include/Inventor/engines/SoOutputData.h, src/engines/SoOutputData.cpp:

	Thread safe addOutput().

2004-03-12 16:07:38  Rev 7837   pederb

	* src/misc/SoBase.cpp, include/Inventor/misc/SoBase.h:

	Rename globalLock() to staticDataLock().

2004-03-12 15:00:49  Rev 7836   handegar

	* BUGS.txt:

	Removed bug 107.

2004-03-12 14:42:34  Rev 7835   mortene

	* BUGS.txt:

	Store away item we have not been able to solve yet.

2004-03-12 10:12:18  Rev 7834   larsa

	* src/misc/SoDB.cpp:

	simplify

2004-03-12 09:33:39  Rev 7833   pederb

	* src/fields/SoFieldContainer.cpp,
	include/Inventor/fields/SoFieldContainer.h:

	Remove recently introduces functions. It was a bad idea.

2004-03-12 00:31:22  Rev 7832   larsa

	* ChangeLog:

	Automatic ChangeLog generation

2004-03-11 14:01:47  Rev 7831   pederb

	* src/misc/SoBase.cpp, include/Inventor/misc/SoBase.h,
	src/fields/SoFieldContainer.cpp,
	include/Inventor/fields/SoFieldContainer.h:

	New internal methods needed for thread safe node/engine construct.

2004-03-11 11:41:27  Rev 7830   pederb

	* src/fields/SoFieldContainer.cpp:

	Code cleanup.

2004-03-11 11:38:18  Rev 7829   pederb

	* src/fields/SoFieldContainer.cpp:

	Support for thread safe node copy.

2004-03-11 10:48:38  Rev 7828   pederb

	* include/Inventor/SoOffscreenRenderer.h,
	src/misc/SoOffscreenRenderer.cpp:

	New CRT-safe method.

2004-03-10 00:32:20  Rev 7827   larsa

	* ChangeLog:

	Automatic ChangeLog generation

2004-03-09 18:54:29  Rev 7826   larsa

	* TODO-2.3:

	item on fixing COIN_DLL_API issues

2004-03-09 14:38:49  Rev 7825   larsa

	* README, src/shapenodes/SoAsciiText.cpp,
	include/Inventor/fields/SoMFBool.h, src/fields/SoMFMatrix.cpp,
	include/Inventor/manips/SoSpotLightManip.h,
	src/vrml97/CylinderSensor.cpp,
	include/Inventor/collision/SoIntersectionDetectionAction.h,
	src/nodes/SoTextureCombine.cpp, src/errors/SoError.cpp,
	include/Inventor/SbXfBox3f.h, src/engines/SoCounter.cpp,
	include/Inventor/VRMLnodes/SoVRMLPlaneSensor.h,
	include/Inventor/C/threads/rwmutexp.h, src/threads/fifo.c,
	src/shapenodes/soshape_bumprender.cpp,
	include/Inventor/VRMLnodes/SoVRMLMovieTexture.h,
	src/nodes/SoCoordinate3.cpp, include/Inventor/SoInteraction.h,
	include/Inventor/nodes/SoFaceSet.h,
	include/Inventor/fields/SoSFUShort.h, src/3ds/SoStream.h,
	include/Inventor/actions/SoPickAction.h,
	include/Inventor/elements/SoLongElement.h,
	include/Inventor/C/threads/condvarp.h, INSTALL,
	src/lists/SoDetailList.cpp, include/Inventor/fields/SoSFBitMask.h,
	src/shapenodes/SoPointSet.cpp,
	include/Inventor/elements/SoClipPlaneElement.h,
	include/Inventor/fields/SoSFBox3s.h, src/actions/SoToVRML2Action.cpp,
	include/Inventor/fields/SoSFShort.h,
	src/projectors/SbCylinderSectionProjector.cpp,
	src/threads/condvar_pthread.ic, src/fields/SoSFString.cpp,
	include/Inventor/C/base/string.h,
	include/Inventor/elements/SoLazyElement.h,
	include/Inventor/nodes/SoTextureCoordinateEnvironment.h,
	src/vrml97/SpotLight.cpp, src/sensors/SoNodeSensor.cpp,
	include/Inventor/SbDict.h, src/elements/SoTextureMatrixElement.cpp,
	include/Inventor/elements/SoShapeStyleElement.h,
	src/base/SbXfBox3f.cpp, src/nodes/SoUnknownNode.cpp,
	src/engines/SoComposeRotation.cpp, src/upgraders/SoPackedColorV20.h,
	include/Inventor/sensors/SoNodeSensor.h,
	src/lists/SoEnabledElementsList.cpp,
	include/Inventor/elements/SoGLTextureImageElement.h,
	src/sensors/SoAlarmSensor.cpp,
	include/Inventor/misc/SoContextHandler.h, src/fields/SoSFUInt32.cpp,
	include/Inventor/C/threads/threadsutilp.h,
	src/shapenodes/SoIndexedNurbsCurve.cpp,
	include/Inventor/nodes/SoNonIndexedShape.h,
	src/nodes/SoVertexProperty.cpp, src/nodekits/SoNodeKitPath.cpp,
	include/Inventor/lock/SoLockMgr.h, src/shapenodes/SoLineSet.cpp,
	include/Inventor/C/base/heapp.h, src/nodekits/SoNodeKitListPart.cpp,
	src/io/all-io-c.c, src/fields/SoSFMatrix.cpp,
	src/nodes/SoLinearProfile.cpp, src/threads/sync.c,
	src/vrml97/ScalarInterpolator.cpp,
	src/draggers/SoSpotLightDragger.cpp,
	src/elements/GL/SoGLViewingMatrixElement.cpp,
	include/Inventor/elements/SoMultiTextureImageElement.h,
	include/Inventor/lists/SoBaseList.h,
	include/Inventor/engines/SoInterpolateVec3f.h,
	include/Inventor/sensors/SoTimerSensor.h,
	src/nodes/SoBumpMapCoordinate.cpp, include/Inventor/nodes/SoText3.h,
	include/Inventor/elements/SoMaterialBindingElement.h,
	src/nodes/SoResetTransform.cpp, include/Inventor/misc/SoGenerate.h,
	include/Inventor/engines/SoTimeCounter.h,
	include/Inventor/actions/SoWriteAction.h, include/Inventor/SbVec2f.h,
	include/Inventor/elements/SoElements.h, src/fields/SoMFEnum.cpp,
	src/manips/SoTransformBoxManip.cpp,
	include/Inventor/nodes/SoPackedColor.h,
	src/misc/SoGLqmeshTemplate.icc, include/Inventor/nodes/SoScale.h,
	src/draggers/SoCenterballDragger.cpp, src/details/SoFaceDetail.cpp,
	src/engines/SoOneShot.cpp, src/base/all-base-cpp.cpp, src/base/all-
	base-c.c, include/Inventor/draggers/SoScale2Dragger.h,
	include/Inventor/VRMLnodes/SoVRMLParent.h, src/vrml97/Fog.cpp,
	src/base/SbColor.cpp, include/Inventor/caches/SoConvexDataCache.h,
	src/misc/SoGLnonindexedFaceSetTemplate.icc,
	src/manips/SoHandleBoxManip.cpp, src/engines/SoComposeVec2f.cpp,
	src/elements/SoCullElement.cpp, src/elements/SoViewVolumeElement.cpp,
	src/sensors/SoDelayQueueSensor.cpp,
	include/Inventor/elements/SoTextureUnitElement.h,
	include/Inventor/nodes/SoPointLight.h,
	include/Inventor/nodes/SoVertexProperty.h,
	include/Inventor/elements/SoEnvironmentElement.h, src/caches/all-
	caches-cpp.cpp, include/Inventor/VRMLnodes/SoVRMLInterpolator.h,
	include/Inventor/elements/SoGLViewportRegionElement.h,
	include/Inventor/fields/SoMFVec3d.h, src/sensors/SoOneShotSensor.cpp,
	include/Inventor/engines/SoComputeBoundingBox.h,
	src/nodes/SoTextureUnit.cpp,
	src/elements/SoLightAttenuationElement.cpp,
	include/Inventor/elements/SoOverrideElement.h,
	src/sensors/SoTimerQueueSensor.cpp, src/nodes/SoSoundElementHelper.h,
	src/vrml97/VisibilitySensor.cpp,
	include/Inventor/sensors/SoTimerQueueSensor.h,
	include/Inventor/engines/SoSubNodeEngine.h,
	src/nodes/SoCoordinate4.cpp,
	include/Inventor/caches/SoPrimitiveVertexCache.h,
	src/nodes/SoLevelOfDetail.cpp, src/elements/SoUnitsElement.cpp,
	include/Inventor/fields/SoMFBitMask.h,
	src/misc/SoNormalGenerator.cpp,
	include/Inventor/elements/SoBumpMapElement.h,
	include/Inventor/SbVec4d.h, src/elements/SoClipPlaneElement.cpp,
	include/Inventor/engines/SoDecomposeVec3f.h,
	src/caches/SoGLCacheList.cpp, include/Inventor/nodes/SoVertexShape.h,
	include/Inventor/nodes/SoProfile.h, src/misc/SoLockManager.cpp,
	include/Inventor/lists/SbPList.h, src/base/SbClip.cpp,
	src/fields/SoMFTime.cpp,
	src/shapenodes/SoIndexedTriangleStripSet.cpp,
	include/Inventor/SbOctTree.h,
	include/Inventor/elements/SoWindowElement.h,
	src/hardcopy/VectorizeActionP.h,
	include/Inventor/actions/SoReorganizeAction.h,
	src/vrml97/NavigationInfo.cpp, src/upgraders/SoPackedColorV20.cpp,
	src/fonts/freetype.c, src/fields/SoGlobalField.cpp,
	include/Inventor/VRMLnodes/SoVRMLNormalInterpolator.h,
	include/Inventor/annex/HardCopy/SoPSVectorOutput.h,
	include/Inventor/SbBasic.h.in, src/fonts/freetype.h,
	include/Inventor/actions/SoGetBoundingBoxAction.h,
	include/Inventor/elements/SoCoordinateElement.h,
	include/Inventor/draggers/SoTransformBoxDragger.h,
	include/Inventor/C/threads/barrierp.h,
	include/Inventor/draggers/SoScaleUniformDragger.h,
	include/Inventor/engines/SoDecomposeRotation.h,
	include/Inventor/nodes/SoLOD.h,
	include/Inventor/VRMLnodes/SoVRMLLOD.h, src/fields/SoSFShort.cpp,
	src/vrml97/Switch.cpp, include/Inventor/misc/SoNormalGenerator.h,
	include/Inventor/lists/SbList.h, include/Inventor/SoPath.h,
	include/Inventor/annex/HardCopy/SoVectorizePSAction.h, src/nodes/all-
	nodes-cpp.cpp,
	include/Inventor/elements/SoBumpMapCoordinateElement.h,
	include/Inventor/C/threads/barrier.h,
	src/elements/SoReplacedElement.cpp,
	include/Inventor/details/SoSubDetail.h,
	src/nodes/SoLocateHighlight.cpp,
	include/Inventor/VRMLnodes/SoVRMLTimeSensor.h,
	src/elements/SoMultiTextureCoordinateElement.cpp,
	src/misc/SoInteraction.cpp, src/elements/SoDiffuseColorElement.cpp,
	src/actions/SoGlobalSimplifyAction.cpp, src/lists/SbPList.cpp,
	src/glue/freetype.c, src/projectors/SbCylinderProjector.cpp,
	src/misc/SoOffscreenWGLData.h,
	include/Inventor/elements/SoGLNormalizeElement.h,
	src/hardcopy/VectorizeAction.cpp,
	include/Inventor/actions/SoGlobalSimplifyAction.h,
	include/Inventor/elements/SoAccumulatedElement.h,
	include/Inventor/VRMLnodes/SoVRMLCylinderSensor.h,
	src/vrml97/VertexLine.cpp, include/Inventor/bundles/SoNormalBundle.h,
	include/Inventor/nodes/SoPickStyle.h,
	src/elements/GL/SoGLTextureEnabledElement.cpp, src/vrml97/Parent.cpp,
	src/nodes/SoWWWAnchor.cpp,
	include/Inventor/elements/SoTexture3EnabledElement.h,
	include/Inventor/elements/SoPolygonOffsetElement.h,
	include/Inventor/VRMLnodes/SoVRMLAnchor.h, src/fields/SoSFBool.cpp,
	src/vrml97/VertexShape.cpp,
	include/Inventor/elements/SoGLDrawStyleElement.h,
	include/Inventor/sensors/SoSensors.h,
	include/Inventor/VRMLnodes/SoVRMLVisibilitySensor.h,
	src/vrml97/WorldInfo.cpp,
	include/Inventor/nodes/SoDirectionalLight.h,
	src/draggers/SoScale1Dragger.cpp, include/Inventor/C/glue/glp.h,
	include/Inventor/nodes/SoSphere.h,
	include/Inventor/fields/SoMFVec3f.h,
	include/Inventor/nodekits/SoSubKitP.h,
	include/Inventor/C/threads/common.h, src/3ds/3dsLoader.cpp,
	src/nodes/SoSeparator.cpp, src/manips/commoncode.cpp,
	src/collision/SbTri3f.h, include/Inventor/SbDPRotation.h,
	include/Inventor/engines/SoSubEngine.h,
	include/Inventor/elements/SoLightAttenuationElement.h,
	src/threads/common.c, include/Inventor/nodes/SoIndexedNurbsSurface.h,
	include/Inventor/elements/SoAnnoText3FontSizeHintElement.h,
	src/fields/SoSFNode.cpp, src/engines/SoComposeVec3f.cpp,
	include/Inventor/nodekits/SoCameraKit.h,
	include/Inventor/events/SoButtonEvent.h, src/vrml97/PlaneSensor.cpp,
	src/fonts/default3dfont.c, src/misc/SoOffscreenRenderer.cpp,
	src/lists/SbList.cpp, include/Inventor/SbVec4f.h,
	src/fonts/glyph3d.c, include/Inventor/nodes/SoListener.h,
	include/Inventor/elements/SoGLCoordinateElement.h,
	src/details/SoNodeKitDetail.cpp, src/fonts/glyph3d.h,
	src/projectors/SbCylinderSheetProjector.cpp,
	src/nodes/SoRotation.cpp,
	include/Inventor/elements/SoDecimationTypeElement.h,
	src/threads/mutex_pthread.ic,
	include/Inventor/nodes/SoIndexedNurbsCurve.h,
	src/nodes/SoShapeHints.cpp, src/nodes/SoColorIndex.cpp,
	src/nodes/SoLight.cpp, include/Inventor/VRMLnodes/SoVRMLExtrusion.h,
	include/Inventor/manips/SoTrackballManip.h,
	include/Inventor/fields/SoMFULong.h,
	include/Inventor/nodes/SoRotor.h,
	src/elements/GL/SoGLClipPlaneElement.cpp, src/threads/condvar.c,
	include/Inventor/SoType.h, include/Inventor/nodes/SoCylinder.h,
	src/nodes/SoTexture3Transform.cpp, src/fields/SoMFRotation.cpp,
	include/Inventor/elements/SoComplexityElement.h,
	examples/bindings/glutiv.cpp, include/Inventor/nodes/SoFile.h,
	include/Inventor/elements/SoViewVolumeElement.h,
	src/elements/GL/SoGLEmissiveColorElement.cpp,
	include/Inventor/nodes/SoImage.h, src/actions/SoRayPickAction.cpp,
	src/glue/gl_wgl.c, include/Inventor/nodes/SoMaterialBinding.h,
	src/nodes/SoPolygonOffset.cpp,
	include/Inventor/engines/SoFieldConverter.h,
	src/nodekits/SoNodekitCatalog.cpp, src/threads/mutex_win32mutex.ic,
	include/Inventor/elements/SoTextureScaleQualityElement.h,
	src/elements/SoCoordinateElement.cpp,
	include/Inventor/nodes/SoTextureUnit.h,
	include/Inventor/C/base/namemap.h,
	include/Inventor/threads/SbCondVar.h,
	include/Inventor/actions/SoShapeSimplifyAction.h,
	include/Inventor/fields/SoMFUShort.h,
	include/Inventor/fields/SoSFColor.h, src/nodes/SoTransform.cpp,
	include/Inventor/SbDPLinear.h, include/Inventor/lists/SbVec3fList.h,
	src/fields/SoMFShort.cpp,
	include/Inventor/VRMLnodes/SoVRMLIndexedFaceSet.h,
	src/projectors/SbSphereProjector.cpp,
	include/Inventor/elements/SoFontSizeElement.h,
	src/shapenodes/SoIndexedNurbsSurface.cpp,
	src/hardcopy/PSVectorOutput.cpp, include/Inventor/caches/SoCache.h,
	src/details/SoLineDetail.cpp, src/nodes/SoScale.cpp,
	include/Inventor/engines/SoEngine.h,
	include/Inventor/nodekits/SoBaseKit.h,
	src/nodekits/SoInteractionKit.cpp,
	include/Inventor/elements/SoMultiTextureCoordinateElement.h,
	include/Inventor/nodes/SoLineSet.h,
	include/Inventor/actions/SoAction.h,
	include/Inventor/actions/SoGetPrimitiveCountAction.h,
	include/Inventor/SbBox2s.h,
	src/elements/SoMultiTextureMatrixElement.cpp,
	src/lists/SoCallbackList.cpp,
	src/shapenodes/soshape_trianglesort.cpp,
	src/elements/SoShininessElement.cpp, src/base/hash.c,
	docs/doxygen/footer.html, include/Inventor/C/glue/flwwin32.h,
	include/Inventor/events/SoSpaceballButtonEvent.h,
	src/base/SbViewVolume.cpp, src/misc/SoOffscreenAGLData.icc,
	include/Inventor/engines/SoOnOff.h, src/fields/SoSFImage3.cpp,
	include/Inventor/nodes/SoNormal.h,
	include/Inventor/events/SoLocation2Event.h,
	include/Inventor/lists/SoAuditorList.h,
	include/Inventor/lists/SoPickedPointList.h,
	include/Inventor/nodes/SoTextureCombine.h,
	include/Inventor/nodes/SoMarkerSet.h,
	include/Inventor/errors/SoError.h,
	include/Inventor/system/inttypes.h.in, src/misc/AudioTools.cpp,
	src/bundles/all-bundles-cpp.cpp, src/misc/SoGlyph.cpp,
	src/nodes/SoFont.cpp, src/threads/sched.c,
	include/Inventor/VRMLnodes/SoVRMLIndexedShape.h,
	include/Inventor/VRMLnodes/SoVRMLPixelTexture.h,
	include/Inventor/fields/SoSField.h, src/engines/SoOutputData.cpp,
	src/glue/GLUWrapper.c, include/Inventor/fields/SoMFNode.h,
	src/bundles/SoMaterialBundle.cpp, src/nodekits/SoAppearanceKit.cpp,
	src/vrml97/CoordinateInterpolator.cpp,
	include/Inventor/nodes/SoResetTransform.h,
	include/Inventor/nodes/SoCube.h,
	include/Inventor/elements/SoBBoxModelMatrixElement.h,
	include/Inventor/nodes/SoLevelOfDetail.h,
	src/elements/SoProfileCoordinateElement.cpp,
	include/Inventor/C/errors/debugerror.h,
	include/Inventor/fields/SoFieldContainer.h,
	include/Inventor/elements/SoGLLinePatternElement.h,
	include/Inventor/SbBox2d.h,
	include/Inventor/annex/HardCopy/SoVectorOutput.h,
	src/elements/GL/SoGLMultiTextureMatrixElement.cpp,
	src/vrml97/Color.cpp, src/engines/SoEngineOutput.cpp,
	src/vrml97/Cone.cpp, include/Inventor/nodes/SoTransformation.h,
	src/misc/SoOffscreenAGLData.cpp, src/misc/SoSceneManager.cpp,
	src/engines/SoComposeVec4f.cpp, include/Inventor/SbPlane.h,
	include/Inventor/nodes/SoTransparencyType.h,
	include/Inventor/nodes/SoArray.h, include/Inventor/fields/SoMFTime.h,
	include/Inventor/VRMLnodes/SoVRMLSphere.h,
	include/Inventor/nodes/SoSurroundScale.h, src/vrml97/Anchor.cpp,
	src/fields/SoSField.cpp, src/elements/SoLineWidthElement.cpp,
	include/Inventor/nodes/SoSeparator.h, src/fields/SoSFColor.cpp,
	src/elements/SoAnnoText3FontSizeHintElement.cpp,
	src/caches/SoPrimitiveVertexCache.cpp, src/base/SbTesselator.cpp,
	include/Inventor/So.h, src/vrml97/Coordinate.cpp,
	include/Inventor/C/glue/simage_wrapper.h,
	include/Inventor/VRMLnodes/SoVRMLAudioClip.h,
	include/Inventor/elements/SoProfileElement.h,
	src/shapenodes/SoIndexedLineSet.cpp, include/Inventor/SbString.h,
	include/Inventor/VRMLnodes/SoVRMLBackground.h,
	src/elements/SoTransparencyElement.cpp,
	src/elements/SoBumpMapCoordinateElement.cpp,
	include/Inventor/draggers/SoTransformerDragger.h,
	src/engines/SoNodeEngine.cpp,
	include/Inventor/projectors/SbCylinderPlaneProjector.h,
	include/Inventor/fields/SoSFLong.h,
	src/vrml97/PositionInterpolator.cpp,
	include/Inventor/nodes/SoProfileCoordinate2.h,
	src/vrml97/AudioClip.cpp, src/draggers/SoTranslate1Dragger.cpp,
	src/nodes/SoMatrixTransform.cpp,
	include/Inventor/draggers/SoCenterballDragger.h,
	src/caches/SoGLRenderCache.cpp, src/actions/SoAction.cpp,
	src/vrml97/Background.cpp, include/Inventor/fields/SoMFName.h,
	include/Inventor/nodes/SoNurbsSurface.h, src/manips/SoJackManip.cpp,
	include/Inventor/C/threads/thread.h,
	include/Inventor/fields/SoSFVec2s.h, src/lists/SoPathList.cpp,
	include/Inventor/VRMLnodes/SoVRMLScalarInterpolator.h,
	include/Inventor/C/threads/worker.h, src/fields/SoField.cpp,
	src/glue/dl.c, include/Inventor/nodes/SoWWWAnchor.h,
	src/shapenodes/SoTriangleStripSet.cpp,
	include/Inventor/elements/SoShininessElement.h,
	src/lists/SoEngineList.cpp, src/threads/thread.c,
	src/threads/worker.c,
	include/Inventor/elements/SoTextureQualityElement.h,
	src/nodes/SoCallback.cpp, src/nodes/SoBumpMap.cpp,
	src/misc/cppmangle.icc, include/Inventor/nodekits/SoNodekitCatalog.h,
	src/base/SbVec2s.cpp, include/Inventor/nodes/SoOrthographicCamera.h,
	include/Inventor/elements/SoModelMatrixElement.h,
	include/Inventor/elements/SoGLClipPlaneElement.h,
	src/elements/SoSwitchElement.cpp,
	include/Inventor/nodes/SoAnnotation.h,
	include/Inventor/misc/SoGLBigImage.h, src/nodes/SoTexture2.cpp,
	include/Inventor/fields/SoMFShort.h,
	src/elements/SoTextureCoordinateElement.cpp,
	include/Inventor/nodes/SoFontStyle.h,
	include/Inventor/actions/SoGLRenderAction.h,
	src/sensors/SoSensor.cpp, src/glue/gl_glx.c,
	include/Inventor/SbBox2f.h, include/Inventor/nodes/SoRotation.h,
	include/Inventor/VRMLnodes/SoVRMLTexture.h, src/misc/SoPick.cpp,
	include/Inventor/C/base/hash.h, include/Inventor/misc/SoLightPath.h,
	src/fields/SoMFBool.cpp, include/Inventor/fields/SoSFUInt32.h,
	include/Inventor/lists/SbStringList.h,
	include/Inventor/nodes/SoTexture3Transform.h,
	include/Inventor/VRMLnodes/SoVRMLPointLight.h,
	include/Inventor/fields/SoSFInt32.h, src/io/SoOutput_Writer.cpp,
	src/base/SbColor4f.cpp, include/Inventor/misc/SoGLImage.h,
	src/vrml97/Light.cpp, src/hardcopy/all-hardcopy-cpp.cpp,
	src/io/SoInput.cpp, include/Inventor/VRMLnodes/SoVRMLNormal.h,
	src/fields/SoMFColor.cpp, src/misc/SoTempPath.cpp,
	src/fields/SoMFNode.cpp, include/Inventor/SbClip.h,
	src/misc/SoOffscreenGLXData.h, src/vrml97/Interpolator.cpp,
	src/elements/GL/SoGLRenderPassElement.cpp,
	src/draggers/SoScaleUniformDragger.cpp,
	src/draggers/SoRotateSphericalDragger.cpp,
	include/Inventor/elements/SoGLTextureCoordinateElement.h,
	src/base/SbTime.cpp, include/Inventor/details/SoDetail.h,
	include/Inventor/nodekits/SoShapeKit.h,
	include/Inventor/nodes/SoTexture2.h,
	src/elements/GL/SoGLLineWidthElement.cpp,
	include/Inventor/events/SoMotion3Event.h,
	include/Inventor/nodes/SoTextureCoordinate2.h,
	include/Inventor/fields/SoSFFloat.h, src/vrml97/IndexedFaceSet.cpp,
	include/Inventor/nodes/SoAsciiText.h, include/Inventor/SbImage.h,
	include/Inventor/elements/SoReplacedElement.h,
	src/draggers/SoPointLightDragger.cpp,
	include/Inventor/nodes/SoMaterial.h,
	include/Inventor/VRMLnodes/SoVRMLSubInterpolator.h,
	src/threads/mutex_win32cs.ic,
	include/Inventor/lists/SoActionMethodList.h,
	include/Inventor/draggers/SoPointLightDragger.h,
	src/misc/SoNotification.cpp, include/Inventor/nodekits/SoNodeKit.h,
	include/Inventor/VRMLnodes/SoVRMLWorldInfo.h,
	include/Inventor/threads/SbMutex.h,
	include/Inventor/VRMLnodes/SoVRMLSensor.h,
	include/Inventor/VRMLnodes/SoVRMLCylinder.h,
	src/draggers/SoTrackballDragger.cpp, include/Inventor/SbBSPTree.h,
	include/Inventor/SbMatrix.h,
	include/Inventor/VRMLnodes/SoVRMLInline.h, src/vrml97/Appearance.cpp,
	src/engines/SoOnOff.cpp, src/base/SbVec2d.cpp,
	include/Inventor/elements/SoFontNameElement.h, src/base/SbString.cpp,
	src/sensors/SoIdleSensor.cpp, src/lists/SoBaseList.cpp,
	include/Inventor/Sb.h, src/nodes/SoSceneTexture2.cpp,
	include/Inventor/nodes/SoPolygonOffset.h,
	src/events/SoButtonEvent.cpp, src/hardcopy/VectorizePSAction.cpp,
	src/fields/SoMFBitMask.cpp,
	src/nodes/SoTextureCoordinateFunction.cpp,
	src/elements/SoAnnoText3CharOrientElement.cpp,
	include/Inventor/nodes/SoCoordinate4.h,
	src/elements/SoTextureImageElement.cpp, src/base/SbBox2s.cpp,
	src/nodes/SoTexture3.cpp, src/glue/simage_wrapper.c,
	src/hardcopy/VectorizeActionP.cpp, src/base/SbMatrix.cpp,
	src/vrml97/Script.cpp, src/errors/error.c,
	include/Inventor/C/glue/freetype.h,
	include/Inventor/fields/SoSFVec2f.h,
	include/Inventor/elements/SoGLViewingMatrixElement.h, src/errors/all-
	errors-c.c, include/Inventor/nodes/SoMatrixTransform.h,
	include/Inventor/VRMLnodes/SoVRMLVertexShape.h,
	include/Inventor/elements/SoEmissiveColorElement.h,
	src/threads/barrier.c, src/base/SbVec3s.cpp,
	include/Inventor/nodes/SoPointSet.h,
	include/Inventor/VRMLnodes/SoVRMLIndexedLineSet.h,
	include/Inventor/elements/SoLightModelElement.h,
	include/Inventor/lists/SoNodeList.h,
	include/Inventor/projectors/SbSphereSectionProjector.h,
	src/misc/SoNotRec.cpp,
	include/Inventor/lists/SoEnabledElementsList.h,
	src/misc/SoOffscreenGLXData.icc, src/vrml97/IndexedLine.cpp,
	src/shapenodes/SoVertexShape.cpp,
	include/Inventor/caches/SoTextureCoordinateCache.h,
	src/io/SoInput_Reader.cpp, src/caches/SoBoundingBoxCache.cpp,
	src/vrml97/Collision.cpp, src/fonts/win32.c,
	src/threads/wrappers.cpp, include/Inventor/lists/SoCallbackList.h,
	include/Inventor/elements/SoMultiTextureMatrixElement.h,
	src/vrml97/OrientationInterpolator.cpp, src/nodes/SoNode.cpp,
	src/fonts/win32.h, src/nodes/SoNormal.cpp,
	src/nodes/SoMaterialBinding.cpp, src/engines/SoConvertAll.cpp,
	include/Inventor/caches/SoNormalCache.h, src/base/SbHeap.cpp,
	include/Inventor/actions/SoSubActionP.h, src/lists/SoFieldList.cpp,
	src/vrml97/PointLight.cpp, src/lists/SoEngineOutputList.cpp,
	include/Inventor/elements/SoGLShadeModelElement.h,
	include/Inventor/VRMLnodes/SoVRMLPositionInterpolator.h,
	include/Inventor/nodes/SoBumpMapCoordinate.h,
	src/misc/SoOffscreenAGLData.h,
	include/Inventor/engines/SoComposeVec3f.h,
	src/engines/SoDecomposeMatrix.cpp,
	include/Inventor/errors/SoErrors.h,
	include/Inventor/events/SoMouseButtonEvent.h,
	include/Inventor/engines/SoDecomposeMatrix.h,
	include/Inventor/manips/SoTabBoxManip.h, include/Inventor/SoOutput.h,
	include/Inventor/threads/SbBarrier.h,
	src/misc/SoOffscreenGLXData.cpp, include/Inventor/SbViewportRegion.h,
	include/Inventor/C/basic.h.in,
	include/Inventor/VRMLnodes/SoVRMLElevationGrid.h,
	src/elements/SoLinePatternElement.cpp, src/misc/SoAudioDevice.cpp,
	src/nodekits/SoNodeKit.cpp, src/base/string.c,
	include/Inventor/errors/SoDebugError.h, src/vrml97/Text.cpp,
	include/Inventor/elements/SoGLCacheContextElement.h,
	include/Inventor/C/tidbits.h,
	include/Inventor/nodes/SoTextureCoordinateDefault.h,
	include/Inventor/VRMLnodes/SoVRMLSubInterpolatorP.h,
	src/vrml97/Extrusion.cpp,
	src/misc/SoGLnonindexedTristripSetTemplate.icc,
	src/fields/SoSFRotation.cpp, src/fields/SoSFInt32.cpp,
	include/Inventor/draggers/SoTrackballDragger.h,
	src/draggers/SoHandleBoxDragger.cpp, src/nodes/SoShuttle.cpp,
	include/Inventor/draggers/SoRotateDiscDragger.h,
	src/manips/SoDirectionalLightManip.cpp, src/lists/SoAuditorList.cpp,
	include/Inventor/nodes/SoLightModel.h, src/fields/SoMField.cpp,
	include/Inventor/elements/SoSpecularColorElement.h,
	src/base/SbDPLine.cpp, src/base/SbBox2d.cpp,
	include/Inventor/VRMLnodes/SoVRMLProximitySensor.h,
	include/Inventor/sensors/SoFieldSensor.h,
	include/Inventor/VRMLnodes/SoVRMLImageTexture.h, src/base/list.c,
	include/Inventor/nodekits/SoSubKit.h, src/engines/SoTimeCounter.cpp,
	include/Inventor/SoDB.h, src/shapenodes/SoNurbsSurface.cpp,
	include/Inventor/elements/SoPickRayElement.h,
	include/Inventor/nodekits/SoSeparatorKit.h,
	src/vrml97/IndexedShape.cpp, src/nodes/SoFontStyle.cpp,
	include/Inventor/nodes/SoCone.h, src/base/SbVec3d.cpp,
	src/nodekits/SoBaseKit.cpp, include/Inventor/SoLists.h,
	src/caches/SoConvexDataCache.cpp, src/io/SoOutput.cpp,
	src/fonts/fontspec.c,
	include/Inventor/draggers/SoScale2UniformDragger.h,
	src/nodes/SoUnits.cpp, src/projectors/SbSpherePlaneProjector.cpp,
	src/elements/all-elements-cpp.cpp, src/errors/SoDebugError.cpp,
	src/fonts/fontspec.h, include/Inventor/engines/SoGate.h,
	src/actions/SoBoxHighlightRenderAction.cpp, src/misc/SoLightPath.cpp,
	src/nodes/SoNurbsProfile.cpp,
	include/Inventor/elements/SoGLEnvironmentElement.h,
	src/elements/SoComplexityElement.cpp, src/projectors/SbProjector.cpp,
	include/Inventor/SoFullPath.h, src/3ds/SoStream.cpp,
	src/elements/SoPolygonOffsetElement.cpp,
	src/elements/SoTexture3EnabledElement.cpp,
	src/elements/SoTextureUnitElement.cpp, src/hardcopy/VectorizeItems.h,
	include/Inventor/lists/SoPathList.h, src/base/SbBox3s.cpp,
	include/Inventor/SoSceneManager.h,
	include/Inventor/threads/SbRWMutex.h,
	src/elements/GL/SoGLTextureMatrixElement.cpp,
	src/nodes/SoSurroundScale.cpp, src/misc/SoOffscreenInternalData.h,
	src/elements/SoTextureEnabledElement.cpp,
	include/Inventor/manips/SoPointLightManip.h,
	include/Inventor/C/threads/sched.h,
	include/Inventor/fields/SoSFImage3.h, src/upgraders/SoUpgrader.h,
	include/Inventor/fields/SoMFColor.h,
	include/Inventor/nodes/SoSceneTexture2.h,
	include/Inventor/SoNodeKitPath.h, include/Inventor/C/glue/gl.h,
	include/Inventor/VRMLnodes/SoVRMLScript.h,
	include/Inventor/nodes/SoTransform.h,
	include/Inventor/bundles/SoMaterialBundle.h,
	include/Inventor/elements/SoComplexityTypeElement.h,
	src/vrml97/ProximitySensor.cpp, src/base/SbPlane.cpp,
	src/fields/SoMFEngine.cpp, src/sensors/SoSensorManager.cpp,
	src/actions/SoGLRenderAction.cpp,
	include/Inventor/VRMLnodes/SoVRMLCone.h,
	include/Inventor/elements/SoGLMultiTextureEnabledElement.h,
	src/elements/SoDecimationTypeElement.cpp,
	include/Inventor/C/glue/gl_agl.h,
	include/Inventor/draggers/SoJackDragger.h,
	include/Inventor/fields/SoSFVec4f.h,
	include/Inventor/SbDPViewVolume.h,
	include/Inventor/misc/SoChildList.h,
	include/Inventor/nodes/SoUnits.h, src/fields/SoSFVec2s.cpp,
	include/Inventor/fields/SoMFUInt32.h,
	include/Inventor/actions/SoLineHighlightRenderAction.h,
	src/manips/SoTransformManip.cpp, src/fields/SoMFInt32.cpp,
	include/Inventor/projectors/SbSphereSheetProjector.h,
	src/threads/mutex.c, src/actions/SoSimplifyAction.cpp,
	src/nodes/SoWWWInline.cpp, src/misc/SoGLImage.cpp,
	include/Inventor/nodes/SoWWWInline.h,
	include/Inventor/details/SoConeDetail.h,
	include/Inventor/C/threads/fifo.h, src/base/SbVec2f.cpp,
	src/lists/SoPickedPointList.cpp,
	include/Inventor/C/threads/storagep.h,
	include/Inventor/actions/SoAudioRenderAction.h,
	src/vrml97/TextureCoordinate.cpp,
	include/Inventor/SoOffscreenRenderer.h,
	src/nodes/SoPerspectiveCamera.cpp, src/misc/SoState.cpp,
	include/Inventor/misc/SoState.h, src/draggers/SoDragPointDragger.cpp,
	src/nodes/SoLOD.cpp, src/engines/SoDecomposeRotation.cpp,
	include/Inventor/elements/SoTextureCombineElement.h,
	src/actions/SoWriteAction.cpp, src/fields/SoSFBitMask.cpp,
	include/Inventor/threads/SbTypedStorage.h,
	src/elements/GL/SoGLMultiTextureCoordinateElement.cpp,
	src/nodes/SoProfileCoordinate2.cpp, src/actions/SoSearchAction.cpp,
	src/fields/SoSFEngine.cpp, include/Inventor/events/SoSubEvent.h,
	src/nodes/SoComplexity.cpp,
	include/Inventor/VRMLnodes/SoVRMLFontStyle.h,
	include/Inventor/engines/SoInterpolateFloat.h,
	include/Inventor/sensors/SoSensor.h, src/base/rbptree.c,
	include/Inventor/VRMLnodes/SoVRMLMaterial.h,
	src/lists/SoNodeList.cpp, src/hardcopy/HardCopy.cpp,
	include/Inventor/nodes/SoIndexedTriangleStripSet.h,
	include/Inventor/engines/SoComposeRotation.h,
	include/Inventor/nodes/SoUnknownNode.h,
	src/nodes/SoTransparencyType.cpp,
	include/Inventor/elements/SoSoundElement.h,
	include/Inventor/elements/SoLocalBBoxMatrixElement.h,
	include/Inventor/VRMLnodes/SoVRMLTextureCoordinate.h,
	src/vrml97/Geometry.cpp, include/Inventor/engines/SoElapsedTime.h,
	include/Inventor/manips/SoJackManip.h,
	include/Inventor/C/threads/sync.h, src/details/SoConeDetail.cpp,
	include/Inventor/actions/SoSimplifyAction.h,
	include/Inventor/engines/SoCompose.h,
	include/Inventor/C/base/hashp.h, src/base/SbVec4d.cpp,
	include/Inventor/C/base/list.h, include/Inventor/SbDPPlane.h,
	include/Inventor/nodes/SoPerspectiveCamera.h,
	src/misc/SoGLBigImage.cpp,
	include/Inventor/details/SoCylinderDetail.h,
	include/Inventor/engines/SoOutputData.h,
	include/Inventor/elements/SoGLUpdateAreaElement.h,
	src/fields/SoSFPath.cpp, src/bundles/SoTextureCoordinateBundle.cpp,
	src/elements/GL/SoGLViewportRegionElement.cpp,
	src/sensors/SoDataSensor.cpp, include/Inventor/fields/SoSFPath.h,
	src/base/SbBSPTree.cpp, src/elements/GL/SoGLDisplayList.cpp,
	src/nodes/SoInfo.cpp, include/Inventor/misc/SoTranSender.h,
	include/Inventor/VRMLnodes/SoVRMLVertexPoint.h,
	include/Inventor/engines/SoNodeEngine.h,
	include/Inventor/engines/SoInterpolateVec2f.h,
	include/Inventor/events/SoKeyboardEvent.h,
	include/Inventor/engines/SoSelectOne.h,
	include/Inventor/elements/SoNormalBindingElement.h,
	src/elements/SoNormalElement.cpp, src/vrml97/ColorInterpolator.cpp,
	src/projectors/SbSphereSectionProjector.cpp,
	include/Inventor/VRMLnodes/SoVRMLPointSet.h, src/base/SbLine.cpp,
	include/Inventor/engines/SoComposeMatrix.h,
	src/nodes/SoPointLight.cpp, src/details/all-details-cpp.cpp,
	src/shapenodes/SoQuadMesh.cpp, include/Inventor/fields/SoSFPlane.h,
	include/Inventor/actions/SoRayPickAction.h,
	include/Inventor/nodes/SoTextureScalePolicy.h,
	include/Inventor/C/threads/threadp.h,
	include/Inventor/details/SoPointDetail.h, src/vrml97/Cylinder.cpp,
	src/projectors/all-projectors-cpp.cpp, include/Inventor/SbVec3s.h,
	include/Inventor/events/SoEvents.h, src/base/SbBox2f.cpp,
	src/nodes/SoExtSelection.cpp,
	include/Inventor/elements/SoListenerGainElement.h,
	include/Inventor/nodes/SoTriangleStripSet.h,
	src/draggers/SoTabPlaneDragger.cpp, src/fields/SoSFVec3s.cpp,
	include/Inventor/nodes/SoText2.h, src/nodes/SoSpotLight.cpp,
	src/misc/SoGLLineSetTemplate.icc,
	src/elements/GL/SoGLMultiTextureImageElement.cpp,
	src/fonts/defaultfonts.h, include/Inventor/actions/SoSubAction.h,
	include/Inventor/elements/SoTextureCoordinateBindingElement.h,
	src/nodes/SoTextureCoordinate2.cpp, src/manips/all-manips-cpp.cpp,
	src/nodes/SoProfileCoordinate3.cpp, src/base/SbVec3f.cpp,
	include/Inventor/nodekits/SoLightKit.h,
	include/Inventor/nodes/SoTextureCoordinatePlane.h,
	include/Inventor/elements/SoListenerDopplerElement.h,
	include/Inventor/C/glue/bzip2.h, src/nodekits/SoWrapperKit.cpp,
	include/Inventor/projectors/SbProjectors.h, src/fields/SoSFName.cpp,
	include/Inventor/elements/SoTextureMatrixElement.h,
	src/sensors/SoPathSensor.cpp, src/lists/SbStringList.cpp,
	include/Inventor/projectors/SbCylinderProjector.h,
	src/base/SbSphere.cpp, include/Inventor/nodes/SoLight.h,
	include/SoWinEnterScope.h, src/details/SoCubeDetail.cpp,
	src/elements/GL/SoGLUpdateAreaElement.cpp, src/nodes/SoFile.cpp,
	include/Inventor/nodes/SoRotationXYZ.h, src/fonts/default2dfont.c,
	src/shapenodes/SoIndexedShape.cpp, src/hardcopy/VectorOutput.cpp,
	include/Inventor/misc/SoNotRec.h,
	src/elements/SoEnvironmentElement.cpp,
	include/Inventor/elements/SoProjectionMatrixElement.h,
	include/Inventor/SbVec3d.h,
	include/Inventor/manips/SoCenterballManip.h,
	include/Inventor/fields/SoMFInt32.h, src/nodes/SoBlinker.cpp,
	src/engines/SoInterpolateRotation.cpp, src/nodes/SoLightModel.cpp,
	include/Inventor/engines/SoDecomposeVec2f.h,
	src/actions/SoGetMatrixAction.cpp, src/nodes/SoGroup.cpp,
	include/Inventor/VRMLnodes/SoVRMLDirectionalLight.h,
	src/elements/SoTextureScaleQualityElement.cpp, src/threads/all-
	threads-c.c, include/Inventor/C/threads/workerp.h,
	include/Inventor/fields/SoMField.h, src/vrml97/Inline.cpp,
	include/Inventor/engines/SoCalculator.h,
	src/elements/SoBBoxModelMatrixElement.cpp,
	src/elements/SoFontSizeElement.cpp,
	include/Inventor/draggers/SoRotateSphericalDragger.h,
	include/Inventor/elements/SoShapeHintsElement.h,
	include/Inventor/fields/SoMFFloat.h,
	include/Inventor/elements/SoCreaseAngleElement.h,
	include/Inventor/details/SoLineDetail.h,
	src/nodes/SoBumpMapTransform.cpp, include/Inventor/threads/SbFifo.h,
	src/bundles/SoBundle.cpp, src/collision/SbTri3f.cpp,
	include/Inventor/nodes/SoTransformSeparator.h,
	src/draggers/SoDragger.cpp, include/Inventor/misc/SoBase.h,
	include/Inventor/elements/SoGLPolygonOffsetElement.h,
	include/Inventor/SbTesselator.h, src/elements/SoSoundElement.cpp,
	src/elements/SoTextureScalePolicyElement.cpp,
	src/caches/SoTextureCoordinateCache.cpp,
	src/manips/SoClipPlaneManip.cpp,
	include/Inventor/nodes/SoColorIndex.h,
	include/Inventor/nodes/SoShapeHints.h, src/vrml97/VertexPoint.cpp,
	src/nodes/SoArray.cpp, src/nodes/SoLabel.cpp,
	include/Inventor/threads/SbThreadAutoLock.h,
	include/Inventor/manips/SoTransformManip.h,
	src/engines/SoDecomposeVec2f.cpp,
	src/actions/SoAudioRenderAction.cpp, src/nodes/SoPendulum.cpp,
	src/caches/SoNormalCache.cpp,
	src/elements/GL/SoGLCoordinateElement.cpp, src/vrml97/PointSet.cpp,
	src/fields/SoSFVec3d.cpp, src/engines/SoTriggerAny.cpp,
	include/Inventor/sensors/SoIdleSensor.h, src/glue/all-glue-c.c,
	src/vrml97/Viewpoint.cpp, src/elements/SoInt32Element.cpp,
	src/elements/SoAnnoText3RenderPrintElement.cpp,
	src/elements/SoProfileElement.cpp,
	include/Inventor/misc/SoProtoInstance.h,
	include/Inventor/misc/SoTranReceiver.h,
	include/Inventor/nodes/SoDrawStyle.h,
	src/elements/SoShapeHintsElement.cpp, src/fields/SoSFBox3s.cpp,
	include/Inventor/fields/SoMFLong.h, src/errors/SoReadError.cpp,
	src/shapenodes/SoFaceSet.cpp, src/nodes/SoTextureCoordinate3.cpp,
	include/Inventor/fields/SoMFVec2f.h,
	include/Inventor/errors/SoMemoryError.h,
	include/Inventor/VRMLnodes/SoVRMLText.h,
	src/elements/GL/SoGLNormalElement.cpp,
	src/projectors/SbPlaneProjector.cpp, src/fields/SoSFFloat.cpp,
	src/vrml97/DragSensor.cpp, src/nodes/SoEventCallback.cpp,
	include/Inventor/engines/SoInterpolateVec4f.h, src/errors/all-errors-
	cpp.cpp, src/misc/SoContextHandler.cpp, src/base/SbBox3f.cpp,
	src/misc/AudioTools.h,
	include/Inventor/elements/SoGLShapeHintsElement.h,
	include/Inventor/elements/SoGLColorIndexElement.h,
	src/glue/win32api.c, include/Inventor/fields/SoSFImage.h,
	include/Inventor/VRMLnodes/SoVRMLLight.h,
	include/Inventor/misc/SoPick.h, data/draggerDefaults/iv2h.sh.in,
	src/events/SoSpaceballButtonEvent.cpp,
	include/Inventor/events/SoEvent.h,
	include/Inventor/elements/SoTextOutlineEnabledElement.h,
	src/fields/SoSFPlane.cpp, include/Inventor/SbVec3f.h,
	src/collision/SoIntersectionDetectionAction.cpp, src/fonts/glyph2d.c,
	src/elements/GL/SoGLLinePatternElement.cpp,
	include/Inventor/details/SoTextDetail.h,
	src/elements/GL/SoGLMultiTextureEnabledElement.cpp,
	include/Inventor/SbLinear.h,
	include/Inventor/elements/SoGLModelMatrixElement.h,
	src/base/SbVec4f.cpp, src/fonts/glyph2d.h, src/shapenodes/SoCube.cpp,
	include/Inventor/VRMLnodes/SoVRMLCoordinateInterpolator.h,
	src/upgraders/all-upgraders-cpp.cpp,
	include/Inventor/lists/SbIntList.h, src/nodes/SoClipPlane.cpp,
	src/base/SbImage.cpp, src/base/SbViewportRegion.cpp,
	src/vrml97/DirectionalLight.cpp, include/Inventor/misc/SoGlyph.h,
	include/Inventor/nodes/SoFont.h,
	src/elements/SoFocalDistanceElement.cpp, src/vrml97/Sound.cpp,
	src/caches/SoCache.cpp, src/elements/SoCacheElement.cpp,
	include/Inventor/SbViewVolume.h,
	include/Inventor/VRMLnodes/SoVRMLTransform.h,
	include/Inventor/elements/SoTextureOverrideElement.h,
	include/Inventor/nodes/SoTexture2Transform.h,
	src/base/SbRotation.cpp,
	include/Inventor/elements/SoProfileCoordinateElement.h,
	src/fields/SoSFVec2f.cpp,
	include/Inventor/elements/SoTransparencyElement.h,
	src/engines/SoComposeRotationFromTo.cpp,
	include/Inventor/VRMLnodes/SoVRMLBillboard.h,
	include/Inventor/nodekits/SoWrapperKit.h,
	include/Inventor/draggers/SoDragger.h, src/base/SbDPPlane.cpp,
	src/elements/SoLocalBBoxMatrixElement.cpp,
	include/Inventor/engines/SoEngineOutput.h,
	include/Inventor/misc/SoNotification.h,
	include/Inventor/projectors/SbProjector.h,
	src/vrml97/TextureTransform.cpp, src/details/SoTextDetail.cpp,
	src/fields/SoMFVec3d.cpp,
	include/Inventor/sensors/SoDelayQueueSensor.h,
	include/Inventor/C/threads/wpoolp.h,
	include/Inventor/engines/SoDecomposeVec4f.h,
	src/elements/SoSpecularColorElement.cpp,
	include/Inventor/lists/SoEngineList.h, src/engines/all-engines-
	cpp.cpp, src/nodes/SoSwitch.cpp,
	include/Inventor/engines/SoCounter.h,
	src/actions/SoGetBoundingBoxAction.cpp,
	include/Inventor/nodes/SoShape.h,
	include/Inventor/fields/SoGlobalField.h, src/draggers/all-draggers-
	cpp.cpp, src/vrml97/all-vrml97-cpp.cpp, src/fonts/fontlib_wrapper.c,
	src/actions/all-actions-cpp.cpp, src/misc/SoOffscreenWGLData.icc,
	src/fields/SoMFPath.cpp, src/nodes/SoPathSwitch.cpp,
	src/fonts/fontlib_wrapper.h, src/engines/SoDecomposeVec3f.cpp,
	src/nodes/SoPackedColor.cpp, src/fields/SoMFFloat.cpp,
	src/nodekits/SoLightKit.cpp, src/vrml97/ImageTexture.cpp,
	src/draggers/SoJackDragger.cpp, include/Inventor/SbDPLine.h,
	src/draggers/SoScale2UniformDragger.cpp, src/nodes/SoMaterial.cpp,
	include/Inventor/VRMLnodes/SoVRMLBox.h,
	include/Inventor/C/tidbitsp.h, include/Inventor/fields/SoSFEnum.h,
	include/Inventor/nodes/SoComplexity.h,
	src/elements/SoPointSizeElement.cpp, src/manips/SoTrackballManip.cpp,
	include/Inventor/elements/SoGLTexture3EnabledElement.h,
	src/3ds/3dsLoader.h, src/shapenodes/soshape_primdata.h,
	include/Inventor/elements/SoDiffuseColorElement.h, src/glue/bzip2.c,
	include/Inventor/C/threads/mutex.h,
	src/elements/SoViewingMatrixElement.cpp, src/vrml97/Billboard.cpp,
	src/fields/SoMFPlane.cpp, include/Inventor/fields/SoFieldData.h,
	include/Inventor/C/base/dynarray.h,
	src/misc/SoGLindexedLineSetTemplate.icc,
	include/Inventor/elements/SoGLMultiTextureImageElement.h,
	src/elements/SoWindowElement.cpp, include/Inventor/fields/SoSFBool.h,
	include/Inventor/annex/HardCopy/SoVectorizeAction.h,
	src/nodes/SoTextureScalePolicy.cpp, src/io/all-io-cpp.cpp,
	include/Inventor/elements/SoPickStyleElement.h,
	src/elements/SoDrawStyleElement.cpp,
	include/Inventor/engines/SoConvertAll.h,
	src/misc/SoOffscreenWGLData.cpp,
	src/actions/SoShapeSimplifyAction.cpp,
	include/Inventor/draggers/SoSpotLightDragger.h,
	src/threads/thread_pthread.ic,
	src/elements/SoMaterialBindingElement.cpp, src/lists/all-lists-
	cpp.cpp, src/nodes/SoBaseColor.cpp,
	include/Inventor/engines/SoConcatenate.h,
	src/details/SoCylinderDetail.cpp,
	include/Inventor/elements/SoLineWidthElement.h, src/misc/SoPath.cpp,
	src/details/SoDetail.cpp, src/vrml97/Group.cpp,
	src/actions/SoHandleEventAction.cpp,
	include/Inventor/elements/SoUnitsElement.h, src/vrml97/Shape.cpp,
	src/vrml97/MovieTexture.cpp, src/fields/SoMFVec2f.cpp,
	include/Inventor/elements/SoCacheElement.h,
	src/errors/SoMemoryError.cpp, src/elements/SoCreaseAngleElement.cpp,
	src/nodes/SoTextureCoordinatePlane.cpp,
	include/Inventor/actions/SoHandleEventAction.h,
	include/Inventor/projectors/SbSphereProjector.h,
	include/Inventor/elements/SoTextureCoordinateElement.h,
	include/Inventor/fields/SoMFVec4f.h, src/vrml97/Transform.cpp,
	src/fields/SoMFName.cpp, include/Inventor/fields/SoSFEngine.h,
	include/Inventor/elements/SoAmbientColorElement.h,
	include/Inventor/SoPrimitiveVertex.h,
	include/Inventor/engines/SoOneShot.h,
	include/Inventor/nodes/SoSubNode.h,
	include/Inventor/caches/SoGLCacheList.h,
	src/elements/SoAccumulatedElement.cpp,
	include/Inventor/elements/SoPointSizeElement.h,
	src/nodes/SoTextureCoordinateDefault.cpp,
	include/Inventor/nodes/SoNurbsProfile.h,
	include/Inventor/C/threads/rwmutex.h,
	include/Inventor/details/SoCubeDetail.h,
	include/Inventor/nodes/SoLabel.h, src/nodes/SoDirectionalLight.cpp,
	src/misc/SoPrimitiveVertex.cpp, src/details/SoPointDetail.cpp,
	include/Inventor/misc/SoGL.h, src/fields/SoSFVec3f.cpp,
	src/elements/SoElement.cpp,
	include/Inventor/manips/SoDirectionalLightManip.h,
	include/Inventor/fields/SFNodeAndEngine.tpl,
	src/draggers/SoTabBoxDragger.cpp, src/engines/SoConcatenate.cpp,
	src/draggers/SoTransformBoxDragger.cpp,
	include/Inventor/nodes/SoSwitch.h,
	include/Inventor/VRMLnodes/SoVRMLShape.h, include/Inventor/SbLine.h,
	src/base/SbDict.cpp, src/elements/SoTextureCombineElement.cpp,
	include/Inventor/manips/SoTransformerManip.h, src/vrml97/Sphere.cpp,
	include/Inventor/lists/SoEngineOutputList.h, src/io/SoByteStream.cpp,
	src/elements/SoListenerOrientationElement.cpp,
	src/nodekits/SoShapeKit.cpp, include/Inventor/nodes/SoSpotLight.h,
	src/nodes/SoListener.cpp, include/Inventor/C/glue/openal_wrapper.h,
	src/fields/all-fields-cpp.cpp,
	src/elements/SoListenerDopplerElement.cpp, src/base/memalloc.c,
	include/Inventor/misc/SoProto.h, src/shapenodes/all-shapenodes-
	cpp.cpp, include/Inventor/fields/SoSFTrigger.h,
	include/Inventor/actions/SoSearchAction.h,
	src/lists/SoActionMethodList.cpp,
	include/Inventor/VRMLnodes/SoVRMLGeometry.h,
	include/Inventor/fields/SoSFString.h,
	include/Inventor/details/SoFaceDetail.h, src/nodes/SoRotor.cpp,
	src/bundles/SoNormalBundle.cpp,
	include/Inventor/caches/SoGLRenderCache.h,
	include/Inventor/elements/SoMultiTextureEnabledElement.h,
	src/engines/SoComposeMatrix.cpp,
	src/projectors/SbSphereSheetProjector.cpp,
	include/Inventor/engines/SoEngines.h, src/engines/evaluator.c,
	src/glue/zlib.c, src/vrml97/ElevationGrid.cpp,
	include/Inventor/engines/SoSubEngineP.h, src/engines/evaluator.h,
	src/elements/SoPickStyleElement.cpp,
	src/engines/SoDecomposeVec4f.cpp,
	src/elements/GL/SoGLPointSizeElement.cpp,
	src/elements/GL/SoGLLightIdElement.cpp, src/engines/evaluator.l,
	include/Inventor/nodes/SoMultipleCopy.h,
	include/Inventor/VRMLnodes/SoVRMLViewpoint.h,
	src/misc/SoPickedPoint.cpp, include/Inventor/nodes/SoShuttle.h,
	include/Inventor/nodes/SoCamera.h,
	include/Inventor/elements/SoTextureEnabledElement.h,
	src/misc/SoGLTristripTemplate.icc, src/nodes/SoTranslation.cpp,
	src/nodes/SoOrthographicCamera.cpp,
	src/shapenodes/soshape_primdata.cpp, src/fields/SoMFUShort.cpp,
	src/engines/SoCalculator.cpp, include/Inventor/nodes/SoEnvironment.h,
	include/Inventor/misc/SoTempPath.h,
	include/Inventor/C/threads/storage.h,
	src/elements/SoComplexityTypeElement.cpp,
	src/nodekits/SoSceneKit.cpp, src/base/namemap.c,
	include/Inventor/SbBox3s.h, src/elements/GL/SoGLDrawStyleElement.cpp,
	src/threads/thread_win32.ic,
	include/Inventor/VRMLnodes/SoVRMLTouchSensor.h,
	include/Inventor/elements/SoAnnoText3RenderPrintElement.h,
	src/shapenodes/soshape_trianglesort.h,
	src/fields/SoFieldContainer.cpp, src/engines/SoEngine.cpp,
	include/Inventor/VRMLnodes/SoVRMLColorInterpolator.h,
	src/base/dynarray.cpp, src/engines/SoInterpolateFloat.cpp,
	src/draggers/SoRotateCylindricalDragger.cpp,
	include/Inventor/VRMLnodes/SoVRMLIndexedLine.h,
	include/Inventor/nodes/SoInfo.h,
	include/Inventor/nodes/SoBumpMapTransform.h,
	include/Inventor/bundles/SoBundle.h, src/misc/SoFullPath.cpp,
	src/misc/all-misc-cpp.cpp, include/Inventor/nodes/SoEventCallback.h,
	src/elements/SoMultiTextureEnabledElement.cpp,
	include/Inventor/nodes/SoLocateHighlight.h,
	include/Inventor/details/SoDetails.h, src/nodes/SoPickStyle.cpp,
	src/base/SbDPRotation.cpp, src/nodes/SoRotationXYZ.cpp,
	src/engines/SoElapsedTime.cpp, src/vrml97/Box.cpp,
	include/Inventor/elements/SoCullElement.h,
	include/Inventor/fields/SoMFPlane.h,
	include/Inventor/fields/SoMFRotation.h, src/misc/SoGL.cpp,
	include/Inventor/VRMLnodes/SoVRMLSphereSensor.h,
	src/fields/SoMFVec3f.cpp, src/shapenodes/soshape_bigtexture.h,
	include/Inventor/projectors/SbLineProjector.h,
	include/Inventor/engines/SoSubNodeEngineP.h,
	src/vrml97/IndexedLineSet.cpp,
	include/Inventor/elements/SoDecimationPercentageElement.h,
	src/base/time.c, include/Inventor/elements/SoGLNormalElement.h,
	src/fonts/all-fonts-c.c, include/Inventor/nodes/SoGroup.h,
	include/Inventor/sensors/SoOneShotSensor.h,
	src/elements/SoModelMatrixElement.cpp, src/lists/SoTypeList.cpp,
	src/nodes/SoEnvironment.cpp,
	include/Inventor/draggers/SoTabBoxDragger.h,
	include/Inventor/elements/SoGLMultiTextureMatrixElement.h,
	src/elements/GL/SoGLEnvironmentElement.cpp,
	include/Inventor/lists/SoTypeList.h, src/io/SoInput_FileInfo.cpp,
	src/fields/SoSFUShort.cpp, include/Inventor/nodes/SoQuadMesh.h,
	include/Inventor/draggers/SoDragPointDragger.h,
	include/Inventor/actions/SoToVRMLAction.h, src/threads/wpool.c,
	src/elements/GL/SoGLLazyElement.cpp,
	include/Inventor/C/errors/error.h,
	include/Inventor/elements/SoInt32Element.h,
	src/draggers/SoTransformerDragger.cpp,
	include/Inventor/nodes/SoSubNodeP.h,
	include/Inventor/annex/HardCopy/SoHardCopy.h,
	src/engines/SoInterpolateVec2f.cpp, src/engines/SoBoolOperation.cpp,
	include/Inventor/sensors/SoSensorManager.h, src/fields/SoSFVec4f.cpp,
	include/Inventor/projectors/SbCylinderSectionProjector.h,
	include/Inventor/nodes/SoProfileCoordinate3.h,
	include/Inventor/actions/SoToVRML2Action.h,
	include/Inventor/fields/SoSubField.h,
	src/elements/SoViewportRegionElement.cpp,
	src/elements/SoEmissiveColorElement.cpp,
	packaging/debian/copyright.in,
	include/Inventor/VRMLnodes/SoVRMLCollision.h,
	src/elements/GL/SoGLProjectionMatrixElement.cpp,
	include/Inventor/projectors/SbCylinderSheetProjector.h,
	src/glue/gl_agl.c, include/Inventor/C/glue/dl.h,
	src/fields/SoSFImage.cpp, include/Inventor/SbTime.h,
	src/shapenodes/SoNurbsCurve.cpp, src/engines/SoTransformVec3f.cpp,
	src/projectors/SbLineProjector.cpp,
	include/Inventor/elements/SoGLLazyElement.h,
	include/Inventor/elements/SoGLMultiTextureCoordinateElement.h,
	include/Inventor/nodes/SoNode.h,
	include/Inventor/draggers/SoHandleBoxDragger.h,
	include/Inventor/fields/SoSFRotation.h,
	src/shapenodes/SoIndexedFaceSet.cpp,
	src/shapenodes/SoNonIndexedShape.cpp,
	include/Inventor/nodes/SoLinearProfile.h,
	include/Inventor/fields/SoSFMatrix.h,
	src/elements/GL/SoGLPolygonOffsetElement.cpp,
	include/Inventor/nodes/SoNurbsCurve.h,
	src/manips/SoTransformerManip.cpp,
	include/Inventor/VRMLnodes/SoVRMLSwitch.h,
	src/nodekits/SoCameraKit.cpp, include/Inventor/fields/SoFields.h,
	include/Inventor/lists/SoFieldList.h, src/actions/SoPickAction.cpp,
	include/Inventor/nodes/SoCoordinate3.h,
	include/Inventor/fields/SoSFVec3s.h,
	src/elements/SoPickRayElement.cpp,
	include/Inventor/fields/SoSubFieldP.h,
	src/nodekits/SoSeparatorKit.cpp,
	include/Inventor/elements/SoFocalDistanceElement.h,
	include/Inventor/nodes/SoPathSwitch.h,
	include/Inventor/VRMLnodes/SoVRMLColor.h, src/misc/SoProto.cpp,
	src/base/SbOctTree.cpp, src/draggers/SoScale2Dragger.cpp,
	include/Inventor/elements/SoListenerPositionElement.h,
	src/base/SbCylinder.cpp, src/engines/SoGate.cpp,
	include/Inventor/SbName.h, src/glue/openal_wrapper.c,
	include/Inventor/projectors/SbPlaneProjector.h,
	include/Inventor/C/threads/syncp.h,
	include/Inventor/nodekits/SoInteractionKit.h,
	include/Inventor/VRMLnodes/SoVRMLOrientationInterpolator.h,
	include/Inventor/C/glue/win32api.h, include/Inventor/SoPickedPoint.h,
	include/Inventor/VRMLnodes/SoVRMLAppearance.h,
	src/nodes/SoTransformation.cpp,
	src/actions/SoGetPrimitiveCountAction.cpp,
	src/shapenodes/SoSphere.cpp, include/Inventor/C/glue/zlib.h,
	include/Inventor/actions/SoBoxHighlightRenderAction.h,
	include/Inventor/sensors/SoPathSensor.h,
	include/Inventor/sensors/SoAlarmSensor.h,
	include/Inventor/manips/SoClipPlaneManip.h,
	include/Inventor/engines/SoComposeVec2f.h,
	src/actions/SoCallbackAction.cpp, include/Inventor/C/glue/gl_wgl.h,
	src/vrml97/Material.cpp, include/Inventor/fields/SoField.h,
	src/nodes/SoMultipleCopy.cpp,
	include/Inventor/engines/SoTransformVec3f.h,
	include/Inventor/SbCylinder.h,
	include/Inventor/elements/SoLightElement.h,
	src/engines/SoComputeBoundingBox.cpp,
	src/elements/SoMultiTextureImageElement.cpp,
	include/Inventor/nodes/SoAntiSquish.h,
	include/Inventor/actions/SoGetMatrixAction.h,
	include/Inventor/engines/SoTriggerAny.h,
	include/Inventor/fields/SoSFVec3d.h, include/Inventor/SbBox3f.h,
	src/sensors/SoFieldSensor.cpp,
	include/Inventor/VRMLnodes/SoVRMLGroup.h,
	include/Inventor/nodes/SoBumpMap.h, src/io/gzmemio.h,
	include/Inventor/engines/SoInterpolate.h,
	src/misc/SoProtoInstance.cpp, include/Inventor/nodes/SoNodes.h,
	include/Inventor/VRMLnodes/SoVRMLDragSensor.h, src/vrml97/Normal.cpp,
	include/Inventor/nodes/SoIndexedFaceSet.h,
	src/events/SoMouseButtonEvent.cpp,
	include/Inventor/fields/SoMFPath.h,
	include/Inventor/nodekits/SoAppearanceKit.h,
	include/Inventor/elements/SoListenerOrientationElement.h,
	src/io/SoInput_Reader.h, src/projectors/SbCylinderPlaneProjector.cpp,
	include/Inventor/nodes/SoTexture3.h, src/fields/SoMFVec4f.cpp,
	include/Inventor/C/threads/mutexp.h, src/vrml97/Init.cpp,
	include/Inventor/fields/SoMFEngine.h,
	src/nodes/SoTransformSeparator.cpp, src/elements/SoLazyElement.cpp,
	src/nodes/SoTextureCoordinateEnvironment.cpp,
	src/upgraders/SoUpgrader.cpp, src/events/SoKeyboardEvent.cpp,
	include/Inventor/nodes/SoTextureCoordinate3.h,
	include/Inventor/engines/SoComposeRotationFromTo.h,
	include/Inventor/details/SoNodeKitDetail.h,
	include/Inventor/VRMLnodes/SoVRMLTextureTransform.h,
	include/Inventor/draggers/SoTranslate1Dragger.h,
	include/Inventor/elements/SoViewportRegionElement.h,
	include/Inventor/misc/SoAudioDevice.h, src/nodekits/all-nodekits-
	cpp.cpp, src/base/heap.c, src/base/SbDPMatrix.cpp,
	include/Inventor/C/base/time.h,
	include/Inventor/actions/SoCallbackAction.h,
	src/events/SoLocation2Event.cpp, src/tidbits.c,
	src/actions/SoReorganizeAction.cpp,
	include/Inventor/misc/SoAuditorList.h,
	src/engines/SoInterpolateVec3f.cpp, include/SoWinLeaveScope.h,
	include/Inventor/elements/SoGLProjectionMatrixElement.h,
	include/Inventor/draggers/SoTabPlaneDragger.h,
	src/misc/SoGenerate.cpp, include/Inventor/fields/SoSFNode.h,
	src/shapenodes/SoShape.cpp, include/Inventor/VRMLnodes/SoVRMLFog.h,
	src/manips/SoTabBoxManip.cpp, src/shapenodes/soshape_bigtexture.cpp,
	include/Inventor/sensors/SoDataSensor.h,
	include/Inventor/fields/SoMFString.h, include/Inventor/SbHeap.h,
	src/misc/SoBase.cpp, src/errors/debugerror.c, src/misc/SoType.cpp,
	include/Inventor/elements/SoLinePatternElement.h,
	include/Inventor/draggers/SoDirectionalLightDragger.h,
	src/engines/so_eval.ic, src/draggers/SoRotateDiscDragger.cpp,
	src/elements/SoLightElement.cpp, src/elements/SoFontNameElement.cpp,
	include/Inventor/system/gl.h.in, src/vrml97/Texture.cpp,
	src/elements/SoTextureQualityElement.cpp, src/nodes/SoCamera.cpp,
	src/elements/GL/all-glelements-cpp.cpp,
	include/Inventor/fields/SoSFTime.h,
	include/Inventor/VRMLnodes/SoVRMLMacros.h, src/engines/all-
	engines-c.c, src/elements/SoOverrideElement.cpp,
	include/Inventor/nodekits/SoNodeKitListPart.h,
	include/Inventor/nodes/SoPendulum.h, include/Inventor/SbColor.h,
	src/sensors/SoTimerSensor.cpp,
	include/Inventor/VRMLnodes/SoVRMLSound.h, src/vrml97/Sensor.cpp,
	include/Inventor/elements/SoDrawStyleElement.h,
	include/Inventor/elements/SoElement.h,
	include/Inventor/fields/SoSFVec3f.h,
	include/Inventor/nodes/SoTranslation.h, src/base/SbName.cpp,
	src/elements/GL/SoGLTextureImageElement.cpp,
	include/Inventor/SbDPMatrix.h, src/misc/SoDB.cpp,
	include/Inventor/C/threads/fifop.h,
	src/elements/GL/SoGLCacheContextElement.cpp,
	src/shapenodes/SoMarkerSet.cpp,
	include/Inventor/VRMLnodes/SoVRMLNodes.h,
	src/nodes/SoNormalBinding.cpp, include/Inventor/misc/SoTranscribe.h,
	include/Inventor/VRMLnodes/SoVRMLSpotLight.h,
	include/Inventor/elements/SoSwitchElement.h, src/glue/gl.c,
	src/events/SoMotion3Event.cpp,
	include/Inventor/elements/SoTextureImageElement.h,
	include/Inventor/nodes/SoNormalBinding.h,
	include/Inventor/C/base/rbptree.h,
	include/Inventor/bundles/SoTextureCoordinateBundle.h,
	src/fields/SoSFEnum.cpp, include/Inventor/SoInput.h,
	include/Inventor/manips/SoTransformBoxManip.h,
	include/Inventor/misc/SbHash.h,
	include/Inventor/errors/SoReadError.h,
	src/elements/SoShapeStyleElement.cpp, src/misc/SoChildList.cpp,
	include/Inventor/draggers/SoRotateCylindricalDragger.h,
	src/glue/normalization_cubemap.c, src/io/SoTranSender.cpp,
	src/vrml97/LOD.cpp,
	include/Inventor/projectors/SbSpherePlaneProjector.h,
	include/Inventor/misc/SoBasic.h,
	include/Inventor/elements/SoBumpMapMatrixElement.h,
	include/Inventor/elements/SoNormalElement.h,
	src/fields/SoFieldData.cpp,
	include/Inventor/elements/SoGLRenderPassElement.h,
	include/Inventor/fields/SoSFName.h, src/events/SoEvent.cpp,
	src/elements/SoTextOutlineEnabledElement.cpp,
	include/Inventor/manips/SoHandleBoxManip.h,
	include/Inventor/C/threads/schedp.h, src/vrml97/FontStyle.cpp,
	src/vrml97/TimeSensor.cpp,
	src/elements/SoProjectionMatrixElement.cpp,
	src/manips/SoCenterballManip.cpp,
	include/Inventor/elements/SoViewingMatrixElement.h,
	include/Inventor/fields/SoSFULong.h,
	include/Inventor/engines/SoComposeVec4f.h,
	src/elements/SoDecimationPercentageElement.cpp,
	src/engines/SoFieldConverter.cpp, src/threads/rwmutex.c,
	include/Inventor/elements/SoGLLineWidthElement.h,
	include/Inventor/draggers/SoScale1Dragger.h,
	src/draggers/SoTranslate2Dragger.cpp, src/sensors/all-sensors-
	cpp.cpp, src/engines/SoInterpolate.cpp,
	include/Inventor/nodes/SoIndexedShape.h, src/vrml97/SphereSensor.cpp,
	include/Inventor/nodes/SoExtSelection.h, include/Inventor/SbPList.h,
	src/lists/SbVec3fList.cpp, src/nodes/SoDrawStyle.cpp,
	include/Inventor/C/base/memalloc.h,
	include/Inventor/nodekits/SoSceneKit.h, templates/Copyright.tpl,
	include/Inventor/C/glue/gl_glx.h,
	include/Inventor/elements/SoAnnoText3CharOrientElement.h,
	src/shapenodes/SoText2.cpp, src/vrml97/PixelTexture.cpp,
	include/Inventor/nodes/SoSelection.h,
	include/Inventor/elements/SoGLPointSizeElement.h,
	src/fields/SoSFTrigger.cpp,
	include/Inventor/VRMLnodes/SoVRMLVertexLine.h,
	src/engines/SoInterpolateVec4f.cpp, src/io/SoOutput_Writer.h,
	src/engines/SoSelectOne.cpp, src/elements/SoNormalBindingElement.cpp,
	include/Inventor/C/threads/condvar.h, examples/bindings/glxiv.cpp,
	src/elements/SoBumpMapMatrixElement.cpp,
	include/Inventor/C/base/heap.h, src/elements/SoLightModelElement.cpp,
	src/threads/condvar_win32.ic,
	include/Inventor/elements/SoSubElement.h,
	include/Inventor/SbRotation.h, src/manips/SoSpotLightManip.cpp,
	src/elements/SoFloatElement.cpp,
	include/Inventor/caches/SoBoundingBoxCache.h,
	src/fields/SoSFTime.cpp, include/Inventor/VRMLnodes/SoVRML.h,
	include/Inventor/C/glue/dlp.h,
	include/Inventor/elements/SoFloatElement.h,
	src/misc/SoGLFaceSetTemplate.icc,
	include/Inventor/fields/SoMFMatrix.h,
	include/Inventor/nodes/SoBlinker.h,
	include/Inventor/engines/SoInterpolateRotation.h,
	src/elements/GL/SoGLTexture3EnabledElement.cpp,
	src/shapenodes/SoImage.cpp, include/Inventor/SbSphere.h,
	include/Inventor/SbBox.h, src/actions/SoToVRMLAction.cpp,
	src/base/SbDPViewVolume.cpp,
	src/elements/SoTextureOverrideElement.cpp,
	src/nodes/SoTexture2Transform.cpp, src/elements/SoBumpMapElement.cpp,
	include/Inventor/misc/SoCallbackList.h,
	src/elements/SoTextureCoordinateBindingElement.cpp,
	include/Inventor/threads/SbThread.h,
	include/Inventor/elements/SoGLTextureEnabledElement.h,
	src/threads/storage.c, src/elements/SoListenerPositionElement.cpp,
	src/shapenodes/SoCylinder.cpp,
	include/Inventor/elements/SoGLTextureMatrixElement.h,
	src/elements/SoAmbientColorElement.cpp, include/Inventor/SbVec2s.h,
	src/vrml97/TouchSensor.cpp,
	src/elements/GL/SoGLTextureCoordinateElement.cpp,
	include/Inventor/elements/SoTextureScalePolicyElement.h,
	src/io/SoInput_FileInfo.h,
	include/Inventor/VRMLnodes/SoVRMLNavigationInfo.h,
	src/manips/SoPointLightManip.cpp, src/nodes/SoAntiSquish.cpp,
	include/Inventor/actions/SoActions.h, src/glue/flwwin32.c,
	include/Inventor/VRMLnodes/SoVRMLCoordinate.h,
	src/lists/SbIntList.cpp, include/Inventor/nodes/SoCallback.h,
	include/Inventor/C/glue/GLUWrapper.h,
	src/elements/SoListenerGainElement.cpp,
	src/nodes/SoTextureCoordinateBinding.cpp, src/shapenodes/SoCone.cpp,
	include/Inventor/draggers/SoTranslate2Dragger.h,
	include/Inventor/misc/SoByteStream.h,
	include/Inventor/C/threads/wpool.h,
	include/Inventor/nodes/SoTextureCoordinateBinding.h,
	src/elements/GL/SoGLShapeHintsElement.cpp,
	src/elements/GL/SoGLColorIndexElement.cpp,
	src/nodes/SoAnnotation.cpp, include/Inventor/nodes/SoClipPlane.h,
	include/Inventor/threads/SbStorage.h,
	include/Inventor/nodes/SoBaseColor.h,
	src/vrml97/NormalInterpolator.cpp,
	include/Inventor/nodes/SoTextureCoordinateFunction.h,
	include/Inventor/SbVec2d.h, src/events/all-events-cpp.cpp,
	src/nodes/SoSelection.cpp, src/fields/SoMFString.cpp,
	src/elements/GL/SoGLModelMatrixElement.cpp,
	include/Inventor/SbColor4f.h, src/io/SoTranReceiver.cpp,
	src/shapenodes/SoText3.cpp, include/Inventor/lists/SoDetailList.h,
	include/Inventor/elements/SoGLLightIdElement.h,
	include/Inventor/fields/SoMFEnum.h, src/nodes/SoProfile.cpp,
	include/Inventor/engines/SoBoolOperation.h,
	src/actions/SoLineHighlightRenderAction.cpp,
	src/fields/SoMFUInt32.cpp,
	src/draggers/SoDirectionalLightDragger.cpp,
	include/Inventor/nodes/SoIndexedLineSet.h:

	copyright headers

2004-03-09 11:08:47  Rev 7824   kintel

	* src/glue/dl.c:

	Don't look in /usr/local/lib by default

2004-03-09 00:32:12  Rev 7823   larsa

	* ChangeLog:

	Automatic ChangeLog generation

2004-03-08 13:33:57  Rev 7822   larsa

	* examples/bindings/CoinQtWidget.cpp, examples/bindings/CoinQtWidget.h:

	simple Qt-binding

2004-03-08 11:09:53  Rev 7821   handegar

	* src/shapenodes/SoText2.cpp:

	Fixed bbox issue for empty strings.

2004-03-06 00:31:44  Rev 7820   larsa

	* ChangeLog:

	Automatic ChangeLog generation

2004-03-05 15:32:45  Rev 7819   larsa

	* TODO-2.3:

	item

2004-03-05 15:28:34  Rev 7818   larsa

	* aclocal.m4, configure, cfg/ltmain.sh:

	bootstrap with patched libtool 1.5

2004-03-05 14:29:15  Rev 7817   pederb

	* src/glue/zlib.c, src/io/gzmemio.c, src/io/gzmemio.h:

	Fixed ugly bug when reading from compressed zlib buffers. Bug reported by
	kintel.

2004-03-05 13:46:52  Rev 7816   pederb

	* aclocal.m4, configure:

	_spiltpath detect fix.

2004-03-05 11:03:51  Rev 7815   thammer

	* BUGS.txt:

	One more problem related to the "multiple coins" warning.

2004-03-05 10:11:08  Rev 7814   larsa

	* aclocal.m4, configure, cfg/ltmain.sh:

	bootstrap

2004-03-05 10:10:57  Rev 7813   larsa

	* TODO-2.2, TODO-2.3:

	rename

2004-03-05 10:09:41  Rev 7812   larsa

	* configure.ac:

	more strict function availability tests

2004-03-05 00:31:28  Rev 7811   larsa

	* ChangeLog:

	Automatic ChangeLog generation

2004-03-04 16:02:22  Rev 7810   pederb

	* aclocal.m4, configure:

	bootstrap.

2004-03-04 15:18:57  Rev 7809   larsa

	* include/Inventor/caches/Makefile.in,
	include/Inventor/lock/Makefile.in,
	include/Inventor/engines/Makefile.in, src/3ds/Makefile.in,
	include/Inventor/projectors/Makefile.in, src/misc/Makefile.in,
	include/Inventor/collision/Makefile.in,
	include/Inventor/C/errors/Makefile.in, src/vrml97/Makefile.in,
	include/Inventor/actions/Makefile.in,
	include/Inventor/events/Makefile.in, aclocal.m4,
	include/Inventor/fields/Makefile.in, src/io/Makefile.in, configure,
	src/hardcopy/Makefile.in, src/errors/Makefile.in,
	src/elements/Makefile.in, src/nodekits/Makefile.in,
	include/Inventor/C/Makefile.in, src/caches/Makefile.in,
	include/Inventor/manips/Makefile.in, src/engines/Makefile.in,
	include/Inventor/threads/Makefile.in, src/projectors/Makefile.in,
	src/collision/Makefile.in, include/Inventor/sensors/Makefile.in,
	include/Inventor/lists/Makefile.in, src/actions/Makefile.in,
	src/events/Makefile.in, src/fields/Makefile.in,
	include/Inventor/nodes/Makefile.in, html/Makefile.in,
	include/Inventor/C/glue/Makefile.in, src/elements/GL/Makefile.in,
	data/Makefile.in, include/Inventor/system/Makefile.in,
	man/Makefile.in, include/Inventor/details/Makefile.in,
	data/draggerDefaults/Makefile.in, src/manips/Makefile.in,
	src/fonts/Makefile.in, src/threads/Makefile.in,
	src/upgraders/Makefile.in, src/sensors/Makefile.in,
	include/Inventor/bundles/Makefile.in,
	include/Inventor/C/base/Makefile.in, include/Makefile.in,
	src/glue/Makefile.in, include/Inventor/draggers/Makefile.in,
	src/lists/Makefile.in, include/Inventor/Makefile.in,
	src/nodes/Makefile.in, include/Inventor/annex/Makefile.in,
	Makefile.in, src/base/Makefile.in,
	include/Inventor/annex/HardCopy/Makefile.in, src/details/Makefile.in,
	src/shapenodes/Makefile.in, include/Inventor/misc/Makefile.in,
	src/bundles/Makefile.in, src/draggers/Makefile.in,
	src/extensions/Makefile.in, src/Makefile.in,
	include/Inventor/VRMLnodes/Makefile.in,
	include/Inventor/C/threads/Makefile.in,
	include/Inventor/elements/Makefile.in,
	include/Inventor/errors/Makefile.in, man/man1/Makefile.in,
	include/Inventor/nodekits/Makefile.in, cfg/errors.txt,
	bin/Makefile.in, man/man3/Makefile.in:

	bootstrap

2004-03-04 15:18:13  Rev 7808   larsa

	* configure.ac:

	sync with Coin-2 modifications

2004-03-04 11:34:09  Rev 7807   pederb

	* src/glue/zlib.c, src/glue/bzip2.c:

	Fixed crash-bug when attempting to load bzip2 or gzip file with missing
	libbz2.so or libzlib.so.

2004-03-04 10:41:41  Rev 7806   thammer

	* BUGS.txt:

	Added note about incorrect warning for multiple instances of Coin

2004-03-04 10:15:48  Rev 7805   handegar

	* src/shapenodes/soshape_bumprender.cpp:

	Added a newline to first line in fragment program. Some drivers might need
	this.

2004-03-04 00:31:17  Rev 7804   larsa

	* ChangeLog:

	Automatic ChangeLog generation

2004-03-03 16:01:19  Rev 7803   pederb

	* src/fields/SoField.cpp:

	Fixed bug when reading a field connection without a default value. Bug
	reported by Sebastian Paul.

2004-03-02 00:31:02  Rev 7802   larsa

	* ChangeLog:

	Automatic ChangeLog generation

2004-03-01 10:33:33  Rev 7801   pederb

	* include/Inventor/SbBSPTree.h, src/base/SbBSPTree.cpp:

	New functions to work around CRT problems.

2004-02-28 00:37:00  Rev 7800   larsa

	* ChangeLog:

	Automatic ChangeLog generation

2004-02-27 11:35:58  Rev 7799   pederb

	* src/nodes/SoBumpMap.cpp:

	Doc.

2004-02-27 10:52:58  Rev 7798   pederb

	* BUGS.txt:

	New bug.

2004-02-27 10:48:58  Rev 7797   pederb

	* src/elements/GL/SoGLCacheContextElement.cpp:

	Doc. fix.

2004-02-27 10:40:04  Rev 7796   larsa

	* src/glue/gl.c:

	warn only once about indirect rendering

2004-02-27 10:29:08  Rev 7795   pederb

	* src/caches/SoPrimitiveVertexCache.cpp:

	Vertex Buffer Object cleanup.

2004-02-27 09:29:07  Rev 7794   pederb

	* src/shapenodes/SoText3.cpp:

	Bugfix for SoGetPrimitiveCountAction.

2004-02-27 00:37:09  Rev 7793   larsa

	* ChangeLog:

	Automatic ChangeLog generation

2004-02-26 17:02:40  Rev 7792   pederb

	* src/elements/GL/SoGLCacheContextElement.cpp,
	include/Inventor/elements/SoGLCacheContextElement.h:

	New function scheduleDeleteCallback().

2004-02-26 13:17:03  Rev 7791   pederb

	* src/glue/gl_glx.c, src/glue/gl_agl.c:

	Fix for alpha channel for software offscreen renderer.

2004-02-26 12:23:22  Rev 7790   pederb

	* src/glue/gl_wgl.c:

	Alpha channel also for software offscreen buffers.

2004-02-26 09:52:39  Rev 7789   handegar

	* src/actions/SoGLRenderAction.cpp:

	Minor doc fix. Added '\n's to fragment program for better debugging.

2004-02-26 00:36:49  Rev 7788   larsa

	* ChangeLog:

	Automatic ChangeLog generation

2004-02-25 16:31:29  Rev 7787   kyrah

	* src/nodes/SoFont.cpp:

	Comment: On Mac OS X, freetype 2.1.7 is required.

2004-02-25 15:09:00  Rev 7786   larsa

	* src/nodes/SoFont.cpp:

	doc update

2004-02-25 12:02:11  Rev 7785   kintel

	* RELEASE.txt:

	Mac OS X update

2004-02-25 01:42:46  Rev 7784   kintel

	* README.MACOSX:

	General updates; fix broken links, add 10.3 (Panther) information

2004-02-25 00:36:42  Rev 7783   larsa

	* ChangeLog:

	Automatic ChangeLog generation

2004-02-24 22:17:38  Rev 7782   kintel

	* packaging/macosx/inst-README-Jaguar.txt.in, packaging/macosx/inst-
	README-.txt.in, packaging/macosx/inst-README-Panther.txt.in:

	Added note about CoinTools

2004-02-24 20:33:33  Rev 7781   kintel

	* packaging/macosx/noinst-dmg-files/.DS_Store, packaging/macosx/inst-
	dmg-files/.DS_Store:

	Updated icon placement

2004-02-24 19:56:28  Rev 7780   kintel

	* packaging/macosx/noinst-README-Jaguar.txt.in, packaging/macosx/inst-
	README-Jaguar.txt.in, packaging/macosx/noinst-README-.txt.in,
	packaging/macosx/noinst-README-Panther.txt.in, packaging/macosx/inst-
	README-.txt.in, packaging/macosx/inst-README-Panther.txt.in:

	Cosmetics

2004-02-24 19:56:07  Rev 7779   kintel

	* packaging/macosx/makeinstdmg.sh.in:

	Moved CoinTools.pkg to root

2004-02-24 16:31:04  Rev 7778   kintel

	* packaging/macosx/makeinstdmg.sh.in, Makefile.am:

	Removed uninstall-coin.pl

2004-02-24 16:25:34  Rev 7777   kintel

	* packaging/macosx/uninstall-coin.pl:

	removed unused file

2004-02-24 14:43:18  Rev 7776   pederb

	* src/caches/SoPrimitiveVertexCache.cpp:

	Make it possible to enable VBO rendering using COIN_ENABLE_VBO.

2004-02-24 13:54:11  Rev 7775   pederb

	* src/caches/SoPrimitiveVertexCache.cpp:

	Also put indices in a VBO.

2004-02-24 11:29:05  Rev 7774   pederb

	* src/caches/SoPrimitiveVertexCache.cpp:

	Support for VBO rendering.

2004-02-24 01:43:57  Rev 7773   larsa

	* ChangeLog:

	Automatic ChangeLog generation

2004-02-24 01:39:58  Rev 7772   kintel

	* Makefile.am:

	Add macosx version specific README files

2004-02-24 01:39:28  Rev 7771   kintel

	* configure.ac:

	Detect MACOSX name

2004-02-24 01:36:10  Rev 7770   kintel

	* packaging/macosx/noinst-README-Jaguar.txt.in, packaging/macosx/noinst-
	dmg-files/.DS_Store, packaging/macosx/README.txt.in,
	packaging/macosx/makeinstdmg.sh.in, packaging/macosx/inst-README-
	Jaguar.txt.in, packaging/macosx/inst-dmg-files/.DS_Store,
	packaging/macosx/noinst-README-.txt.in, packaging/macosx/noinst-
	README-Panther.txt.in, packaging/macosx/inst-README-.txt.in,
	packaging/macosx/inst-README-Panther.txt.in,
	packaging/macosx/makenoinstdmg.sh.in:

	README fixes (Panther/Jaguar versions)

2004-02-24 00:07:44  Rev 7769   kintel

	* include/Inventor/caches/Makefile.in,
	include/Inventor/lock/Makefile.in,
	include/Inventor/engines/Makefile.in, src/3ds/Makefile.in,
	include/Inventor/projectors/Makefile.in,
	include/Inventor/collision/Makefile.in, src/misc/Makefile.in,
	include/Inventor/C/errors/Makefile.in, src/vrml97/Makefile.in,
	include/Inventor/actions/Makefile.in,
	include/Inventor/events/Makefile.in,
	include/Inventor/fields/Makefile.in, src/io/Makefile.in, configure,
	src/hardcopy/Makefile.in, src/errors/Makefile.in,
	src/elements/Makefile.in, src/nodekits/Makefile.in,
	include/Inventor/C/Makefile.in, src/caches/Makefile.in,
	include/Inventor/manips/Makefile.in, src/engines/Makefile.in,
	include/Inventor/threads/Makefile.in, src/projectors/Makefile.in,
	src/collision/Makefile.in, include/Inventor/sensors/Makefile.in,
	include/Inventor/lists/Makefile.in, src/actions/Makefile.in,
	src/events/Makefile.in, src/fields/Makefile.in,
	include/Inventor/nodes/Makefile.in, html/Makefile.in,
	include/Inventor/C/glue/Makefile.in, src/elements/GL/Makefile.in,
	data/Makefile.in, include/Inventor/system/Makefile.in,
	man/Makefile.in, include/Inventor/details/Makefile.in,
	data/draggerDefaults/Makefile.in, src/manips/Makefile.in,
	src/fonts/Makefile.in, src/threads/Makefile.in,
	src/upgraders/Makefile.in, src/sensors/Makefile.in,
	include/Inventor/bundles/Makefile.in,
	include/Inventor/C/base/Makefile.in, include/Makefile.in,
	src/glue/Makefile.in, include/Inventor/draggers/Makefile.in,
	src/lists/Makefile.in, include/Inventor/Makefile.in,
	src/nodes/Makefile.in, Makefile.in,
	include/Inventor/annex/Makefile.in, src/base/Makefile.in,
	include/Inventor/annex/HardCopy/Makefile.in, src/details/Makefile.in,
	src/shapenodes/Makefile.in, include/Inventor/misc/Makefile.in,
	src/bundles/Makefile.in, src/draggers/Makefile.in,
	src/extensions/Makefile.in, src/Makefile.in,
	include/Inventor/VRMLnodes/Makefile.in,
	include/Inventor/C/threads/Makefile.in,
	include/Inventor/elements/Makefile.in,
	include/Inventor/errors/Makefile.in, man/man1/Makefile.in,
	include/Inventor/nodekits/Makefile.in, bin/Makefile.in,
	man/man3/Makefile.in:

	bootstrap

2004-02-23 19:09:49  Rev 7768   kintel

	* packaging/macosx/checklist.txt:

	Specify correct versions

2004-02-23 16:05:47  Rev 7767   pederb

	* src/io/SoInput_FileInfo.cpp:

	Fix for future memleak.

2004-02-23 16:04:27  Rev 7766   pederb

	* src/threads/worker.c:

	Fix for recently introduces bug.

2004-02-23 15:27:42  Rev 7765   pederb

	* src/io/SoInput.cpp, src/io/SoInput_FileInfo.h,
	src/io/SoInput_FileInfo.cpp:

	Optimized file parsing (~50% faster).

2004-02-23 13:04:39  Rev 7764   pederb

	* include/Inventor/C/threads/workerp.h, src/threads/worker.c:

	Rewrote start_thread code a bit to eliminate a bug.

2004-02-21 01:44:30  Rev 7763   larsa

	* ChangeLog:

	Automatic ChangeLog generation

2004-02-20 17:27:28  Rev 7762   pederb

	* src/shapenodes/SoShape.cpp:

	Turn off auto-caching when rendering vertex arrays.

2004-02-20 17:17:41  Rev 7761   pederb

	* src/shapenodes/SoShape.cpp:

	Vertex array fix.

2004-02-20 12:02:06  Rev 7760   mortene

	* src/shapenodes/SoShape.cpp:

	A bit more verbose on a code comment.

2004-02-20 11:57:11  Rev 7759   pederb

	* src/shapenodes/SoShape.cpp:

	Only use vertex array rendering for built in shapes.

2004-02-20 11:46:18  Rev 7758   pederb

	* src/shapenodes/SoShape.cpp:

	Improved the logic for vertex array rendering a bit.

2004-02-20 11:11:46  Rev 7757   mortene

	* BUGS.txt:

	New item.

2004-02-19 14:18:13  Rev 7756   pederb

	* src/shapenodes/SoShape.cpp:

	Fixes to handle some VRML97 nodes with vertex array rendering.

2004-02-19 13:45:28  Rev 7755   thammer

	* src/misc/SoDB.cpp:

	Bugfix and improved error message

2004-02-19 13:26:18  Rev 7754   pederb

	* src/shapenodes/SoShape.cpp:

	Make it possible to enable vertex array rendering using
	COIN_USE_GL_VERTEX_ARRAYS.

2004-02-19 13:23:34  Rev 7753   pederb

	* include/Inventor/caches/SoPrimitiveVertexCache.h,
	src/caches/SoPrimitiveVertexCache.cpp:

	Support point and line rendering. Added fit() function.

2004-02-19 11:26:57  Rev 7752   pederb

	* include/Inventor/caches/SoPrimitiveVertexCache.h:

	Compile fix

2004-02-19 10:48:35  Rev 7751   pederb

	* include/Inventor/caches/SoPrimitiveVertexCache.h,
	src/shapenodes/soshape_bumprender.cpp,
	src/caches/SoPrimitiveVertexCache.cpp:

	Reorganized the code a bit. Added methods to render in SoPrimitiveVertexCache.

2004-02-19 01:44:01  Rev 7750   larsa

	* ChangeLog:

	Automatic ChangeLog generation

2004-02-18 20:08:12  Rev 7749   larsa

	* BUGS.txt:

	SoQt/Coin wishlist item

2004-02-18 18:03:20  Rev 7748   kintel

	* packaging/macosx/Makefile.in:

	Rewrote to use DESTDIR when installing

2004-02-18 18:01:09  Rev 7747   kintel

	* packaging/macosx/coin.info.template.in:

	README.MAC -> README.MACOSX

2004-02-18 14:37:19  Rev 7746   pederb

	* src/fields/SoSFUInt32.cpp, src/fields/SoMFBool.cpp,
	src/fields/SoMFTime.cpp, src/fields/SoMFInt32.cpp,
	src/fields/SoSFBool.cpp, src/fields/SoSFTime.cpp,
	src/fields/SoMFMatrix.cpp, src/fields/SoSFRotation.cpp,
	src/fields/SoSFPlane.cpp, src/fields/SoSFInt32.cpp,
	src/fields/SoSFMatrix.cpp, src/fields/SoSFImage3.cpp,
	src/fields/SoSFVec3f.cpp, src/io/SoInput.cpp,
	src/fields/SoMFColor.cpp, src/fields/SoMFUShort.cpp,
	src/fields/SoSFColor.cpp, src/fields/SoSFVec3s.cpp,
	src/fields/SoMFBitMask.cpp, src/fields/SoSFUShort.cpp,
	src/fields/SoMFShort.cpp, src/fields/SoSFBitMask.cpp,
	src/fields/SoMFEnum.cpp, src/fields/SoMFVec2f.cpp,
	src/fields/SoMFFloat.cpp, src/fields/SoSFShort.cpp,
	src/fields/SoMFString.cpp, src/fields/SoMFVec4f.cpp,
	src/fields/SoSFEnum.cpp, src/fields/SoSFVec2f.cpp,
	src/fields/SoSFFloat.cpp, src/fields/SoSFString.cpp,
	src/fields/SoSFVec4f.cpp, src/fields/SoMFName.cpp,
	src/fields/SoMFUInt32.cpp, src/fields/SoSFName.cpp,
	src/fields/SoSFImage.cpp, src/fields/SoSFVec2s.cpp:

	Optimized file parsing.

2004-02-18 10:27:39  Rev 7745   pederb

	* src/fields/SoSFInt32.cpp:

	Remove bugus read error message.

2004-02-18 10:06:10  Rev 7744   larsa

	* src/nodes/SoEventCallback.cpp, THANKS:

	bugfix by Andreas Erz

2004-02-18 01:43:51  Rev 7743   larsa

	* ChangeLog:

	Automatic ChangeLog generation

2004-02-17 17:08:53  Rev 7742   pederb

	* src/fields/SoMFVec3f.cpp:

	Optimized SoMFVec3f::read1Value().

2004-02-17 14:36:56  Rev 7741   larsa

	* include/Inventor/C/glue/freetype.h,
	include/Inventor/C/threads/schedp.h,
	include/Inventor/C/threads/threadp.h,
	include/Inventor/C/threads/condvarp.h,
	include/Inventor/C/base/heapp.h, include/Inventor/C/threads/mutexp.h,
	include/Inventor/C/base/hash.h:

	don't include headers inside extern C scope

2004-02-17 14:26:13  Rev 7740   pederb

	* src/base/SbVec3f.cpp, src/base/SbVec4f.cpp, src/base/SbVec2d.cpp,
	src/base/SbVec3d.cpp, src/base/SbVec2f.cpp, src/base/SbVec4d.cpp:

	Better doc. for equals(). Problem reported by PC John

2004-02-17 12:23:26  Rev 7739   pederb

	* src/fields/SoField.cpp, src/engines/SoEngine.cpp,
	src/engines/SoEngineOutput.cpp, include/Inventor/engines/SoEngine.h:

	Handle field value when reading fields connected to an engine. Also fixes
	problem with field convertes not being marked as dirty when constructed. Bugs
	reported by Gerhard Reitmayr.

2004-02-17 09:37:13  Rev 7738   pederb

	* src/nodekits/SoBaseKit.cpp:

	Correct fix for SoBaseKit::getMatrix().

2004-02-17 07:47:28  Rev 7737   mortene

	* src/nodekits/SoBaseKit.cpp:

	Bugfix or tmp workaround for problem with SoGetMatrixAction sometimes not
	traversing into nodekits. Someone else needs to review the validity of this.

2004-02-17 01:43:37  Rev 7736   larsa

	* ChangeLog:

	Automatic ChangeLog generation

2004-02-17 00:33:38  Rev 7735   mortene

	* src/nodes/SoMatrixTransform.cpp:

	FIXME note about potential bug.

2004-02-16 16:30:05  Rev 7734   handegar

	* include/Inventor/C/glue/gl.h, src/glue/gl.c:

	Added public methods for the fragment and vertex program OGL-extension.

2004-02-16 11:45:21  Rev 7733   pederb

	* src/engines/SoTimeCounter.cpp:

	Handle negative step values. Bug reported by Gerhard Reitmayr.

2004-02-16 11:30:29  Rev 7732   pederb

	* src/engines/SoCounter.cpp:

	Handle negative step values. Bug reported by  Gerhard Reitmayr.

2004-02-16 11:17:41  Rev 7731   pederb

	* src/shapenodes/SoAsciiText.cpp:

	Bugfix for SoGetPrimitiveCountAction.

2004-02-16 10:19:56  Rev 7730   pederb

	* src/shapenodes/SoText3.cpp:

	Bugfix for SoGetPrimitiveCountAction.

2004-02-14 01:43:24  Rev 7729   larsa

	* ChangeLog:

	Automatic ChangeLog generation

2004-02-13 14:41:23  Rev 7728   pederb

	* src/vrml97/Extrusion.cpp:

	Bumpmap bugfix.

2004-02-13 14:19:55  Rev 7727   pederb

	* THANKS:

	Add Skjaeldal.

2004-02-13 13:36:33  Rev 7726   pederb

	* src/vrml97/Extrusion.cpp:

	Bugfix

2004-02-13 01:43:30  Rev 7725   larsa

	* ChangeLog:

	Automatic ChangeLog generation

2004-02-12 17:02:03  Rev 7724   pederb

	* include/Inventor/SbViewVolume.h, src/base/SbViewVolume.cpp:

	Implement some missing (public INTERNAL in SGI Inventor) functions.

2004-02-12 14:45:24  Rev 7723   pederb

	* src/nodekits/SoNodeKitListPart.cpp:

	Fix for incorrect notification. Reported by Gerhard Reitmayr.

2004-02-12 13:12:51  Rev 7722   pederb

	* src/sensors/SoDataSensor.cpp:

	Fix memory leak. Avoid using SoSearchAction to find data sensor path.

2004-02-12 09:06:27  Rev 7721   pederb

	* include/Inventor/nodes/SoBumpMap.h:

	Remove unimplemented function. Reported by Tamer Fahmy.

2004-02-12 01:43:24  Rev 7720   larsa

	* ChangeLog:

	Automatic ChangeLog generation

2004-02-11 14:28:59  Rev 7719   kyrah

	* src/Makefile.am, configure.ac:

	Build two-level namespace libs also on 10.3, not only 10.2. (Fix for bug
	report by kintel.)

2004-02-11 11:22:03  Rev 7718   handegar

	* src/shapenodes/SoMarkerSet.cpp, src/shapenodes/SoText2.cpp:

	Avoided using SbViewVolume for 2D projection to work around 3D stereo
	rendering error.

2004-02-10 11:10:30  Rev 7717   mortene

	* src/shapenodes/SoMarkerSet.cpp:

	Bugfix: was culling on wrong coordinate system.

2004-02-10 01:42:59  Rev 7716   larsa

	* ChangeLog:

	Automatic ChangeLog generation

2004-02-09 13:54:59  Rev 7715   larsa

	* src/nodes/SoMaterial.cpp, src/fields/SoField.cpp, src/nodes/SoNode.cpp:

	doc updates

2004-02-09 12:18:03  Rev 7714   handegar

	* src/shapenodes/soshape_bumprender.cpp:

	Disabled the vertex/fragment program deletion (for now).

2004-02-09 12:00:58  Rev 7713   handegar

	* src/shapenodes/soshape_bumprender.cpp,
	src/shapenodes/soshape_bumprender.h:

	Fixed small vertex program error. Vertex and fragment programs are now
	properly deleted
	when class is destructed.

2004-02-08 01:43:13  Rev 7712   larsa

	* ChangeLog:

	Automatic ChangeLog generation

2004-02-07 12:53:53  Rev 7711   pederb

	* src/shapenodes/SoShape.cpp:

	Handle lines and points when doing bumpmap rendering.

2004-02-07 12:46:44  Rev 7710   pederb

	* include/Inventor/caches/SoPrimitiveVertexCache.h,
	src/caches/SoPrimitiveVertexCache.cpp:

	Handle lines and points.

2004-02-07 01:42:48  Rev 7709   larsa

	* ChangeLog:

	Automatic ChangeLog generation

2004-02-06 16:51:36  Rev 7708   handegar

	* src/shapenodes/soshape_bumprender.cpp,
	src/shapenodes/soshape_bumprender.h:

	Added support for multiple context rendering.

2004-02-06 15:45:12  Rev 7707   handegar

	* src/shapenodes/soshape_bumprender.cpp:

	Shape is now rendered properly when all lights are turned off after using
	spec. bump
	mapping.

2004-02-06 14:39:50  Rev 7706   pederb

	* src/glue/normalization_cubemap.c:

	Fix possible bug.

2004-02-06 13:50:07  Rev 7705   pederb

	* src/actions/SoSearchAction.cpp:

	Doc. update.

2004-02-06 13:47:35  Rev 7704   handegar

	* src/shapenodes/soshape_bumprender.cpp:

	Added support for bumpmap transf. when using vertex/fragment programs.

2004-02-06 11:20:49  Rev 7703   pederb

	* src/bundles/SoTextureCoordinateBundle.cpp:

	Bugfix for default multitexture coordinates.

2004-02-06 10:41:53  Rev 7702   handegar

	* src/shapenodes/soshape_bumprender.cpp:

	Removed segfault cause due to missing normal-pointer.

2004-02-05 17:08:36  Rev 7701   pederb

	* src/shapenodes/soshape_bumprender.cpp:

	Disable vertex program.

2004-02-05 15:24:12  Rev 7700   pederb

	* src/shapenodes/soshape_bumprender.cpp,
	src/shapenodes/soshape_bumprender.h:

	Use GPU (vertex program) to calculate TSB coordinates.

2004-02-05 14:16:06  Rev 7699   handegar

	* src/shapenodes/soshape_bumprender.cpp:

	Fixed vertex point light program.

2004-02-05 13:46:25  Rev 7698   handegar

	* src/shapenodes/SoShape.cpp, src/shapenodes/soshape_bumprender.cpp:

	Added missing boolean initialization. Added missing vertex program header.

2004-02-05 08:58:02  Rev 7697   handegar

	* src/shapenodes/SoShape.cpp, src/shapenodes/soshape_bumprender.cpp:

	Minor changes for the specular bumpmapping.

2004-02-05 01:42:36  Rev 7696   larsa

	* ChangeLog:

	Automatic ChangeLog generation

2004-02-04 17:58:54  Rev 7695   kintel

	* Makefile.in:

	bootstrap

2004-02-04 17:46:31  Rev 7694   kintel

	* Makefile.am:

	Renamed README.MAC -> README.MACOSX

2004-02-04 17:23:54  Rev 7693   handegar

	* src/shapenodes/SoShape.cpp, src/shapenodes/soshape_bumprender.cpp,
	src/shapenodes/soshape_bumprender.h:

	First version of specular bumpmapping using the fragment- and vertex-program
	extension.

2004-02-04 16:23:24  Rev 7692   handegar

	* include/Inventor/C/glue/glp.h, src/glue/gl.c,
	include/Inventor/system/gl.h.in:

	Added support for the ARB_vertex_program extension.

2004-02-04 13:01:06  Rev 7691   pederb

	* src/elements/GL/SoGLLazyElement.cpp:

	More informative debug output.

2004-02-04 01:42:27  Rev 7690   larsa

	* ChangeLog:

	Automatic ChangeLog generation

2004-02-03 16:51:25  Rev 7689   larsa

	* src/tidbits.c:

	note on bad behavior of nprintf fallback implementation

2004-02-03 11:53:11  Rev 7688   mortene

	* BUGS.txt:

	Write down my thoughts on item 102.

2004-02-03 11:41:59  Rev 7687   larsa

	* BUGS.txt:

	update

2004-02-03 10:58:12  Rev 7686   pederb

	* THANKS:

	Add Flo Ledermann.

2004-02-03 10:56:45  Rev 7685   pederb

	* src/base/SbDPViewVolume.cpp:

	Fix to handle negative aspect ratio. Bug reported by Flo Ledermann.

2004-02-03 01:42:28  Rev 7684   larsa

	* ChangeLog:

	Automatic ChangeLog generation

2004-02-02 23:37:03  Rev 7683   kyrah

	* README.MACOSX, README.MAC:

	Renamed README.MAC to README.MACOSX since *.mac is commonly associated
	with MacPaint images (at least Quicktime on Windows seems to believe this.)

	Oh, how archaic to determine file types by filename extensions, but I shall
	bow to the way of the masses, regardless of my personal preferences. Hail
	Eris.

2004-01-31 01:42:07  Rev 7682   larsa

	* ChangeLog:

	Automatic ChangeLog generation

2004-01-30 19:15:43  Rev 7681   kintel

	* packaging/macosx/Makefile.in:

	Use quiet option to md5

2004-01-30 18:07:54  Rev 7680   kintel

	* packaging/macosx/Makefile.in:

	Use md5 instead of md5sum

2004-01-30 13:17:21  Rev 7679   kintel

	* include/Inventor/caches/Makefile.in,
	include/Inventor/lock/Makefile.in,
	include/Inventor/engines/Makefile.in, src/3ds/Makefile.in,
	include/Inventor/projectors/Makefile.in,
	include/Inventor/collision/Makefile.in, src/misc/Makefile.in,
	include/Inventor/C/errors/Makefile.in, src/vrml97/Makefile.in,
	include/Inventor/actions/Makefile.in,
	include/Inventor/events/Makefile.in, aclocal.m4,
	include/Inventor/fields/Makefile.in, src/io/Makefile.in, configure,
	src/hardcopy/Makefile.in, src/errors/Makefile.in,
	src/elements/Makefile.in, src/nodekits/Makefile.in,
	include/Inventor/C/Makefile.in, src/caches/Makefile.in,
	include/Inventor/manips/Makefile.in, src/engines/Makefile.in,
	include/Inventor/threads/Makefile.in, src/projectors/Makefile.in,
	src/collision/Makefile.in, include/Inventor/sensors/Makefile.in,
	include/Inventor/lists/Makefile.in, src/actions/Makefile.in,
	src/events/Makefile.in, src/fields/Makefile.in,
	include/Inventor/nodes/Makefile.in, html/Makefile.in,
	include/Inventor/C/glue/Makefile.in, src/elements/GL/Makefile.in,
	data/Makefile.in, include/Inventor/system/Makefile.in,
	man/Makefile.in, include/Inventor/details/Makefile.in,
	data/draggerDefaults/Makefile.in, src/manips/Makefile.in,
	src/fonts/Makefile.in, src/threads/Makefile.in,
	src/upgraders/Makefile.in, src/sensors/Makefile.in,
	include/Inventor/bundles/Makefile.in,
	include/Inventor/C/base/Makefile.in, include/Makefile.in,
	src/glue/Makefile.in, include/Inventor/draggers/Makefile.in,
	src/lists/Makefile.in, include/Inventor/Makefile.in,
	src/nodes/Makefile.in, include/Inventor/annex/Makefile.in,
	Makefile.in, src/base/Makefile.in,
	include/Inventor/annex/HardCopy/Makefile.in, src/details/Makefile.in,
	src/shapenodes/Makefile.in, include/Inventor/misc/Makefile.in,
	src/bundles/Makefile.in, src/draggers/Makefile.in,
	src/extensions/Makefile.in, src/Makefile.in,
	include/Inventor/VRMLnodes/Makefile.in,
	include/Inventor/C/threads/Makefile.in,
	include/Inventor/elements/Makefile.in,
	include/Inventor/errors/Makefile.in, man/man1/Makefile.in,
	include/Inventor/nodekits/Makefile.in, bin/Makefile.in,
	man/man3/Makefile.in:

	First bootstrap on valhalla

2004-01-30 12:45:34  Rev 7678   mortene

	* BUGS.txt:

	Two new bugs.

2004-01-29 18:46:09  Rev 7677   kintel

	* packaging/macosx/checklist.txt:

	Mention freetype-2.1.5 issue in Panther

2004-01-29 18:29:42  Rev 7676   kintel

	* packaging/macosx/makecoinpkg.sh.in,
	packaging/macosx/makecointoolspkg.sh.in:

	Use @sim_ac_packagemaker_app@

2004-01-29 18:23:23  Rev 7675   kintel

	* packaging/macosx/makedmg.sh.in:

	Panther fixes

2004-01-29 17:16:28  Rev 7674   kintel

	* configure.ac:

	Use new PackageMaker macro

2004-01-29 15:55:43  Rev 7673   kyrah

	* src/glue/gl_agl.c:

	gcc-2.95 compile fixes.

2004-01-29 10:39:15  Rev 7672   pederb

	* src/draggers/SoSpotLightDragger.cpp, src/manips/SoSpotLightManip.cpp:

	Bugfix in angle/cutOffAngle handling. Bug reported by dan@goldensoftware.com.

2004-01-29 08:47:37  Rev 7671   handegar

	* src/nodes/SoTextureCoordinateSphere.cpp,
	src/nodes/SoTextureCoordinateCylinder.cpp,
	src/nodes/SoTextureCoordinateCube.cpp:

	Added support for multitexture.

2004-01-29 01:41:53  Rev 7670   larsa

	* ChangeLog:

	Automatic ChangeLog generation

2004-01-28 15:00:36  Rev 7669   handegar

	* src/nodes/SoTextureCoordinateSphere.cpp,
	src/nodes/SoTextureCoordinateCylinder.cpp,
	src/nodes/SoTextureCoordinateCube.cpp:

	Plugged potential memleak.

2004-01-28 13:51:40  Rev 7668   handegar

	* src/nodes/SoTextureCoordinateSphere.cpp,
	src/nodes/SoTextureCoordinateCylinder.cpp,
	src/nodes/SoTextureCoordinateCube.cpp:

	Added threadsafeness.

2004-01-28 11:32:33  Rev 7667   pederb

	* src/draggers/SoSpotLightDragger.cpp:

	Bugfix. Update dragger geometry when angle field changes. Bug reported by
	dan@goldensoftware.com.

2004-01-28 10:32:42  Rev 7666   handegar

	* src/nodes/SoTextureCoordinateSphere.cpp,
	src/nodes/SoTextureCoordinateCylinder.cpp,
	src/nodes/SoTextureCoordinateCube.cpp:

	Added bbox cache optimization.

2004-01-28 01:42:24  Rev 7665   larsa

	* ChangeLog:

	Automatic ChangeLog generation

2004-01-27 15:49:47  Rev 7664   handegar

	* include/Inventor/nodes/SoNodes.h, src/nodes/SoNode.cpp:

	Added classInit for SoTextureCoordinateCylinder

2004-01-27 15:45:04  Rev 7663   handegar

	* include/Inventor/nodes/SoTextureCoordinateCylinder.h:

	Added header for cylinder texture mapping

2004-01-27 15:44:45  Rev 7662   handegar

	* include/Inventor/nodes/SoTextureCoordinateCube.h:

	Removed small FIXME.

2004-01-27 15:43:40  Rev 7661   pederb

	* src/nodes/SoTextureCombine.cpp:

	Check if OpenGL supports texture combine.

2004-01-27 15:42:45  Rev 7660   handegar

	* src/nodes/SoTextureCoordinateCylinder.cpp:

	Added support for cylinder texture mapping.

2004-01-27 15:41:03  Rev 7659   handegar

	* src/nodes/SoTextureCoordinateCube.cpp:

	Small fix + made callback function static.

2004-01-27 15:34:10  Rev 7658   pederb

	* src/elements/SoElement.cpp,
	src/elements/GL/SoGLMultiTextureImageElement.cpp,
	src/elements/GL/SoGLLazyElement.cpp, src/nodes/SoNode.cpp:

	Activate SoTextureCombine node/element.

2004-01-27 15:26:52  Rev 7657   pederb

	* src/draggers/SoDragger.cpp:

	Minor code comment.

2004-01-27 15:19:46  Rev 7656   handegar

	* src/nodes/SoTextureCoordinateSphere.cpp:

	Added a more correct '360' mapping of the texture.

2004-01-27 15:16:19  Rev 7655   pederb

	* src/elements/SoTextureCombineElement.cpp,
	src/nodes/SoTextureCombine.cpp,
	include/Inventor/elements/SoTextureCombineElement.h,
	include/Inventor/nodes/SoTextureCombine.h:

	New SoTextureCombine node and element.

2004-01-27 11:12:56  Rev 7654   pederb

	* src/vrml97/Extrusion.cpp:

	Multi-texture fixes.

2004-01-27 09:45:56  Rev 7653   handegar

	* FAQ:

	Doc fix in Q2.4 (font support)

2004-01-26 15:29:30  Rev 7652   pederb

	* include/Inventor/nodes/Makefile.in, src/nodes/Makefile.in,
	cfg/config.guess, cfg/config.sub:

	bootstrap.

2004-01-26 15:03:27  Rev 7651   handegar

	* include/Inventor/nodes/SoNodes.h:

	Added include of SoTextureCoordinateSphere.h

2004-01-26 15:00:17  Rev 7650   handegar

	* src/nodes/SoNode.cpp:

	Added classInit for SoTextureCoordinateSphere

2004-01-26 14:58:37  Rev 7649   handegar

	* src/nodes/SoTextureCoordinateSphere.cpp:

	Added support for sphere texture mapping.

2004-01-26 14:57:41  Rev 7648   pederb

	* src/nodes/all-nodes-cpp.cpp, src/nodes/SoTextureCoordinateCone.cpp,
	include/Inventor/nodes/SoTextureCoordinateCone.h,
	src/nodes/SoTextureCoordinateCylinder.cpp,
	include/Inventor/nodes/Makefile.am, src/nodes/Makefile.am,
	cfg/config.guess,
	include/Inventor/nodes/SoTextureCoordinateCylinder.h, cfg/config.sub:

	SoTextureCoordinateCylinder, not Cone.

2004-01-26 14:57:38  Rev 7647   handegar

	* include/Inventor/nodes/SoTextureCoordinateSphere.h:

	New header for sphere texture coordinate mapping.

2004-01-26 14:39:29  Rev 7646   pederb

	* src/nodes/all-nodes-cpp.cpp, src/nodes/SoTextureCoordinateCone.cpp,
	include/Inventor/nodes/Makefile.in, src/nodes/Makefile.in,
	src/nodes/SoTextureCoordinateSphere.cpp,
	include/Inventor/nodes/SoTextureCoordinateCone.h,
	include/Inventor/nodes/SoTextureCoordinateSphere.h,
	include/Inventor/nodes/Makefile.am, src/nodes/Makefile.am:

	New texture coordinate functions.

2004-01-26 14:26:52  Rev 7645   handegar

	* src/nodes/SoTextureCoordinateCube.cpp:

	Renamed texcoord callback function to avoid possible future conflicts.

2004-01-26 11:16:55  Rev 7644   handegar

	* FAQ:

	Updated info on SoText2/SoText3 font support.

2004-01-24 19:28:52  Rev 7643   kintel

	* src/actions/SoSearchAction.cpp:

	Minor doc addition

2004-01-23 16:47:38  Rev 7642   pederb

	* src/vrml97/Extrusion.cpp:

	Support for SoTextureCoordinateFunction.

2004-01-23 16:45:31  Rev 7641   pederb

	* src/nodes/SoTextureCoordinateCube.cpp:

	Some small fixes.

2004-01-23 16:07:24  Rev 7640   handegar

	* include/Inventor/nodes/SoNodes.h:

	Added include for SoTextureCoordinateCube.h

2004-01-23 16:06:00  Rev 7639   handegar

	* src/nodes/SoNode.cpp:

	Added call for classInit() for SoTextureCoordinateCube node.

2004-01-23 16:04:07  Rev 7638   pederb

	* src/elements/SoTextureCombineElement.cpp, src/nodes/all-nodes-cpp.cpp,
	src/nodes/SoTextureCombine.cpp, include/Inventor/nodes/Makefile.in,
	src/nodes/Makefile.in,
	include/Inventor/elements/SoTextureCombineElement.h,
	include/Inventor/nodes/SoTextureCombine.h,
	include/Inventor/elements/Makefile.in, src/elements/Makefile.in,
	src/elements/all-elements-cpp.cpp,
	include/Inventor/nodes/Makefile.am, src/nodes/Makefile.am,
	include/Inventor/elements/Makefile.am, src/elements/Makefile.am:

	New SoTextureCombine node.

2004-01-23 16:03:47  Rev 7637   handegar

	* include/Inventor/nodes/SoTextureCoordinateCube.h,
	src/nodes/SoTextureCoordinateCube.cpp:

	First version of texture coordinate generation using cubemapping.

2004-01-22 15:28:02  Rev 7636   pederb

	* src/base/SbDPViewVolume.cpp:

	Bugfix in copyValues(). Bug reported by James Hargrave.

2004-01-22 11:49:38  Rev 7635   pederb

	* include/Inventor/threads/SbThread.h, include/Inventor/lists/SbList.h,
	include/Inventor/lists/SbPList.h:

	Variable shadowing fixes. By Kristofer Tingdahl.

2004-01-22 11:34:33  Rev 7634   pederb

	* src/actions/SoGLRenderAction.cpp:

	larsa shadowing fixes.

2004-01-22 11:30:55  Rev 7633   pederb

	* src/elements/GL/SoGLLazyElement.cpp:

	larsa shadowing fix.

2004-01-22 11:14:39  Rev 7632   pederb

	* src/shapenodes/SoAsciiText.cpp, include/Inventor/C/threads/thread.h,
	src/nodes/SoWWWAnchor.cpp, include/Inventor/C/threads/worker.h,
	src/vrml97/TextureTransform.cpp, src/details/SoTextDetail.cpp,
	src/fields/SoMFVec3d.cpp, src/vrml97/Extrusion.cpp,
	src/threads/thread.c, src/fields/SoMFVec3f.cpp, src/threads/worker.c,
	src/vrml97/CylinderSensor.cpp,
	src/elements/SoSpecularColorElement.cpp,
	src/sensors/SoTimerSensor.cpp, src/fields/SoMField.cpp,
	src/actions/SoGetBoundingBoxAction.cpp,
	src/shapenodes/soshape_bumprender.cpp,
	src/elements/GL/SoGLTextureImageElement.cpp,
	src/nodes/SoExtSelection.cpp,
	src/elements/GL/SoGLEnvironmentElement.cpp,
	src/io/SoInput_FileInfo.cpp, src/fields/SoMFPath.cpp,
	src/vrml97/PlaneSensor.cpp, src/threads/wpool.c,
	src/elements/GL/SoGLLazyElement.cpp, src/glue/gl.c,
	src/misc/SoOffscreenRenderer.cpp, src/actions/SoToVRML2Action.cpp,
	src/fields/SoSFEnum.cpp, src/sensors/SoSensor.cpp,
	include/Inventor/misc/SbHash.h, src/io/SoOutput.cpp,
	include/Inventor/fields/SoSubField.h,
	src/elements/SoEmissiveColorElement.cpp,
	src/elements/SoViewportRegionElement.cpp, src/misc/SoChildList.cpp,
	src/vrml97/LOD.cpp, src/actions/SoBoxHighlightRenderAction.cpp,
	src/misc/SoLightPath.cpp, src/base/SbSphere.cpp,
	src/details/SoCubeDetail.cpp, src/fields/SoMFRotation.cpp,
	src/elements/SoEnvironmentElement.cpp,
	src/projectors/SbLineProjector.cpp, src/io/SoOutput_Writer.cpp,
	src/threads/sync.c, src/engines/evaluator_tab.diff,
	src/fields/SoMFColor.cpp, src/draggers/SoSpotLightDragger.cpp,
	src/elements/GL/SoGLViewingMatrixElement.cpp,
	src/elements/GL/SoGLPolygonOffsetElement.cpp, src/vrml97/Inline.cpp,
	src/fields/SoMFNode.cpp, src/vrml97/SphereSensor.cpp,
	include/Inventor/SbClip.h, src/details/SoCylinderDetail.cpp,
	src/elements/SoBBoxModelMatrixElement.cpp, src/base/SbPlane.cpp,
	src/fields/SoMFEnum.cpp, src/fields/SoMFVec2f.cpp,
	src/fields/SoMFEngine.cpp, src/actions/SoGLRenderAction.cpp,
	src/elements/GL/SoGLLineWidthElement.cpp, src/engines/SoGate.cpp,
	src/vrml97/Fog.cpp, src/engines/SoSelectOne.cpp,
	src/draggers/SoDragger.cpp, src/fields/SoMFName.cpp,
	src/manips/SoTransformManip.cpp, src/elements/SoShininessElement.cpp,
	src/actions/SoCallbackAction.cpp,
	include/Inventor/threads/SbThreadAutoLock.h, src/base/hash.c,
	src/nodes/SoWWWInline.cpp, src/misc/SoPrimitiveVertex.cpp,
	src/base/SbString.cpp, src/nodes/SoSceneTexture2.cpp,
	src/elements/GL/SoGLTexture3EnabledElement.cpp,
	src/engines/SoConcatenate.cpp, src/engines/evaluator_tab.c,
	src/misc/SoGlyph.cpp, src/threads/sched.c,
	src/actions/SoToVRMLAction.cpp, src/glue/GLUWrapper.c,
	src/hardcopy/VectorizePSAction.cpp,
	src/elements/SoBumpMapElement.cpp,
	src/elements/SoTextureImageElement.cpp, src/fields/SoSFBitMask.cpp,
	src/events/SoMouseButtonEvent.cpp, src/misc/SoNormalGenerator.cpp,
	src/elements/SoShapeHintsElement.cpp, src/threads/storage.c,
	src/elements/SoClipPlaneElement.cpp, src/glue/simage_wrapper.c,
	src/hardcopy/VectorizeActionP.cpp, src/fields/SoMFVec4f.cpp,
	src/base/SbMatrix.cpp, src/base/memalloc.c,
	src/actions/SoSearchAction.cpp, src/errors/error.c,
	src/elements/SoAmbientColorElement.cpp,
	src/projectors/SbPlaneProjector.cpp, src/events/SoKeyboardEvent.cpp,
	src/nodes/SoEventCallback.cpp, src/base/SbBox3f.cpp,
	src/base/SbDPMatrix.cpp, src/misc/SoNotRec.cpp,
	src/events/SoSpaceballButtonEvent.cpp, src/io/SoInput_Reader.cpp,
	src/details/SoConeDetail.cpp,
	src/collision/SoIntersectionDetectionAction.cpp, src/tidbits.c,
	src/misc/SoPickedPoint.cpp, src/fonts/freetype.c,
	src/shapenodes/soshape_primdata.cpp,
	include/Inventor/C/threads/wpool.h, src/base/SbViewportRegion.cpp,
	src/elements/GL/SoGLShapeHintsElement.cpp,
	src/elements/GL/SoGLColorIndexElement.cpp, src/base/SbTesselator.cpp,
	include/Inventor/C/threads/storage.h, src/vrml97/Sound.cpp,
	src/shapenodes/soshape_bigtexture.cpp, src/engines/SoEngine.cpp,
	src/nodes/SoSelection.cpp,
	src/elements/GL/SoGLViewportRegionElement.cpp,
	src/elements/SoTransparencyElement.cpp, src/fields/SoMFString.cpp,
	src/vrml97/Switch.cpp, src/elements/GL/SoGLModelMatrixElement.cpp,
